Version 3.58.1
==============
- Use pkg-config to get systemd user unit dir.

Version 3.58.0
==============
- Add systemd service.
- Updated translations.

Version 3.56.0
==============
- Add missing figures for manuals. (!76)
- Fixes to clock applet. (!64, !65)
- Updated translations.

Version 3.54.0
==============
- Place launched applications into a systemd scope. (!72)
- Update _GNOME_WM_STRUT_AREA when panel position changes. (gnome-flashback#95)
- Updated translations.

Version 3.52.0
==============
- Support color-scheme setting. (!59)
- Make icon space from border configurable. (#20)
- Updated translations.

Version 3.50.0
==============
- Updated translations.

Version 3.49.1
==============
- Remove toggle-hidden keybinding.
- Updated translations.

Version 3.47.1
==============
- Fix memory leaks in clock applet. (#42)
- Fix clock hands position. (#43)
- Remove documentation. (#32)
- Remember current location in clock applet. (#44)
- Remove size hints API.
- Do not load broken launchers. (#40)
- Updated translations.

Version 3.46.0
==============
- Port to WnckHandle. (!5)
- Updated translations.

Version 3.44.0
==============
- Updated translations.

Version 3.43.1
==============
- Port to GWeather 4. (#38)
- Updated translations.

Version 3.42.0
==============
- Fix crash with libgweather 40.0. (#33)
- Fix regression that caused applets to be pushed outside panel. (#35)
- Show panel applets in properties dialog. (!41)
- Updated translations.

Version 3.41.2
==============
- Stop using size hints in window-list applet. (!40)
- Updated translations.

Version 3.41.1
==============
- Remove support for floating panels.
- Add new alignment setting for non-expanded panels.
- Enable HiDPI scaling.
- Updated translations.

Version 3.40.0
==============
- Fix few memory leaks.
- Adapt to libgweather API changes.
- Updated translations.

Version 3.38.0
==============
- Fix ssh/sftp bookmarks in Places menu. (#27)
- Updated translations.

Version 3.37.1
==============
- New Add to Panel dialog. (!33)
- Turn old remaining objects into applets. (!31, !30, !29, !28, !27, !22)
- Remove old libpanel-applet library. (!18)
- Updated translations.

Version 3.36.1
==============
- Fix build with gettext 0.20+. (!15)
- Fix critical warning in fish applet.
- Fix XML namespace URI in svg icons.
- Load modules only with so suffix.
- Fix critical warnings when changing monitor configuration.
- Improve Adwaita theme. (!16)

Version 3.36.0
==============
- Add support for _GNOME_WM_STRUT_AREA.
- Fix build warnings.
- Updated translations.

Version 3.35.2
==============
- Add libgnome-panel documentation.
- Add prefer-symbolic-icons setting.
- Add HighContrastInverse, Yaru, Yaru-light and Yaru-dark as supported themes.
- Make GpImageMenuItem derivable.
- Updated translations.

Version 3.35.1
==============
- Fix crashes with libgweather 3.32 in some locations.
- Make new libgnome-panel library public (it will replace libpanel-applet).
- Default layout now can be configured from org.gnome.gnome-panel.general schema.
- Change default layout location, layout now must be in layouts subdirectory.
- Updated translations.

Version 3.34.1
==============
- Updated translations.

Version 3.34.0
==============
- No changes.

Version 3.33.92
===============
- Updated translations:
  Sabri Ünal (tr).

Version 3.33.1
==============
- Port to libecal-2.0.

Version 3.32.0
==============
- Fix some compiler warnings.
- Fix some deprecation warnings.
- Turn old main menu object into applet.
- Turn old menu button object into applet.
- Remove gnome-desktop-item-edit application.
- Updated translations:
  Alan Mortensen (da), Anders Jonsson (sv), Balázs Úr (hu),
  Daniel Mustieles (es), Marek Cernocky (cs), Марко М. Костић (sr),
  Matej Urbančič (sl), Nathan Follens (nl), Kukuh Syafaat (id),
  Mario Blättermann (de), Piotr Drąg (pl), Rafael Fontenelle (pt_BR),
  Stas Solovey (ru).

Version 3.30.0
==============
- Turn old user menu object into applet
- Fix some build warnings
- Updated translations:
  Anders Jonsson (sv), Balázs Meskó (hu), Bruno Lopes da Silva (pt_BR),
  Daniel Mustieles (es), Kukuh Syafaat (id), Marek Cernocky (cs),
  Mario Blättermann (de), Matej Urbančič (sl), Piotr Drąg (pl),
  Rafael Fontenelle (pt_BR).

Version 3.28.0
==============
- Turn old menu bar object into applet
- Fix some build warnings
- Updated translations:
  Anders Jonsson (sv), Ask Hjorth Larsen (da), Daniel Mustieles (es),
  Dingzhong Chen (zh_CN), Gábor Kelemen (hu), Kukuh Syafaat (id),
  Marek Cernocky (cs), Mario Blättermann (de), Matej Urbančič (sl),
  Мирослав Николић (sr, sr@latin), Piotr Drąg (pl), Rafael Fontenelle (pt_BR),
  Sveinn í Felli (is).

Version 3.26.0
==============
- Fix custom background color. (#783168)
- Fix tray icons when compositing is off. (#788109)
- Remove "Connect to Server..." applet.
- Updated translations:
  Dušan Kazik (sk), Gianvito Cavasoli (it), Jordi Mas (ca),
  Kristjan SCHMIDT (eo), Matej Urbančič (sl), Piotr Drąg (pl),
  Stas Solovey (ru).

Version 3.24.1
==============
- Don't add module symbols in global name space. (#770795)
- Updated translations:
  Piotr Drąg (pl).

Version 3.24.0
==============
- Improve the tasklist style. (Antonio Ospite; #769012)
- New applet - status notifier. (Alberts Muktupāvels, Colomban Wendling)
- Use upstream gettext. (Alberts Muktupāvels)
- Updated translations:
  Anders Jonsson (sv), Andika Triwidada (id), Ask Hjorth Larsen (da),
  Balázs Meskó (hu), Baurzhan Muftakhidinov (kk), Daniel Mustieles (es),
  Dušan Kazik (sk), Enrico Nicoletto (pt_BR), Fabio Tomat (fur),
  Gianvito Cavasoli (it), Kjartan Maraas (nb), Marek Černocký (cs),
  Mario Blättermann (de), Мирослав Николић (sr, sr@latin), Piotr Drąg (pl),
  Rafael Fontenelle (pt_BR), Sveinn í Felli (is).

Version 3.22.0
==============
- Out of process applets are no longer supported.
- GObject introspection support is removed.
- Fix user switching with GDM. (Alberts Muktupāvels; #769009)
- Disable scaling support in GTK+.
- Fix cropped pixbuf rendering during zoom animation (Yannick Gicquel; #771166)
- Fake transparency has been replaced with real transparency.
- New panel properties dialog - background settings has been replaced with
  theme settings.
- Updated translations:
  Andika Triwidada (id), Daniel Mustieles (es), Dušan Kazik (sk),
  Kjartan Maraas (nb), Piotr Drąg (pl), Tiago Santos (pt),
  Wolfgang Stöggl (de).

Version 3.20.0
==============
- Added option to use dark theme variant.
- Updated man page. (Dmitry Shachnev)
- Updated theme for GTK+ 3.20. (Alberts Muktupāvels, Balló György)
- Fixed crash when moving applet between panels.
- Fixed few deprecation warnings.
- Fix applet menu location on multi-monitor setup. (Timo Kluck)
- Updated translations:
  Alexandre Franke (fr), Aurimas Černius (lt), Cédric Valmary (oc),
  Dušan Kazik (sk), Gianvito Cavasoli (it), Jordi Mas (ca),
  Josef Andersson (sv), Kjartan Maraas (nb), Marek Černocký (cs),
  Mario Blättermann (de), Milo Casagrande (it), Мирослав Николић (sr, sr@latin),
  Necdet Yücel (tr), Pedro Albuquerque (pt), Piotr Drąg (pl),
  Rafael Fontenelle (pt_BR), Tom Tryfonidis (el), Trần Ngọc Quân (vi).

Version 3.18.1
==============
- Fully ported away from gnome-common.
- Fixed bug - 3px black line at the bottom of the screen.
- Fixed bug - panel background image is not resized immediately on panel
  orientation or size change.

Version 3.18.0
==============
- Added missing icons in menus. (Balló György)
- Updated libpanel-applet documentation. (Sebastian Geiger)
- New panel_applet_get_gtk_orientation function in libpanel-applet library.
  (Sebastian Geiger)
- Ported away from gnome-common. (Alberts Muktupāvels)
- Small improvements in themes. (Balló György)
- Updated translations:
  Anders Jonsson (sv), Balázs Úr (hu), Daniel Mustieles (es),
  Josef Andersson (sv), Marek Černocký (cs), Piotr Drąg (pl),
  Yosef Or Boczko (he).

Version 3.17.2
==============
- Fixes in documentation. (Anders Jonsson)
- Code cleaning and formatting. (Sebastian Geiger)
- Type "catch the fish" in run dialog to stop swimming fish. (Sebastian Geiger)
- Updated translations:
  Akom Chotiphantawanon (th), Marek Černocký (cs).

Version 3.17.1
==============
- Fix build with libgweather 3.17.1. (Alberts Muktupāvels)
- Updated translations:
  Jordi Mas (ca).

Version 3.16.1
==============
- Make evolution dependency optional. (Alberts Muktupāvels)
- Small fixes for transparent panels. (Alberts Muktupāvels)

Version 3.16.0
==============
- Always show images in menu-bar and main-menu applets. (Alberts Muktupāvels)
- Fix GObject introspection installation. (Ryan Lortie)
- Filter out actions without icon from panel addto dialog. (Alberts Muktupāvels) 
- Updated translations:
  Anders Jonsson (sv), Balázs Úr (hu), Cheng-Chia Tseng (zh_TW),
  Daniel Mustieles (es), Marek Černocký (cs), Muhammet Kara (tr),
  Rafael Ferreira (pt_BR), Samir Ribic (bs), Shankar Prasad (kn),
  Stas Solovey (ru), Yosef Or Boczko (he).

Version 3.15.2
==============
- Fixed more deprecation warnings (again). (Alberts Muktupāvels)
- Fixed evolution opening from clock applet. (Alberts Muktupāvels)
- Stop using GtkPlug/GtkSocket for in process applets. (Alberts Muktupāvels)
- Applets are build as in process applets. (Alberts Muktupāvels)
- Don't set background color for GtkMenuBar in panel. It breaks transparent
  panels. (Alberts Muktupāvels)
- Fix crash in clock applet. (Alberts Muktupāvels)
- Use dbus to register with session manager, drop libegg. (Alberts Muktupāvels)
- Restored ability to have transparent panels. (Alberts Muktupāvels)
- Updated translations:
  Milo Casagrande (it), Piotr Drąg (pl), Sweta Kothari (gu), Tiago S (pt),
  Timo Jyrinki (fi), Tom Tryfonidis (el).

Version 3.14.0
==============
- Fix many deprecation warnings. This affects libpanel-applet, functions for
  setting up applet menu has changed - GtkActionGroup replaced with
  GSimpleActionGroup and added extra parameter for setting translation domain.
  (Alberts Muktupāvels)
- Removed or ported to GSettings last use of gconf. This affects
  libpanel-applet, all gconf related functions are removed! (Alberts
  Mukutpāvels)
- Removed panel_applet_get_size function from libpanel-applet. It was deprecated
  in 3.0 version. (Alberts Muktupāvels)
- Removed flashback session related files. These are now installed by
  gnome-flashback module. (Alberts Muktupāvels)
- Restored EDS integration in clock applet. (Alberts Muktupāvels)
- Restored option to change icon size in menu applet from gsettings. This is
  only temporary solution and panel must be restarted after changing icon
  size. (Alberts Muktupāvels)
- Fix memory leak in fish applet. (Dmitry Shachnev)
- Added default style for Adwaita theme. (Alberts Muktupāvels, Balló György)
- Fixed large icons bug in applications menu. (Alberts Muktupāvels)
- Restored option to change fish applet animation. (Alberts Muktupāvels)
- Droped NetworkManager dependency by switching to GNetworkMonitor (Alberts
  Muktupāvels)
- Added back show desktop applet to bottom panel. (Balló György)
- Don't hardcode application .menu file. Use XDG_MENU_PREFIX "applicaitons.menu"
  to load correct .menu file. (Alberts Muktupāvels)
- Show icon in menu bar applet by default. (Balló György)
- Added hibernate, suspend, and hybrid sleep to user menu applet if logind
  is available and gnome-flashback module is running. (Alberts Muktupāvels,
  Balló György)
- Added support for user switching with LightDM or other display managers that
  implements the org.freedesktop.DisplayManager D-Bus interface. (Balló György)
- Updated translations:
  Andika Triwidada (id), Balázs Úr (hu), Daniel Mustieles (es),
  Enrico Nicoletto (pt_BR), Kjartan Maraas (nb), Krishnababu Krothapalli (te),
  Manoj Kumar Giri (or), Marek Černocký (cs), Matej Urbančič (sl),
  Мирослав Николић (sr), Nilamdyuti Goswami (as), Rajesh Ranjan (hi),
  Saibal Ray (bn_IN), Sandeep Sheshrao Shedmake (mr), Shankar Prasad (kn),
  Shantha kumar (ta), Stas Solovey (ru), Sweta Kothari (gu).

NOTE: This version breaks API/ABI!

=============
Version 3.8.1
=============

  Flashback Session

	* Add session description for using Flashback mode with Compiz
	  This is _not_ a supported mode for Gnome Flashback, but only
	  included for Ubuntu's convenience.
	  (Dmitry Shachnev, Philipp Kaluza)

  libpanel-applet

	* Deprecation announcement:
	  The GConf functions for applets in libpanel-applet have been
	  marked as deprecated since version 3.0, but this deprecation had
	  never been formally announced. It has been suggested that
          these functions are removed as the last included applets
          migrate to GSettings.
	  We hereby announce that these Gconf functions will be removed
          in an ABI- and API-breaking major release of libpanel-applet
          sometime after 2014-12-31.

	  Maintainers of applets that rely on libpanel-applet are encouraged
	  to get in contact with the gnome-flashback-list to coordinate
	  a schedule that fits everybody's needs. (Philipp Kaluza)

  Panel

	* Increase the number of bookmarks visible in Places (Conn O Griofa)
	* Miscelaneaus sizing and location issues (Alberts Muktupāvels)
	* Fix a number of deprecation warnings (Alberts Muktupāvels)
	* Improve names of GConf objects (Alberts Muktupāvels)
	* Updated FSF's address (Daniel Mustieles)
	* Update doap files (Piotr Drąg)
	* Modernize run and properties dialogs (Sebastian Geiger)
	* Use "gnome-applications.menu" instead of "applications.menu",
	  following gnome-menus 3.8 (Alberts Muktupāvels)
	* Bring old translation files back in sync with current code,
	  especially the session files (Philipp Kaluza)

  Clock Applet

	* make calendar window remember location expander state (Jethro Beekman)
	* remove no longer needed code (Alberts Muktupāvels)
	* allow using gweather 3.9.2+ (Alberts Muktupāvels)
	* Fix clock crash when adding new location (Alberts Muktupāvels)
	* remove deprecated widgets (Sebastian Geiger)

  wncklet applet

	* no longer use stock items (Alberts Muktupāvels)

  Translators

	* Rūdolfs Mazurs
	* Мирослав Николић (miroslavnikolic)
	* michaeljayt
	* Stas Solovey
	* Inaki Larranaga Murgoitio
	* Lasse Liehu
	* MarMav
	* Marek Černocký
	* Daniel Mustieles
	* Matej Urbančič
	* Balázs Úr

=============
Version 3.8.0
=============

  Flashback Session

	* Ship a session descriptor and wrapper script for the "Gnome Flashback"
	  session (Jeremy Bicha, Philipp Kaluza)
	* This is similar to the standalone fallback session previously shipped
	  in Debian / Ubuntu. As integration with the rest of the Gnome stack
          has suffered somewhat, this is mainly aimed at distributions that
          still want to support a metacity / gnome-panel based desktop (e.g.
          for LTSP installations). Some integration work may be necessary - for
	  example, nautilus 3.8 no longer draws the X root window background.

  Panel

	* New Maintainer team (Jonathan Carter, Josselin Mouette, Philipp
	  Kaluza)
	* A big thank you to Vincent Untz for your years of service !

	* Fix launcher icon animation ending with black artifact
	  (Yannick Gicquel)
	* Drop support for commandline-based calendar/tasks applications
          (Philipp Kaluza)
	* Ship our own version of gnome_desktop_prepend_terminal_to_vector
	  (Philipp Kaluza)
	* Move clock back between notification area and user menu (Jeremy Bicha)
	* Fix autoconf (Balló György)
	* Fix some background and multi-screen issues (Alberts Muktupāvels)

  Clock Applet

	* No longer depend on deprecated GWeatherXML (Philipp Kaluza)
	* Display sunrise/sunset times in local time not UTC (Jeremy Bicha)

  Force-Quit applet

	* Enable XInput2 support (Sébastien Villemot)

  Notification Area applet

	* Apply style after realize - fix all-black notification icons
	  (Daniel Drake)
	* Use the generic marshaller (Jasper St. Pierre)

  Translators

	* Andika Triwidada
	* Ani Peter
	* Aurimas Černius
	* Balázs Úr
	* Breno Santana
	* Christian Kirbach
	* Daniel Mustieles
	* Enrico Nicoletto
	* Fran Diéguez
	* Joe Hansen
	* Kjartan Maraas
	* Krishnababu Krothapalli
	* ManojKumar Giri
	* Marek Černocký
	* Martin Srebotnjak
	* Matej Urbančič
	* Nilamdyuti Goswami
	* Piotr Drąg
	* Rafael Ferreira
	* Rajesh Ranjan
	* Sandeep Sheshrao Shedmake
	* Shankar Prasad
	* Shantha kumar
	* Sweta Kothari
	* Theppitak Karoonboonyanan
	* Yuri Myasoedov
	* Мирослав Николић

=============
Version 3.6.2
=============

  Panel

	* Avoid double forking when launching apps to not break "pkexec" (Colin
	  Walters)
	* Fix using a variable after it was freed (Milan Crha)

  Clock Applet

	* Open calendar application in correct month (Marek Kasik)

  Translators

	* Arash Mousavi (fa)
	* Shankar Prasad (kn)
	* Kjartan Maraas (nb)
	* Pavol Šimo (sk)

=============
Version 3.6.0
=============

* Translation updates

==============
Version 3.5.92
==============

  Panel

	* Rework user menu in order to match GNOME Shell 3.6 (Jeremy Bicha)

  Docs Translators

	* Mario Blättermann (de)
	* Tom Tryfonidis (el)
	* Daniel Mustieles (es)
	* Claude Paroz (fr)
	* Andika Triwidada (id)
	* Changwoo Ryu (ko)
	* Данио Шеган (sr)
	* YunQiang Su (zh_CN)
	* Mario Blättermann (de)
	* Tom Tryfonidis (el)
	* Daniel Mustieles (es)
	* Laurent Coudeur (fr)
	* Changwoo Ryu (ko)

  Translators

	* Nilamdyuti Goswami (as)
	* Ihar Hrachyshka (be)
	* Marek Černocký (cs)
	* flemming christensen (da)
	* Mario Blättermann (de)
	* Tom Tryfonidis (el)
	* Bruce Cowan (en_GB)
	* Daniel Mustieles (es)
	* Arash Mousavi (fa)
	* Jiri Grönroos (fi)
	* Mickael Albertus (fr)
	* Fran Dieguez (gl)
	* Gabor Kelemen (hu)
	* Andika Triwidada (id)
	* Milo Casagrande (it)
	* Changwoo Ryu (ko)
	* Aurimas Černius (lt)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Fábio Nogueira (pt_BR)
	* Matej Urbančič (sl)
	* Theppitak Karoonboonyanan (th)
	* Cheng Lu (zh_CN)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 3.5.91
==============

  Panel

	* Remove markup from translations (Matthias Clasen)

  Clock Applet

	* Remove markup from translations (Matthias Clasen)

  Misc

	* Make --enable-eds/--disable-eds really work (Priit Laes)
	* Port to yelp-tools for documentation (Javier Jardón)

  Translators

        * Nilamdyuti Goswami (as)
        * Tom Tryfonidis (el)
        * Daniel Mustieles (es)
        * Leandro Regueiro (gl)
        * Sweta Kothari (gu)
        * Yaron Shahrabani (he)
        * Dirgita (id)
        * Takayuki KUSANO (ja)
        * Aurimas Černius (lt)
        * Sandeep Shedmake (mr)
        * Kjartan Maraas (nb)
        * A S Alam (pa)
        * Piotr Drąg (pl)
        * Duarte Loreto (pt)
        * Yuri Myasoedov (ru)
        * Matej Urbančič (sl)
        * Мирослав Николић (sr)
        * Miroslav Nikolić (sr@latin)
        * Dr.T.Vasudevan (ta)
        * Chao-Hsiung Liao (zh_HK)
        * Chao-Hsiung Liao (zh_TW)

=============
Version 3.5.4
=============

  configure
        * Newline-separate dependency list
  libpanel-util
        * bgo#679971: adjust to DConf API changes
  Translators
        * Chao-Hsiung Liao (zh_HK)
        * Ihar Hrachyshka (be)
        * A S Alam (pa)
        * Yaron Shahrabani (he)
        * Kjartan Maraas (nb)
        * Alexander Shopov (bg)
        * Nilamdyuti Goswami (as)
        * Khaled Hosny (ar)

=============
Version 3.5.3
=============

  libpanel-applet

       * Use on_bus_acquired instead of on_name_acquired (Joachim Breitner)

  Clock Applet

       * Port to modern GNOME tecnologies, so no more GConf in 
         gnome-panel (Giovanni Campagna)
       * Adapt to Evolution-Data-Server API changes (Matthew Barnes)

  Translations

        * Daniel Mustieles (es)
        * Fran Diéguez (gl)
        * Tom Tryfonidis (el)
	* Matej Urbančič (sl)

===============
Version 3.4.2.1
===============

  Panel

	* Fix GTK+ runtime check used to determine bookmark file (Vincent)

=============
Version 3.4.2
=============

  Panel

	* Use new GTK bookmarks location if using GTK+ >= 3.5.1 (Vincent)

  Translators

	* Mark Kwidzińsczi (csb)

=============
Version 3.4.1
=============

  Docs Translators

	* Paula (id)
	* Yuri Kozlov (ru)
	* OKANO Takayoshi (ja)
	* Yuri Kozlov (ru)

  Translators

	* David Planella (ca)
	* David Planella (ca@valencia)
	* Sandeep Shedmake (mr)
	* Antonio Fernandes C. Neto (pt_BR)

=============
Version 3.4.0
=============

  Docs Translators

	* Bhuvan Krishna (te)

  Translators

	* Reşat SABIQ (crh)
	* Praveen Arimbrathodiyil (ml)
	* Clytie Siddall (vi)

==============
Version 3.3.92
==============

  Panel

	* Add style class for orientation to several widgets to allow adjust
	  theming on vertical panels (Peter Hurley)
	* Fix random grey box on logout (Peter Hurley)

  Translators

	* Nilamdyuti Goswami (as)
	* Seng Sutha (km)

==============
Version 3.3.91
==============

  Panel

	* Fix rendering of the handle in the applet frame widget (Peter Hurley)
	* Fix themed background pattern (Peter Hurley)
	* Several PanelSeparator improvements (Peter Hurley)
	* Fix position re-shuffling on orientation change (Peter Hurley)

  Misc

	* Add --disable-documentation option (Colin Walters)
	* Fix srcdir != builddir for gresources (Colin Walters)

  Docs Translators

	* OKANO Takayoshi (ja)

  Translators

	* Mattias Põldaru (et)

==============
Version 3.3.90
==============

  Panel

	* Remove obsolete help buttons (Jeremy Bicha, Vincent)

  Clock Applet

	* Use new GdkPixbuf API to load resources (Vincent)

  Wnck Applets

	* Remove obsolete help buttons (Vincent)

  Translators

	* Ihar Hrachyshka (be)

=============
Version 3.3.5
=============

Note: the port to org.freedesktop.timedate1 is not tested due to some issues on
my system. Feedback welcome!

  Panel

	* Don't ask for menus to be pushed in (Matthias Clasen)
	* Use horizontal/vertical padding for button widgets (Peter Hurley)
	* Use GResource for data files (Vincent)
	* Stop using deprecated gtk_[hv]box_new() (Vincent)

  libpanel-applet

	* Don't ask for menus to be pushed in (Matthias Clasen)
	* Add panel_applet_setup_menu_from_resource() API (Vincent)

  All Applets

	* Use GResource for data files (Vincent)

  Clock Applet

	* Stop using deprecated gtk_[hv]box_new() (Vincent)
	* Always show actions to set time (Vincent)
	* Port to org.freedesktop.timedate1 to set timezones (Vincent)

  Fish Applet

	* Move fish animations data files in fish-specific directory (Vincent)

  Misc

	* New dependency on polkit-gobject-1 (Vincent)

  Docs Translators

	* OKANO Takayoshi (ja)
	* Gil Forcada (ca)

  Translators

	* Jovan Naumovski (mk)
	* Kjartan Maraas (nb)

=============
Version 3.3.3
=============

  Panel

	* Explicitly link to gmodule-2.0 (Vincent)

  Docs Translators

	* Yuri Myasoedov (ru)

  Translators

	* Xandru Armesto (ast)
	* Ihar Hrachyshka (be)
	* Tiffany Antopolski (eo)
	* Thura Hlaing (my)
	* Lucian Adrian Grijincu (ro)

=============
Version 3.3.1
=============

  Panel

	* Support instance configuration of objects in default layout (Vincent)
	* Do not assert on error when using default layout (Vincent)
	* Make it possible to load a default layout from the user config
	  (Vincent)
	* Fix loading launchers defined with relative paths (Vincent)
	* Fix panels forced to be big because of user menu (Vincent)
	* Fix wrong height of Places menu item in main menu (Vincent)
	* Change default size of icon in menu bar & user menu applets to 16
	  (Vincent)

  Translators

	* Ihar Hrachyshka (be)
	* David Planella (ca@valencia)
	* Jorge González (es)
	* Erdal Ronahî (ku)
	* Rūdolfs Mazurs (lv)
	* Kjartan Maraas (nb)
	* Мирослав Николић (sr)
	* Miroslav Nikolić (sr@latin)
	* Praveen Illa (te)

=============
Version 3.2.0
=============

  Translators

	* flemming christensen (da)
	* Inaki Larranaga Murgoitio (eu)
	* Tommi Vainikainen (fi)
	* Sweta Kothari (gu)
	* Gabor Kelemen (hu)
	* Jiro Matsuzawa (ja)
	* Changwoo Ryu (ko)
	* Aurimas Černius (lt)

==============
Version 3.1.92
==============

  Panel

	* Fix loading of main menu (Vincent)
	* hange "My Account" to "Online Accounts" in user menu (Vincent)

  Clock Applet

	* Look for calendar/tasks app in GSettings (Vincent)

  Translators

	* Anass Ahmed (ar)
	* Ihar Hrachyshka (be)
	* David Planella (ca)
	* Bruce Cowan (en_GB)
	* Daniel Mustieles (es)
	* Arash Mousavi (fa)
	* Luca Ferretti (it)
	* Jiro Matsuzawa (ja)
	* Rūdofls Mazurs (lv)
	* Rachid (nl)
	* Duarte Loreto (pt)
	* Antonio Fernandes C. Neto (pt_BR)
	* Matej Urbančič (sl)
	* Dr.T.Vasudevan (ta)
	* Korostil Daniel (uk)
	* Edison Zhao (zh_CN)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 3.1.91
==============

  Panel

	* Do not forcecully center non-expanded panels on login (Matt
	  McCutchen)
	* Fix srcdir != builddir build (Colin Walters)

  Translators

	* Ihar Hrachyshka (be)
	* Marek Černocký (cs)
	* Mario Blättermann (de)
	* Claude Paroz (fr)
	* Fran Diéguez (gl)
	* Andika Triwidada (id)
	* A S Alam (pa)
	* Stas Solovey (ru)
	* Theppitak Karoonboonyanan (th)
	* Sahran (ug)

=============
Version 3.1.5
=============

  Panel

	* Stop using G_CONST_RETURN (Vincent)
	* Remove unused variables (Vincent)
	* Port to new gnome-menus API (Colin Walters, Vincent)
	* Always keep the same window icon for run dialog (Vincent)

  libpanel-applet

	* Fix build warning (Vincent)

  Clock Applet

	* Do not miss seconds when displaying seconds (Vincent)

  Notification Area Applet

	* Fix build with --as-needed (Vincent)

  Misc

	* Modernize build system (Vincent)

  Translators

	* Ihar Hrachyshka (be)
	* Alexander Shopov (bg)
	* David Planella (ca@valencia)
	* Daniel Mustieles (es)
	* Tommi Vainikainen (fi)
	* Yaron Shahrabani (he)
	* Rūdofls Mazurs (lv)
	* Torstein Adolf Winterseth (nb)
	* Piotr Drąg (pl)
	* Мирослав Николић (sr)
	* Miroslav Nikolić (sr@latin)
	* Daniel Nylander (sv)

=============
Version 3.0.2
=============

  Panel

	* Fix crash when starting launcher (Josselin Mouette)
	* Fix edit menu not working even when modifier is pressed, when caps
	  lock is used (Vincent)
	* Fix crash when running without gnome-session (Vincent)
	* Add missing config.h includes (Kjartan Maraas)
	* Code cleanups (Vincent)

  libpanel-applet

	* Fix edit menu not working even when modifier is pressed, when caps
	  lock is used (Vincent)

  Clock Applet

	* Pass the correct month to Evolution command line (Rodrigo Moya)
	* Fix usage of polkit service to set timezone (Chris Vine)
	* Correctly deal with leap seconds for updates (Andrey Vihrov)

  Docs Translators

	* Joe Hansen (da)
	* Sergiy Gavrylov (uk)

  Translators

	* Alexander Shopov (bg)
	* David Planella (ca)
	* Marek Černocký (cs)
	* Ask Hjorth Larsen (da)
	* Mario Blättermann (de)
	* Michael Kotsarinis (el)
	* Bruce Cowan (en_GB)
	* Daniel Mustieles (es)
	* Arash Mousavi (fa)
	* Claude Paroz (fr)
	* Fran Diéguez (gl)
	* Yaron Shahrabani (he)
	* Gabor Kelemen (hu)
	* Changwoo Ryu (ko)
	* Torstein Adolf Winterseth (nb)
	* Rachid (nl)
	* A S Alam (pa)
	* Piotr Drąg (pl)
	* Rodrigo Padula de Oliveira (pt_BR)
	* Yuri Myasoedov (ru)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)
	* Sahran (ug)
	* Korostil Daniel (uk)
	* Clytie Siddall (vi)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

===============
Version 3.0.0.1
===============

  Panel

	* Minor code cleanup (Vincent)

  libpanel-applet

	* Move some defines in headers to fix generated libpanel-applet
	  documentation (Vincent)

  Notification Area Applet

	* Fix thin lines appearing when an icon is removed (Vincent)

=============
Version 3.0.0
=============

  Panel

	* Fix alt+f1 misworking for menu buttons (Vincent)

  Translators

	* F Wolff (af)
	* Khaled Hosny (ar)
	* Israt Jahan (bn)
	* David Planella (ca)
	* Marek Černocký (cs)
	* Ask Hjorth Larsen (da)
	* Mario Blättermann (de)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Bruno Brouard (fr)
	* Fran Diéguez (gl)
	* Yaron Shahrabani (he)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* OKANO Takayoshi (ja)
	* Changwoo Ryu (ko)
	* Gintautas Miliauskas (lt)
	* Rūdofls Mazurs (lv)
	* Torstein Adolf Winterseth (nb)
	* Wouter Bolsterlee (nl)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Antonio Fernandes C. Neto (pt_BR)
	* Yuri Myaseodov (ru)
	* Klemen Košir (sl)
	* Daniel Nylander (sv)
	* Baris Cicek (tr)
	* Korostil Daniel (uk)
	* Clytie Siddall (vi)
	* Edison Zhao (zh_CN)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

===============
Version 2.91.94
===============

Notes:
  - many thanks to the release team and to translators who kindly accepted
    freeze breaks to considerably improve gnome-panel in GNOME 3.
  - user who started gnome-panel 2.91.93 won't have the new default layout, and
    some applets will not be positioned like they were. Those users can easily
    manually fix the layout, though.

  Panel

	* Fix moving of panel objects to use switch mode again by default
	  (Vincent)
	* Completely rework how objects are positioned in the panel: they are
	  now either left-aligned, centered, right-aligned (Vincent)
	  This fixes many issues, including objects being mis-positioned after
	  changes of the screen size.
	* Make the clock centered in the default layout (Vincent)
	* Add a user menu similar to the GNOME Shell one (Vincent)

  Clock Applet

	* Port to GDBus (Ryan Lortie)

  Notification Area Applet

	* Add support for _NET_SYSTEM_TRAY_ICON_SIZE to specify the size for
	  icons. This can be set in the theme with the theme with
	  "-NaTrayApplet-icon-size: 16;" (Ryan Lortie)

  Misc

	* The dbus-glib dependency is now completely gone
	* There is a new optional dependency on telepathy-glib, for features
	  used in the user menu

  Translators

	* F Wolff (af)
	* Khaled Hosny (ar)
	* Alexander Shopov (bg)
	* David Planella (ca)
	* Marek Černocký (cs)
	* Ask Hjorth Larsen (da)
	* Christian Kirbach (de)
	* Bakaoukas Nikolaos (el)
	* Bruce Cowan (en_GB)
	* Daniel Mustieles (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Arash Mousavi (fa)
	* Tommi Vainikainen (fi)
	* Bruno Brouard (fr)
	* Seán de Búrca (ga)
	* Fran Diéguez (gl)
	* Sweta Kothari (gu)
	* Yaron Shahrabani (he)
	* Rajesh Ranjan (hi)
	* Gabor Kelemen (hu)
	* Dirgita (id)
	* Luca Ferretti (it)
	* Takayuki KUSANO (ja)
	* Shankar Prasad (kn)
	* Changwoo Ryu (ko)
	* Gintautas Miliauskas (lt)
	* Rudolfs (lv)
	* Sandeep Shedmake (mr)
	* Torstein Adolf Winterseth (nb)
	* Wouter Bolsterlee (nl)
	* Åsmund Skjæveland (nn)
	* A S Alam (pa)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Rodrigo Padula de Oliveira (pt_BR)
	* Lucian Adrian Grijincu (ro)
	* Yuri Myaseodov (ru)
	* Matej Urbančič (sl)
	* Милош Поповић (sr)
	* Miloš Popović (sr@latin)
	* Daniel Nylander (sv)
	* Dr.Tirumurti Vasudevan (ta)
	* Theppitak Karoonboonyanan (th)
	* Baris Cicek (tr)
	* Sahran (ug)
	* Korostil Daniel (uk)
	* Clytie Siddall (vi)
	* YunQiang Su (zh_CN)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

===============
Version 2.91.93
===============

Notes:
  - while GNOME is in deep freeze for GNOME 3, the release team was kind enough
    to accept a huge freeze break to considerably improve the panel experience
    in GNOME 3.
  - it's worth pointing out that starting with this release, gnome-panel
    ignores the GNOME 2 configuration and starts with a fresh configuration.
    This is done on purpose; if there is interest, we might provide a helper
    tool to migrate the old configuration.
  - per-instance applet settings can now be in GSettings, or if the applet
    still uses GConf, they will live under /apps/panel3-applets.

Note to packagers: the way to define a default layout for gnome-panel has
changed. Take a look at the panel-default-layout.layout file for an example;
this is really easy now!

  Panel

	* Remove popup menu for items in applications menu (Vincent)
	* Drop drawers (Vincent)
	* Remove migration code for panel 2.x configuration (Vincent)
	* Drop hidden --profile argument (Vincent)
	* Also require modifier to move applets by clicking on handle (Vincent)
	* Drop per-applet Lock setting (Vincent)
	* Put Move before Remove in applet menu (Vincent)
	* Migrate to GSettings (Vincent)
	  This includes:
	    * Rework the way we define te default layout
	    * Better integration with GNOME 3.0 in general (for lockdown, for
	      instance)
	    * Still make it possible to have applets use GConf for their own
	      settings
	* Use gtk-enable-animations GtkSettings property instead of our own
	  setting (Vincent)
	* Remove setting to highlight launchers on mouse hover, and instead
	  make this available in the theme with "-ButtonWidget-hover-highlight:
	  false;" (Vincent)
	* Move Lock before Activate in screensaver button popup (Vincent)
	* Talk to gnome-screensaver via dbus (Vincent)
	* Port to GDBus (Vincent)
	* Stop saving launchers in ~/.gnome2, and use XDG config dir (Vincent)
	* Remove unneeded check for 'logout-prompt' setting (Vincent)
	* Change gconf path of applet prefs (Vincent)
	* Prepare code for ability to use centered applets (Vincent)
	* Code cleanups (Vincent)

  libpanel-applets

	* Add panel_applet_settings_new() API (Vincent)
	* Mark all GConf-related API as deprecated (Vincent)

  Fish Applet

	* Port to GSettings (Vincent)
	* Change the way to choose the image and number of frames, by using a
	  keyfile. There's no UI for this anymore at the moment (Vincent)

  Window List Applet

	* Port to GSettings (Ryan Lortie)

  Workspace Switcher Applet

	* Port to GSettings (Ryan Lortie)

  Translators

	* Khaled Hosny (ar)
	* Fran Diéguez (gl)
	* A S Alam (pa)
	* Piotr Drąg (pl)
	* Rodrigo Padula de Oliveira (pt_BR)
	* Daniel Nylander (sv)
	* Sahran (ug)

===============
Version 2.91.92
===============

  Panel

	* Fix compilation warnings (Colin Walters)
	* Add style classes to make panel easier to theme (William Jon McCann)
	* Fix background of handles for transparent panels (Carlos Garcia
	  Campos)
	* Remove X-GNOME-Autostart-Notify from .desktop file (Vincent)
	* Stop manually making the panel menubar text bold, this is handled in
	  the theme now (Vincent)

  Clock

	* Stop manually making the panel menubar text bold, this is handled in
	  the theme now (Vincent)

  Docs Translators

	* Luca Ferretti (it)

  Translators

	* Nilamdyuti Goswami (as)
	* Denis (br)
	* Marek Černocký (cs)
	* Dawa pemo (dz)
	* Bakaoukas Nikolaos (el)
	* Bruce Cowan (en_GB)
	* Gabor Kelemen (hu)
	* Narine Martirosyan (hy)
	* Luca Ferretti (it)
	* Shankar Prasad (kn)
	* Rudolfs (lv)
	* Sangeeta Kumari (mai)
	* Andre Klapper (ml)
	* Badral (mn)
	* Nabin Gautam (ne)
	* Piotr Drąg (pl)
	* Zabeeh khan (ps)
	* Duarte Loreto (pt)
	* Leonardo Ferreira Fontenelle (pt_BR)
	* Lucian Adrian Grijincu (ro)
	* Yuri Myaseodov (ru)
	* Danishka Navin (si)
	* Korostil Daniel (uk)
	* Nurali Abdurahmonov (uz)

===============
Version 2.91.91
===============

Note: this version breaks API in libpanel-applet (an unused argument was
removed from FACTORY macros) and ABI (removed arguments and API). The version
of the library was not bumped as we're still finalizing the 3.0 API, so make
sure to rebuild all applets.

  All

	* Minor code cleanup (Vincent)

  Panel

	* Fix warning when lockdown setting changes (Vincent)

  libpanel-applet

	* Make sure people cannot misuse PanelApplet by documenting an API
	  usage error on stderr (Vincent)
	* Remove panel_applet_new() (Vincent)
	* Remove unused name arg in FACTORY macros (Vincent)
	* Remove out_process from panel_applet_factory_main() (Vincent)
	* Add test applet in python (Vincent)
	* Improve introspection coverage (Vincent)
	* Stop printing errors for gconf API (Vincent)
	* Correctly set min & max of orient and flags properties (Vincent)

  Clock Applet

	* Only display "edit locations" button if panel is not locked down
	  (Vincent)
	* Monitor locked-down property to update prefs visibility (Vincent)
	* Better fix for missing calendar sources (David Woodhouse)

  Fish Applet

	* Monitor locked-down property to update prefs visibility (Vincent)

  Wnck Applets

	* Monitor locked-down property to update prefs visibility (Vincent)

  Misc

	* Rewrite (and complete) libpanel-applet documentation (Vincent)
	* Remove libcanberra-gtk3 dependency (Vincent)
	* Bump GTK+ 3 requirement to 3.0 (Carlos Garcia Campos)

  Translators

	* Khaled Hosny (ar)
	* David Planella (ca)
	* Kristjan SCHMIDT (eo)
	* Bruno Brouard (fr)
	* Rajesh Ranjan (hi)
	* Changwoo Ryu (ko)
	* Rūdolfs Mazurs (lv)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)
	* Maxim Dziumanenko (uk)
	* YunQiang Su (zh_CN)

===============
Version 2.91.90
===============

This release changes in a major way the way people can "edit" panels (ie,
create new panels, add new applets, move applets, remove applets, etc.): those
"edit" features have always been accessible mostly through popup menus, but this
often created accidental changes. Now, users have to press the same modifier as
the one configured in metacity (by default, Alt) to access the menus showing
those "edit" features. Other items from applets menus are still available in the
standard popup menu.

Packagers: please note that, following the above change, gnome-panel requires
libpanel-applet 2.91.90 to work fine with applets.

  Panel

	* Code cleanups (Vincent)
	* Fix dbus applets to work in multiscreen environment (Vincent)
	* Update default panel layout to remove launchers, window menu, and show
	  desktop button (William Jon McCann)
	* Make panel menubar text bold (William Jon McCann)
	* Hide icon from panel menubar by default; use
	  "-PanelMenuBar-icon-visible: true;" in theme to make it visible again
	  (Vincent)
	* Remove help items from popup menus (William Jon McCann, Vincent)
	* Move all "edit" features in popup menus in a popup menu that gets
	  opened only when modifier is pressed (Vincent)
	* Do not show "Edit Menus" in menubar context menu if locked down
	  (Vincent)
	* Do not lock any objects by default anymore (Vincent)

  libpanel-applet

	* Move all "edit" features in applet popup menus in a popup menu that
	  gets opened only when modifier is pressed (Vincent)

  All Appletso

	* Remove help and about items from popup menu (William Jon McCann,
	  Vincent)

  Clock Applet

	* Open evo with right date when clicking on calendar (Magnus E)
	* Make text bold (William Jon McCann)

  Notification Area Applet

	* Synchronize with code from gnome-shell (Dan Winship)
	* Set tray colors based on the ones set in the theme (Vincent, William
	  Jon McCann)
	* Add support for _NET_SYSTEM_TRAY_PADDING. The padding can be set in
	  the theme with "-NaTrayApplet-icon-padding: 6;" (Matthias Clasen,
	  Vincent)
	* Code cleanup (Vincent)

  Wnck Applets

	* Remove switching workspace on scroll events (done in libwnck now)
	  (Vincent)

  Misc

	* Build fix (Vincent)
	* Free the fish! (Vincent)

  Docs Translators

	* Jorge González (es)

  Translators

	* Khaled Hosny (ar)
	* Alexander Shopov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Mario Blättermann (de)
	* Daniel Mustieles (es)
	* Fran Diéguez (gl)
	* Sweta Kothari (gu)
	* Yaron Shahrabani (he)
	* Dirgita (id)
	* Torstein Adolf Winterseth (nb)
	* Wouter Bolsterlee (nl)
	* A S Alam (pa)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 2.91.6
==============

This is the first version of gnome-panel with GTK+ 3 support. There are likely
some regressions, and help to fix them is most welcome! Many thanks to Carlos
Garcia Campos, Germán Póo-Caamaño, Benjamin Otte, Milan Bouchet-Valat and
Christian Persch for the port!

Also, the bonobo compatibility support has been removed for now. It might
eventually re-appear in a separate tarball: some more work is needed there to
avoid having bonobo used directly from inside the gnome-panel process.

  All

	* Port to GTK+ 3 (Carlos Garcia Campos, Germán Póo-Caamaño, Benjamin
	  Otte, Milan Bouchet-Valat, Christian Persch, Vincent)

  Panel

	* Change references from bonobo-applet to external-applet in gconf
	  (Vincent)
	* Don't rely on nautilus desktop files, as they're going away (Cosimo
	  Cecchi)
	* Remove About GNOME menu item (Vincent)
	* Do not show settings.menu in System menu, but just the control center
	  (Vincent)
	* Migrate settings: menu buttons to gnome-control-center launcher
	  (Vincent)
	* Support adding launchers (and menu buttons) from gnomecc.menu
	  (Vincent)

  libpanel-applet

	* Add libpanel_applet_dir variable in libbpanelapplet.pc (Vincent)

  libpanel-applet (bonobo)

	* Drop the bonobo support (Vincent)

  Clock Applet

	* Show appointments from local/mapi eds providers (Milan Crha, Kåre
	  Fiedler Chrisitiansen)
	* Use the control center date/time panel instead of our own time
	  setting dialog (Vincent)

  Notification Area Applet

	* Fix handling of SYSTEM_TRAY_CANCEL_MESSAGE (Vincent)
	* Add support for _NET_SYSTEM_TRAY_COLORS (Dan Winship)
	* Cleanups (Dan Winship)

  Wnck Applets

	* Update for libwnck 2.91.x API changes (Vincent)

  Misc

	* Finally drop gnome-panelrc (Vincent)
	* Various build improvements (Vincent)

  Docs Translators

	* Gitte Illum Petersen (da)

  Translators

	* Khaled Hosny (ar)
	* Alexander Shopov (bg)
	* David Planella (ca)
	* Marek Černocký (cs)
	* Christian Kirbach (de)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Arash Mousavi (fa)
	* Fran Diéguez (gl)
	* Yaron Shahrabani (he)
	* Andika Triwidada (id)
	* Torstein Adolf Winterseth (nb)
	* Wouter Bolsterlee (nl)
	* A S Alam (pa)
	* Adi Roiban (ro)
	* Yuri Myasoedov (ru)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)
	* Sahran (ug)
	* Maxim Dziumanenko (uk)
	* Clytie Siddall (vi)
	* Wei-Lun Chao (zh_HK)
	* Wei-Lun Chao (zh_TW)

==============
Version 2.32.1
==============

  Panel

	* Support relocating the .gnome2 directory with an environment
	  variable, like libgnome does (Ray Strode)

  libpanel-applet

	* Fix build breakage caused by wrong include (Vincent)

  Misc

	* Link gnome-desktop-item-edit against X libs too (Vincent)

  Docs Translators

	* Matej Urbančič (sl)

  Translators

	* David Planella (ca@valencia)
	* Jorge González (es)
	* Mattias Põldaru (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Yaron Shahrabani (he)
	* Takayuki KUSANO (ja)
	* Gintautas Miliauskas (lt)
	* Daniel S. Koda (pt_BR)
	* Sahran (ug)

================
Version 2.32.0.2
================

Panel

	* Build panel with -export-dynamic. Else, it just fails badly at
	  runtime (Vincent)

================
Version 2.32.0.1
================

  Misc

	* Fix build with --as-needed (Vincent)

==============
Version 2.32.0
==============

  Misc

	* Associate .gir with pkg-config file (Vincent)
	* Rename --enable-deprecations configure option to
	  --enable-deprecation-flags (Vincent)

  Translators

	* Petr Kovar (cs)
	* Ask Hjorth Larsen (da)
	* Bakaoukas Nikolaos (el)
	* Ivar Smolin (et)
	* Baurzhan Muftakhidinov (kk)
	* Shankar Prasad (kn)
	* jhsim (ko)
	* Wouter Bolsterlee (nl)
	* Jonh Wendell (pt_BR)
	* Yuri Myasoedov (ru)

===============
Version 2.31.92
===============

This release fix various issues with panels staying hidden, or applets from the
user configuration not being visible (because the applets are or were bonobo
applets).

  Panel

	* Fix various issues where panels stay hidden on load or on addition
	  (Vincent)
	* Do not queue load of an applet if it's already being loaded (Vincent)
	* Fix loading of bonobo applets that are already configured (Vincent)
	* Understand bonobo IID in applet_iid keys (Vincent)
	* Add back optional support for bonobo applets to gnome-panel-add
	  (Vincent)
	* Stop using deprecated gdk_display/GDK_DISPLAY() (Vincent)
	* Prevent modules from being unloadable, which fixes a crash on logout
	  (Ray Strode)

  libpanel-applet

	* Fix build with gobject-introspection 0.9.5 (Colin Walters)

  libpanel-applet (bonobo)

	* Stop using deprecated gdk_display (Vincent)

  Misc

	* Small build fixes (Vincent)
	* Update information in README and other files (Vincent)
	* Rewrite gnome-panel man page (Vincent)
	* Explicitly link to xrandr (Vincent)

  Docs Translators

	* Yasumichi Akahoshi (ja)

  Translators

	* Alexander Shopov (bg)
	* David Planella (ca)
	* Philip Withnall (en_GB)
	* Ivar Smolin (et)
	* Claude Paroz (fr)
	* Gabor Kelemen (hu)
	* Dirgita (id)
	* Luca Ferretti (it)
	* Takayuki KUSANO (ja)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Милош Поповић (sr)
	* Miloš Popović (sr@latin)
	* Dr.T.Vasudevan (ta)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

===============
Version 2.31.90
===============

  Clock Applet

	* Use the polkit helper from g-s-d to set time/timezone (Vincent)

  Translators

	* Sense Hofstede (fy)
	* Reuben Potts (gv)
	* Sahran (ug)

==============
Version 2.31.6
==============

  Panel

	* Allow Windows key as valid mouse modifier (Ray Strode)
	* Update to latest gdbus API change (Frédéric Péters)

  libpanel-applet (bonobo)

	* GSeal fixes (Vincent)

  Workspace Switcher Applet

	* Fix crash in multiscreen setups (Ray Strode)

  Docs Translators

	* YunQiang Su (zh_CN)

  Translators

	* Runa Bhattacharjee (bn_IN)
	* Mario Blättermann (de)
	* Kristjan SCHMIDT (eo)
	* Fran Diéguez (gl)
	* Sweta Kothari (gu)
	* Rajesh Ranjan (hi)
	* Dirgita (id)
	* Shankar Prasad (kn)
	* Sandeep Shedmake (mr)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)
	* Krishna Babu K (te)
	* 苏运强 (zh_CN)

==============
Version 2.31.4
==============

  All

	* More GSeal fixes (Andre Klapper, Vincent)
	* Stop using deprecated GTK+ API (Vincent)

  libpanel-applet

	* Update to GDBus API change (Carlos Garcia Campos)
	* Add gobject-introspection support (Javier Jardón)

  Clock Applet

	* Add -lm when linking the clock applet (Dan Horak)

  Notification Area Applet

	* Fix issues with old-style multiscreen setups (Ray Strode)

  Misc

	* Make automatic detection of bonobo work in configure (Vincent)

  Translators

	* Kristjan SCHMIDT (eo)
	* Ivar Smolin (et)
	* Fran Diéguez (gl)
	* Yaron Shahrabani (he)
	* Rajesh Ranjan (hi)
	* Kjartan Maraas (nb)
	* A S Alam (pa)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.31.2
==============

Note to distributors: this release is the first release to come with a new
dbus-based applet library. This library is similar to the bonobo-based one, but
applets still need some porting work to use it. To minimize any potential
disruption for users, the panel can still use bonobo applets, using an
extension mechanism. The bonobo dependency is, however, optional and it's
possible to build gnome-panel without it.

While all the resources are currently shipped with gnome-panel, we are
considering splitting all the bonobo-related code to a new module in the
future.

The dbus-based library for applets is named libpanel-applet-3 and it is
currently not considered stable. API and ABI might change in the near future.


  All

	* Provide a dbus-based applet library (Carlos Garcia Campos, Vincent)
	* Keep an optional bonobo-based applet library (Vincent)

  Panel

	* Make sure that newly-created panels become unhidden (Vincent)

  Misc

	* Require glib 2.25.7 (Carlos Garcia Campos)
	* Make orbit and bonobo dependencies optional (Carlos Garcia Campos,
	  Vincent)

  Translators

	* Khaled Hosny (ar)
	* Alexander Nyakhaychyk (be)
	* Denis (br)
	* David Planella (ca)
	* David Planella (ca@valencia)
	* Thomas Thurman (en@shaw)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Rajesh Ranjan (hi)
	* Narine Martirosyan (hy)
	* Andika Triwidada (id)
	* IWAI, Masaharu (ja)
	* Shankar Prasad (kn)
	* Rūdolfs Mazurs (lv)
	* Thierry Randrianiriana (mg)
	* Sandeep Shedmake (mr)
	* Kjartan Maraas (nb)

==============
Version 2.30.0
==============

  Docs Translators

	* Joe Hansen (da)
	* Bakaoukas Nikolaos (el)
	* Claude Paroz (fr)
	* Kevin-Wei-2 (zh_HK)
	* Kevin-Wei-2 (zh_TW)
	* Bakaoukas Nikolaos (el)

  Translators

	* F Wolff (af)
	* Khaled Hosny (ar)
	* Israt Jahan (bn)
	* David Planella (ca)
	* Reşat SABIQ (crh)
	* Petr Kovar (cs)
	* Ask Hjorth Larsen (da)
	* Bakaoukas Nikolaos (el)
	* Iñaki Larrañaga Murgoitio (eu)
	* Tommi Vainikainen (fi)
	* Sweta Kothari (gu)
	* Gabor Kelemen (hu)
	* Hideki Yamane (Debian-JP) (ja)
	* Ani Peter (ml)
	* Wouter Bolsterlee (nl)
	* A S Alam (pa)
	* Tomasz Dominikowski (pl)
	* Pavol Šimo (sk)
	* Горан Ракић (sr)
	* Goran Rakić (sr@latin)
	* wanderlust (uk)

=================
Version 2.29.92.1
=================

  Panel

	* Fix crash when using the main menu (Vincent)

  Misc

	* Add configure summary (Vincent)

  Docs Translators

	* Marek Černocký (cs)

===============
Version 2.29.92
===============

  Panel

	* Build with latest GSeal'ed GTK+ (Vincent)
	* Display GenericName in tooltip if there's no Comment (Vincent)
	* Fix applet right-sticking on screen resolution change (Mark)
	* Make email addresses hyperlinks in about dialog (Kyle Pelton)
	* Use special XDG directory icon names (Marcel Stimberg)

  libpanel-applet

	* Build with latest GSeal'ed GTK+ (Vincent)

  All Applets

	* Build with latest GSeal'ed GTK+ (Vincent)

  Clock Applet

	* Fix wrong string in documentation (Andre Klapper)
	* Use icon fallbacks if the theme does not include phases of moon
	  (Frank Solensky)
	* Validate input in add location dialog (Philippe Gauthier)

  Notification Area Applet

	* Make location of standard status icons predictable (Matthias Clasen)

  Docs Translators

	* Marek Černocký (cs)
	* Joe Hansen (da)
	* Mario Blättermann (de)
	* Jorge González (es)

  Translators

	* Christian Kirbach (de)
	* nikosCharonitakis (el)
	* Bruce Cowan (en_GB)
	* Luca Ferretti (it)
	* Changwoo Ryu (ko)
	* Gintautas Miliauskas (lt)
	* Åsmund Skjæveland (nn)
	* Duarte Loreto (pt)
	* Yuri Kozlov (ru)

===============
Version 2.29.91
===============

  Panel

	* Add X-GNOME-AutoRestart to desktop file (Chris Coulson)

  Clock Applet

	* Make sunrise/sunset and other times follow the 12/24h preference (Ted
	  M Lin)

  Docs Translators

	* Mario Blättermann (de)
	* Jorge González (es)

  Translators

	* Petr Kovar (cs)
	* Mario Blättermann (de)
	* Ivar Smolin (et)
	* Claude Paroz (fr)
	* Fran Diéguez (gl)
	* Gabor Kelemen (hu)
	* Piotr Drąg (pl)
	* Henrique P. Machado (pt_BR)
	* Lucian Adrian Grijincu (ro)
	* Matej Urbančič (sl)
	* Theppitak Karoonboonyanan (th)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 2.29.6
==============

  Panel

	* Load applets in a high-priority idle loop on startup (Sébastien
	  Bacher)
	* Build fix (Vincent)

  Clock Applet

	* Updated documentation (Paul Cutler)

  Translators

	* Alexander Shopov (bg)
	* Loba Yeasmeen (bn)
	* Ivar Smolin (et)
	* Umarzuki bin Mochlis Moktar (ms)
	* Kjartan Maraas (nb)
	* Matej Urbančič (sl)
	* Dr,T,Vasudevan (ta)
	* 苏运强 (zh_CN)

================
Version 2.29.5.1
================

  Panel

	* Update latest EggSMClient code, which requires no panel-specific
	  patch (Vincent)
	* Fix potential crash when creating a launcher with drag and drop
	  (Vincent)
	* Make sure to initialize bonobo (Vincent)

  Clock Applet

	* Avoid unnecessary wakeups when monitoring non-existing timezone files
	  (Vincent)

  Misc

	* Require gnome-desktop >= 2.24.0 (Vincent)

  Translators

	* Khaled Hosny (ar)
	* Jorge González (es)
	* Kjartan Maraas (nb)
	* Daniel Nylander (sv)

==============
Version 2.29.5
==============

  Panel

	* Use a native window for PanelWidget to fix uglyness on unhide
	  (Alex Larsson, Vincent)
	* Fix crashes in various conditions with the new randr code (Vincent)
	* Fix important regression in very important code (Dan Winship)
	* Fix crash with malicious .gtk-bookmarks (Gustavo Noronha Silva)
	* Impose a limit on the size of the bookmarks file (Gustavo Noronha
	  Silva)
	* Port code away from libgnome and libgnomeui (Vincent, Javier Jardón)
	* Do not add (deprecated) Encoding key when creating desktop files
	  (Vincent)

  Clock Applet

	* Remove hack for gravity that was needed with earlier pango (Vincent)
	* Check errors returned by PolicyKit (Matthias Clasen)
	* Deprecate gmt_time gconf key (Vincent)

  Misc

	* Build fixes (Vincent)
	* Remove dependency on libgnome and libgnomeui (Vincent)
	* Add configure check for libcanberra-gtk (Vincent)
	* Add configure check for ice and sm (X libraries) (Vincent)

  Docs Translators

	* Joe Hansen (da)
	* Fotis Tsamis (el)
	* Carlos Manuel (pt)
	* Zhangmiao (zh_CN)

  Translators

	* Gil Forcada (ca)
	* Carles Ferrando Garcia (ca@valencia)
	* Reşat SABIQ (crh)
	* Thomas Thurman (en@shaw)
	* Timo Jyrinki (fi)
	* Gabor Kelemen (hu)
	* Nils-Christoph Fiedler (nds)
	* Eskild Hustvedt (nn)
	* Tomasz Dominikowski (pl)
	* Dmitry Yacenko (ru)
	* Matej Urbančič (sl)
	* Clytie Siddall (vi)
	* 苏运强 (zh_CN)

==============
Version 2.28.0
==============

  Docs Translators

	* Kostas Papadimas (el)

  Translators

	* Amitakhya Phukan (as)
	* Petr Kovar (cs)
	* Mario Blättermann (de)
	* Kostas Papadimas (el)
	* Philip Withnall (en_GB)
	* Rajesh Ranjan (hi)
	* Takayuki KUSANO (ja)
	* Shankar Prasad (kn)
	* Peter Ani (ml)
	* Sandeep Shedmake (mr)
	* Manoj Kumar Giri (or)
	* Adi Roiban (ro)
	* Matej Urbančič (sl)
	* Krishna Babu K (te)
	* wanderlust (uk)

===============
Version 2.27.92
===============

  Panel

  	* Add shebang to gnome-panel-add script (Vincent)
	* Use display name instead of name for menu items (Vincent)
	  This implies we now support the X-GNOME-FullName key.
	* Make the desktop item editor not emit signals on startup (Vincent)
	* Support X-GNOME-FullName in the desktop item editor (Vincent)
	* Always show icons for categories in the applications menu (Vincent)

  Clock Applet

	* Update the time when the user clicks to open calendar (Vincent)

  Wnck Applets

	* Fix spin buttons not working in workspace switcher preferences
	  (Sébastien Bacher)

  Misc

	* Require gnome-menus 2.27.92 (Vincent)
	* Ship the desktop.in files in tarball, not pre-build .desktop
	  (Vincent)

  Docs Translators

	* Claude Paroz (fr)

  Translators

	* Khaled Hosny (ar)
	* Alexander Nyakhaychyk (be)
	* Loba Yeasmeen (bn)
	* Runa Bhattacharjee (bn_IN)
	* Ask Hjorth Larsen (da)
	* Iñaki Larrañaga Murgoitio (eu)
	* Bruno Brouard (fr)
	* Sweta Kothari (gu)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Gintautas Miliauskas (lt)
	* Kjartan Maraas (nb)
	* A S Alam (pa)
	* Duarte Loreto (pt)
	* Vladimir Melo (pt_BR)
	* Горан Ракић (sr)
	* Goran Rakić (sr@latin)
	* I. Felix (ta)
	* Baris Cicek (tr)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

===============
Version 2.27.91
===============

  Panel

	* Drop dead code (Vincent)
	* Don't show icons icons for actions and categories (William Jon
	  McCann, Matthias Clasen, Vincent)
	* Remove use of GnomeEntry in run dialog (Diego Escalante Urrelo,
	  Vincent)
	* Port to GtkBuilder (Vincent)
	* Make the run button icon respect the desktop-wide setting (Vincent)
	* Add gnome-panel-add script to allow easy addition of applets
	  (Vincent)
	* Use g_timeout_add_seconds to reduce wakeups (Javier Jardón)
	* Ignore overlapping monitors and just use the largest one (Federico
	  Mena Quintero)
	* Put LVDS as first monitor (Federico Mena Quintero)
	* Correctly set struts when two panels are right-oriented (Alexey
	  Rusakov)
	* Use /desktop/gnome/lockdown/disable_lock_screen (Vincent)
	* Use a different define for the size of the Applications menu icon
	  (Vincent)
	* Clarify warning message at forced quit (Gabor Kelemen)
	* Make sure to preload /apps/panel/general early enough (Behdad
	  Esfahbod)
	* Remove empty labels from translation (Andre Klapper)
	* Do not use non-existing monitors for toplevels (Vincent)
	* Do not save monitor changes that are caused by constraints (Vincent)
	* Use randr 1.3 features to detect the first monitor when possible
	  (Vincent)
	* Use XRRGetScreenResourcesCurrent() when possible (Vincent)
	* Improve check for LVDS-named output (Vincent)
	* Remove deprecated Encoding key from desktop file (Frédéric Péters)

  libpanel-applet

	* Port to GtkBuilder (Diego Escalante Urrelo, Vincent)

  All Applets

	* Port to GtkBuilder (Vincent)

  Clock Applet

	* Change "Clock Options" label to "Clock Format" (Vincent)
	* Launch the configured calendar/tasks application instead of evolution
	  (Alex Converse, Vincent)
	* Port to PolicyKit 1 (Matthias Clasen)
	* Make default PolicyKit configuration stricter (Vincent)
	* Do not crash when setting time/timezone without PolicyKit (Matt Keenan)
	* Do not use obsolete and unneeded daylight variable (Alexis Ballier)
	* Fix confusion between GTime and time_t (Matthias Drochner)
	* Add missing mnemonics and window title (Gabor Kelemen)
	* Use g_timeout_add_seconds to reduce wakeups (Javier Jardón)
	* Do not place on the map locations with lat = 0 and lon = 0 (Vincent)
	* Make it possible to change the name of a location (Vincent)
	* Add/improve translator comments (Vincent)
	* Code cleanups (Vincent)

  Notification Area Applet

	* Allow more flexibility for NaTrayChild compositing (Owen Taylor)
	* Use g_timeout_add_seconds to reduce wakeups (Javier Jardón)

  Misc

	* Add ACLOCAL_AMFLAGS (Sébastien Bacher)
	* Use silent-rules instead of shave for quiet build (Vincent)
	* Remove workaround for scrollkeeper (Vincent)
	* Remove libglade dependency (Vincent)
	* Require libgweather 2.27.90 (Vincent)

  Docs Translators

	* Marek Černocký (cs)
	* Mario Blättermann (de)
	* Laurent Coudeur (fr)
	* Milo Casagrande (it)

  Translators

	* Khaled Hosny (ar)
	* Alexander Shopov (bg)
	* Denis Arnaud (br)
	* Jordi Mallach (ca)
	* Petr Kovar (cs)
	* Joop Eggen (eo)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Timo Jyrinki (fi)
	* Seán de Búrca (ga)
	* Antón Méixome (gl)
	* Yaron Shahrabani (he)
	* Changwoo Ryu (ko)
	* Luca Ferretti (it)
	* Kjartan Maraas (nb)
	* Tomasz Dominikowski (pl)
	* Vladimir Melo (pt_BR)
	* Daniel Nylander (sv)
	* Dr.T.Vasudevan (ta)
	* Theppitak Karoonboonyanan (th)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 2.27.4
==============

  Panel

	* Make the kill message of the action protocol work (Vincent)
	* Add missing animation_speed keys to default panel config (Vincent)
	* Make auto-hiding more reactive by tweaking default settings (Simon
	  Ochsenreither, Vincent)
	* Fix Command mnemonic in launcher editor (Vincent)
	* Fix crash when clicking launcher on second screen (Gerd Kohlberger)
	* Always show icons in panel menus (William Jon McCann, Vincent)

  libpanel-applet

	* Fix critical warning when an applet is created (Vincent)

  Clock Applet

	* Fix some small UI issues in the clock applet (Matthias Clasen)
	* Remove dead code (Vinent)

  Notification Area Applet

	* Remove focus padding from status area (William Jon McCann)

  Misc

	* Remove now useless --with-clock-time-utility configure option
	  (Vincent)

  Docs

	* Remove deprecated help files (Vincent)
	* Update metadata for some help files (Paul Cutler)

  Docs Translators

	* Marek Černocký (cs)
	* Jorge González (es)

  Translators

	* Runa Bhattacharjee (bn)
	* Runa Bhattacharjee (bn_IN)
	* Petr Kovar (cs)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Seán de Búrca (ga)
	* Gabor Kelemen (hu)
	* ElîxanLoran (ku)
	* Kjartan Maraas (nb)
	* Mark Krapivner (he)
	* Daniel Nylander (sv)
	* wanderlust (uk)

==============
Version 2.26.2
==============

  libpanel-applet

	* Only associate gconf keys with schemas when needed (Vincent)
	* Work-around new gconf bug that make the applets not see the default
	  values in gconf (Vincent)

  Clock Applet

	* Remove <requires-version> from glade file (Vincent)

  Misc

	* Build system changes following git migration (Vincent)
	* Remove pre-gnome-doc-utils help translations (Vincent)
	* Use shave to improve build log readability (Vincent)

  Docs Translators
	TeliuTe (zh_CN)
	Zhang Miao (zh_CN)

  Translators
	Christian Kirbach (de)
	Jordi Mallach (ca)
	Shankar Prasad (kn)

==============
Version 2.26.1
==============

  Panel

	* Display the right icons for locations in the menu (Vincent)

  Docs Translators

	* Marios Zindilis (el)

  Translators

	* Djihed Afifi (ar)
	* Christian Kirbach (de)
	* Thanos Lefteris (el)
	* Shankar Prasad (kn)
	* Горан Ракић (sr)

==============
Version 2.26.0
==============

  Panel

	* Ignore shadow mounts in the panel menus (Vincent)
	* Mark desktop files as trusted when it makes sense (Vincent)

  Clock Applet

	* Fix bad memory usage for a string returned by libical (Vincent)

  Misc

	* Remove scrollkeeper check, since it belongs to gnome-doc-utils
	  (Vincent)

  Docs Translators

	* Jen Ockwell (en_GB)
	* Jan Brož and Lucas Lommer (cs)

  Translators

	* Runa Bhattacharjee (bn_IN)
	* Reşat SABIQ (crh)
	* Hendrik Richter (de)
	* Fotis Tsamis (el)
	* Jorge González (es)
	* Mattias Põldaru (et)
	* Claude Paroz (fr)
	* Suso Baleato (gl)
	* Ankit Patel (gu)
	* Yaron Shahrabani (he)
	* Rajesh Ranjan (hi)
	* Luca Ferretti (it)
	* Žygimantas Beručka (lt)
	* wadim dziedzic (pl)
	* Duarte Loreto (pt)
	* Adi Roiban (ro)
	* Yuriy Penkin (ru)
	* I. Felix (ta)
	* Theppitak Karoonboonyanan (th)

===============
Version 2.25.92
===============

  Panel

	* Fix some randr-interaction by connecting to the monitors-changed
	  signal. This shouldn't be needed with the latest GTK+, but we keep to
	  be 100% sure it will work in 2.26.0. (Matthias Clasen)
	* Use close button instead of ok button in error dialogs (Vincent)

  All Applets

	* Use close button instead of ok button in error dialogs (Vincent)

  Translators

	* Reşat SABIQ (crh)
	* Philip Withnall (en_GB)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Luca Ferretti (it)
	* Raivis Dejus (lv)
	* Thierry Randrianiriana (mg)
	* Praveen Arimbrathodiyil (ml)
	* Adi Roiban (ro)
	* Pavol Šimo (sk)
	* Dr.T.vasudevan (ta)

===============
Version 2.25.91
===============

  Panel

	* Remove the mixer applet from the default configuration since GNOME
	  upstream doesn't ship this applet by default. Some distributions
	  might want to put it back. The patch to be reverted is:
	  http://svn.gnome.org/viewvc/gnome-panel/trunk/gnome-panel/panel-default-setup.entries?r1=11171&r2=11512&view=patch
	  (Vincent)

  Clock Applet

	* Fix properties dialog to not have a missing image and a weird title
	  (Matthias Clasen)
	* Use new GTK+ feature to change orientation of GtkBox instead of
	  custom code (Christian Persch)

  Notification Area Applet

	* Use new GTK+ feature to change orientation of GtkBox instead of
	  custom code (Christian Persch)

  Misc

	* Require GTK+ 2.15.1 (Christian Persch)

  Docs Translators

	* Iñaki Larrañaga Murgoitio (eu)

  Translators

	* Astur (ast)
	* Ihar Hrachyshka (be@latin)
	* Alexander Shopov (bg)
	* Ask Hjorth Larsen (da)
	* Dawa pemo (dz)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ignacio Casal Quinteiro (gl)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Vladimer Sichinava ვლადიმერ სიჭინავა (ka)
	* Shankar Prasad (kn)
	* Rafael Garcia (la)
	* Jovan Naumovski (mk)
	* Wouter Bolsterlee (nl)
	* Manoj Kumar Giri (or)
	* Tomasz Dominikowski (pl)
	* Duarte Loreto (pt)
	* Adi Roiban (ro)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* 甘露(Gan Lu) (zh_CN)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

===============
Version 2.25.90
===============

  Panel

	* Add a timeout of 5 seconds to do the panel initial animation, in case
	  an applet is blocked while it's loading (Vincent)
	* Fix some format security warnings (Frédéric Crozat)

  Clock Applet

	* Fix some format security warnings (Frédéric Crozat)
	* Fix the dbus configuration file to specify the destination that is
	  allowed instead of just some non-existing interfaces (Vincent)
	* Properly initialize the eds part handling passwords, fixing some
	  hangs (Simon Brys, Vincent)

  Fish Applet

	* Fix some format security warnings (Frédéric Crozat)
	* Build fixes (Vincent)

  Notification Area Applet

	* Fix some format security warnings (Frédéric Crozat)

  Translators

	* Jordi Mallach (ca)
	* Ilkka Tuohela (fi)
	* Vladimer Sichinava ვლადიმერ სიჭინავა (ka)
	* Changwoo Ryu (ko)
	* Raivis Dejus (lv)
	* Jovan Naumovski (mk)
	* Sandeep Shedmake (mr)
	* Kjartan Maraas (nb)
	* André Gondim (pt_BR)
	* Krishna Babu K (te)

================
Version 2.25.5.1
================

  Panel

	* Fix a crash when the user configuration contains a separator
	  (Vincent)

==============
Version 2.25.5
==============

  Panel

	* Only show shutdown/reboot menu items if made available by the session
	  manager (Ray Strode)
	* Only allow dragging panels when pressing a modifier button (usually
	  Alt) for expanded panels (Vincent, William Lachance)
	* Delay the initial panel animation until applets/objects are loaded
	  (Ray Strode, Vincent)
	* Fix initial animation not happening for newly created panels
	  (Vincent)
	* Fix unloaded panels with existing configuration appearing empty when
	  reloaded in gconf (Vincent)
	* Correctly set the struts of the panel at the very early start so that
	  desktop icons don't jump around on login (Vincent, Ray Strode)
	* Connect to the session manager when we're really ready, instead of
	  doing it too early. This helps with desktop icons too (Behdad
	  Esfahbod, Vincent)
	* Respect TryExec key in desktop files that we directly put in the
	  menus (Matthias Clasen, Vincent)

  Clock Applet

	* Hide the option to use 12/24 hours if it's not supported in the
	  current locale (Vincent)
	* Fix a crash on Solaris when the weather code is empty (Vincent)
	* Minor HIG fix

  Misc

	* Fix applet compilation by explicitly listing LIBPANEL_APPLET_LIBS in
	  LDADD (Vincent)

  Translators

	* Petr Kovar (cs)
	* Andre Klapper (de)
	* Jorge González (es)
	* saudat mohammed (ha)
	* Gabor Kelemen (hu)
	* Onye, Sylvester (ig)
	* Kjartan Maraas (nb)
	* Daniel Nylander (sv)
	* Fajuyitan, Sunday Ayo (yo)

==============
Version 2.25.3
==============

Note to distributors: this release might break various other applications
(mostly applets, though). If this is the case, please contact the gnome-panel
developers to see if changes should be reverted.

 + we do not have a bonobo PanelShell interface. As far as I know, it wasn't
   used by anything and was useless anyway.
 + libpanel-applet doesn't depend on libgnomeui anymore. This might have some
   build-time and run-time side-effects:
   - build-time: the pkg-config check for libpanelapplet-2.0 won't bring
     libgnomeui anymore. The fix is to have the applet configure script check
     for libgnomeui itself if it needs it.
   - build-time: panel-applet.h doesn't contain some #include for some
     libgnomeui part anymore. The fix is to have the relevant applet code
     include the right headers it needs.
   - run-time: the macro defined in panel-applet.h and used by nearly all
     applets to start the applet (PANEL_APPLET_BONOBO_FACTORY) used to call
     gnome_program_init(), and it's not the case anymore. If the applet uses
     some libgnomeui widgets, there might be warnings because some of those
     require some libgnomeui initialization. The fix is to either port the
     applet to GTK+ widgets, or to have it called gnome_program_init() on its
     own.
   This last item could arguably be seen as an API change. If this causes too
   many issues, another solution might be considered.


  Panel

	* Use C_() instead of Q_() (Philip Withnall, Vincent)
	* Fix compilation warnings (Vincent)
	* Use dbus-based uniquification instead of bonobo-based (Colin Walters,
	  Vincent)
	* Add a --replace argument to replace the current panel instead of just
	  leaving (Vincent)
	* Remove unneeded call to gnome_authentication_manager_init() (we use
	  gio now) (Vincent)
	* Set an application name (Vincent)
	* Code cleanup (Vincent)
	* Use single include for glib and gtk+ (Vincent)
	* Stop using many deprecated API (Vincent)
	* Start removing calls to libgnome/libgnomeui API (Vincent)
	* Use gio to launch desktop files, instead of gnome-desktop (Vincent)
	* Stop using gnome_help_display_desktop_on_screen() and get rid of
	  libgnomeui dependency (Vincent)
	* Fix help for "connect to server" (Vincent)

  libpanel-applet

	* Use C_() instead of Q_() (Philip Withnall, Vincent)
	* Use single include for glib and gtk+ (Vincent)
	* Stop using many deprecated API (Vincent)
	* Code cleanup (Vincent)
	* Do not depend on libgnome/libgnomeui anymore [note that we still have
	  an indirect libgnome dependency, through bonobo] (Vincent)

  All Applets

	* Use single include for glib and gtk+ (Vincent)
	* Stop using gnome_help_display_desktop_on_screen() and get rid of
	  libgnomeui dependency (Vincent)

  Clock Applet

	* Add some inline documentation to the edit location window (Dan
	  Winship)
	* Remove fixed width for buttons in the pref dialog (Gabor Kelemen)
	* Build fixes (Vincent)
	* Stop using deprecated GTK+ API (Vincent)
	* Show day of week header in "set time" calendar (Vincent)

  Fish Applet

	* Fix compilation warnings (Vincent)

  Notification Area Applet

	* Real tray icons transparency (Owen Taylor)
	* Fix compilation warnings (Vincent)
	* Stop using deprecated GTK+ API (Vincent)

  Wnck Applets

	* Use the right help file for some help buttons (Vincent)
	* Make sure dialogs have the right window icon (Vincent)

  Misc

	* Require glib 2.18.0 (Vincent)
	* Remove obsolete german translation of documentation (Vincent)
	* Stop declaring a bonobo PanelShell interface (Vincent)
	* libpanel-applet and all applets in gnome-panel lose their libgnomeui
	  dependency (Vincent)

  Translators

	* Yair Hershkovitz (he)
	* Leonardo Ferreira Fontenelle (pt_BR)

==============
Version 2.24.2
==============

  Misc

	* Fix libpanelapplet-2.0.pc pkg-config file to include gconf (Kjartan
	  Maraas)

  Translators

	* Mikel González (ast)
	* Nikos Charonitakis (el)
	* Gabor Kelemen (hu)
	* Rafael Garcia (la)

==============
Version 2.24.1
==============

  Clock Applet

	* Try to update weather with a growing timeout in case of errors, to
	  get an update faster (Dan Winship)

  Misc

	* Require libgweather 2.24.1 (Dan Winship)

  Docs Translators

	* Djihed Afifi (ar)

  Translators

	* Djihed Afifi (ar)
	* Ihar Hrachyshka (be@latin)
	* Jordi Mallach (ca)
	* Dawa pemo (dz)
	* Luca Ferretti (it)
	* Jovan Naumovski (mk)
	* Og Maciel (pt_BR)
	* Pavol Šimo (sk)
	* Laurent Dhima (sq)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.24.0
==============

  Panel

	* Name the panel menu main menu and menubar for easier theming
	  (Benjamin Berg)
	* Fix glade file for GTK+ adjustment policy enforcement (Vincent)

  Clock Applet

	* Fix glade file for GTK+ adjustment policy enforcement
	  (Sébastien Bacher)

  Workspace Switcher Applet

	* Fix glade file for GTK+ adjustment policy enforcement (Vincent)

  Translators

	* Djihed Afifi (ar)
	* Jordi Mallach (ca)
	* Ask Hjorth Larsen (da)
	* Hendrik Richter (de)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Roozbeh Pournader (fa)
	* Ilkka Tuohela (fi)
	* Rajesh Ranjan (hi)
	* Gabor Kelemen (hu)
	* Takeshi AIHANA (ja)
	* Shankar Prasad (kn)
	* Žygimantas Beručka (lt)
	* Arangel Angov (mk)
	* Sandeep Shedmake (mr)
	* Og Maciel (pt_BR)
	* Alexandru Szasz (ro)
	* Горан Ракић (sr)
	* Dr.T.vasudevan (ta)
	* Theppitak Karoonboonyanan (th)
	* Baris Cicek (tr)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)


===============
Version 2.23.92
===============

  Panel

	* Change back behavior of struts for auto-hiding panels to what we
	  had before 2.23.6, and fix the original bug instead. The new behavior
	  was considered annoying by users. (Vincent)

  Misc

	* Fix evolution-data-server icon detection when using --enable-eds
	  (Vincent)

  Docs Translators

	* Theppitak Karoonboonyanan (th)

  Translators

	* Alexander Shopov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Petr Kovar (cs)
	* Philip Withnall (en_GB)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Robert-André Mauchin (fr)
	* Sweta Kothari (gu)
	* Launchpad Translations Administrators (hr)
	* Luca Ferretti (it)
	* Changwoo Ryu (ko)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Tomasz Dominikowski (pl)
	* Og Maciel (pt_BR)
	* Duarte Loreto (pt)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Yang Zhang (zh_CN)

===============
Version 2.23.91
===============

  Panel

	* Make the title of the About dialog correctly translatable
	  (Seán de Búrca)

  Clock Applet

	* Improve tooltip for setting the current location (Vincent)
	* Open the calendar application on the right day when double-clicking
	  on the calendar (Matthias Drochner)

  Docs Translators

	* Yuri Myasoedov (ru)

  Translators

	* Runa Bhattacharjee (bn_IN)
	* Petr Kovar (cs)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Seán de Búrca (ga)
	* Ignacio Casal Quinteiro (gl)
	* Shankar Prasad (kn)
	* Sangeeta Kumari (mai)
	* Manoj Kumar Giri (or)
	* Tomasz Dominikowski (pl)
	* Leonardo Ferreira Fontenelle (pt_BR)
	* Theppitak Karoonboonyanan (th)

=================
Version 2.23.90.1
=================

  Panel

	* Make logout work (updated to latest gnome-session API)
	  (Frédéric Crozat, Vincent)

===============
Version 2.23.90
===============

  Panel

	* change the bookmark icon name according to latest gnome-icon-theme
	  (Michael Monreal)

  Clock Applet

	* Ensure 12 hour clock format doesn't appear as 24 hour format
	  initially (Federico Mena Quintero)

  Translators

	* Djihed Afifi (ar)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Sweta Kothari (gu)
	* Yair Hershkovitz (he)
	* Takeshi AIHANA (ja)
	* Arangel Angov (mk)
	* Kjartan Maraas (nb)
	* Fábio Nogueira (pt_BR)
	* Duarte Loreto (pt)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)


==============
Version 2.23.6
==============

  Panel

	* Fix assertion in multiscreen code (Matthias Clasen)
	* Use GtkMountOperation instead of custom code (Vincent)
	* Lots of code cleanup (Vincent)
	* Use GIO to open URI, including mounting volumes if required (Vincent,
	  Matthias Clasen))
	* Improve use of GIO to open recent documents, including startup
	  notification (Vincent)
	* Do not show lock/logout/shutdown in the menus if those items are
	  locked down (Matt Keenan, Vincent)
	* Fix cosmetic issue when opening the menu where launchers or applets
	  got the focus drawn (Vincent)
	* Fix compilation on OS where MAXNAMLEN is not defined (Vincent)
	* Change behavior of struts for auto-hiding panels: the strut is live
	  updated and matches what is shown of the panel. This means the size
	  of a fullscreen window changes when the panel gets hidden/unhidden
	  (Vincent)

  Misc

	* Require GTK+ 2.13.1 (Vincent)
	* Explicitly require gio-unix-2.0 (Vincent)
	* Require libgweather 2.23.6 (Vincent)

  Clock Applet

	* Use new GWeatherLocationEntry and GWeatherTimezoneMenu widgets to
	  select location/timezone (Dan Winship).

  Docs Translators

	* Florian Ackermann (de)

  Translators

	* Djihed Afifi (ar)
	* Leonardo Ferreira Fontenelle (pt_BR)

==============
Version 2.23.5
==============

  Panel

	* Use new icon name for shutdown (Luca Ferretti)
	* Continue code cleanup (Vincent)
	* Fix crash when editing launcher and setting an empty name (Marcel
	  Telka)
	* Fix compiler warnings (Kjartan Maraas)
	* Fix some gconf values in the default layout (Vincent)

  libpanel-applet

	* Fix compiler warnings (Kjartan Maraas)

  Clock Applet

	* When opening the "set time" window, also set the day on the calendar
	  so that the user doesn't accidently set a time in the past (Michael
	  Meeks)
	* Show groupwise and exchange appointments in the calendar (Chenthill
	  Palanisamy)
	* Load calendars asynchronously (Chenthill Palanisamy)
	* Fix compiler warnings (Kjartan Maraas)
	* Use the right color for tasks and appointments (Sjoerd Simons)
	* Fix leak and correctly handle ical memory (Vincent)

  Notification Area Applet

	* Fix compiler warnings (Kjartan Maraas)

  Show Desktop Applet

	* Use "user-desktop" icon name (Vincent)

  Wnck Applets

	* Fix compiler warnings (Kjartan Maraas)

  Docs Translators

	* Timo Jyrinki (fi)

  Translators

	* Timo Jyrinki (fi)
	* Changwoo Ryu (ko)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Piotr Zaryk (Aviary.pl) (pl)
	* Daniel Nylander (sv)

==============
Version 2.23.4
==============

  Panel

	* Start some code reorganization/cleanup (Vincent)
	* Plug some leaks (Vincent)
	* Make it easier to use D-Bus services that the panel is interested in
	  (Vincent)
	* Use the gnome-session D-Bus API to log out/shut down (Vincent)
	* Update some icon names (Rodney Dawes)

  Misc

	* Require intltool 0.40.0 (Vincent)

  Translators

	* Djihed Afifi (ar)
	* Kjartan Maraas (nb)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.23.3
==============

  Panel

	* Open a mount after having mounted it since nautilus won't
	  automatically open it anymore (Vincent)
	* Fix dragging of launchers from the Add to panel dialog (Vincent)

  Translators

	* Djihed Afifi (ar)
	* Sweta Kothari (gu)
	* Takeshi AIHANA (ja)
	* Clytie Siddall (vi)

================
Version 2.23.2.1
================

  Clock Applet

	* Fix compilation when PolicyKit isn't available (Vincent)

==============
Version 2.23.2
==============

  Panel

	* When opening a recent file, do not only look for applications that
	  can open URI; if the file is gio-native (file://), then it's fine to
	  get applications that can open paths (Vincent)

  Clock Applet

	* Fix timezone file handling to correctly recognize timezone magic
	  header (Matthias Clasen)
	* Accept Google URI for Google calendars appointments (Vincent)
	* Set a parent for the PolicyKit authentication dialog so that it
	  doesn't end up below other windows (Federico)
	* Disable the "Set System Time" button when the user doesn't have the
	  necessary privileges (Matthias Clasen)
	* Put the initial focus in the name entry for the Edit location dialog
	  (Vincent)

  Docs Translators

	* Fabricio Godoy (pt_BR)

  Translators

	* Ignacio Casal Quinteiro (gl)
	* Yair Hershkovitz (he)
	* Anna Jonna Ármannsdóttir (is)
	* Shankar Prasad (kn)

==============
Version 2.23.1
==============

  Clock Applet

	* Make the help button on the preference dialog work (Matthias Clasen)
	* Change the mnemonics for the clock format radios to avoid conflicts
	  (Matthias Clasen)
	* Rename the clock applet PolicyKit .policy file so that it validates
	  and add some more information there (Vincent)

  Translators

	* Yavor Doganov (bg)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Kjartan Maraas (nb)
	* Eskild Hustvedt (nn)

================
Version 2.22.1.3
================

  Clock Applet

	* Fix internal handling of locations to not create new locations all
	  the time. As a side-effect, this fixes the location not being
	  recognized as the current one when the user clicks "Set" (Vincent)
	* Improve pre-filling of the find entry (Vincent)
	* Be more solid against cases where there's no Locations.xml (Vincent)
	* Better handling of some special cases when detecting the system
	  timezone (like /usr/share/zoneinfo/posix/Europe/Paris) (Vincent)
	* Fix memory leaks (Vincent)
	* First look if /etc/localtime is a symbolic link when detecting the
	  current timezone instead of first parsing a few files (Vincent)
	* Add support for Arch Linux system timezone (Vincent)
	* Fix a crash in the system timezone reading/writing code on 64-bits
	  machines (Vincent)

  Misc

	* Add new keys to gnome-panel.desktop to also make it work with
	  gnome-session 2.23/2.24. The panel will still work with gnome-session
	  2.22, of course. (Lucas Rocha)

================
Version 2.22.1.2
================

  Distributors: this release rewrites the way the system timezone is read/set.
  Please check that it correctly works on your OS (including changing the right
  configuration files), and if not, file a bug.

  Clock Applet

	* Lots of code cleanup (Vincent)
	* Fix small bug where the map might not update when time goes backwards
	  (Vincent)
	* Do not even try to rotate the map. We didn't want to do this and can
	  cause corrupted maps on OpenSolaris (Vincent)
	* Use the right directory for timezone data on Solaris (Brian Cameron,
	  Vincent)
	* Use the latest evolution text domain for timezone translations
	  (Vincent)
	* Plug some leaks (Vincent)
	* Completely rewrite the system timezone detection to work on more
	  OS (Vincent)
	* Immediately update the time on the clock when the system timezone is
	  changed (even by an external program) (Vincent)
	* Use less memory by not keeping data that will not be used (Vincent)
	* Optimization work to display the Add/Edit Location dialog much faster
	  (Vincent)
	* Completely rewrite the way we set the system timezone to correctly
	  work on more OS. It should now update the correct config files and
	  use a symlink for /etc/localtime if it was already a symlink before.
	  (Vincent)
	* Small optimization: cache the can_do result for PolicyKit actions to
	  not query too often and save some time (Vincent)
	* Lots of optimization work for opening the calendar & timezone popup
	  faster. Do not display things multiple times, load files multiples
	  times, do useless things, etc. (Vincent)
	* Reset the state of the find location window when closing the Add/Edit
	  Location dialog (Vincent)
	* Do not assume that the timezone and country data files are available
	  and so don't crash when they're not (Vincent)
	* Pre-fill the find location entry when it makes sense (Vincent)
	* Make the add/edit location dialog not resizable (Vincent)
	* Improve initial size of the find location dialog (Vincent)

  Misc

	* When compiling with NetworkManager support, check that the
	  NetworkManager version is recent enough (Vincent)

================
Version 2.22.1.1
================

  Clock Applet

	* Fix a potential crash on startup (Vincent)

==============
Version 2.22.1
==============

  Panel

	* Convert username/login to UTF-8 in logout dialog (Frederic Crozat)
	* Fix applet processes not quitting when the applet is removed
	  (Michael Meeks, Vincent)

  Misc

	* Remove old and useless files
	* Require gweather 2.22.1 (Vincent)
	* Don't explicitly require libxml for the weather applet anymore
	  (Vincent)

  Clock Applet

	* Fix crash when there are no locations available (William Lachance)
	* Fix locations not appearing in the preferences dialog
	  (Matthias Clasen)
	* Make find location window larger (Matthias Clasen)
	* Handle escape to close the dialog in the time/timezone dialogs
	  (Matthias Clasen)
	* Fix various issues with adding/removing locations (Matthias Clasen)
	* Fix crash when PolicyKit helper can't be called (Vincent)
	* Fix crash when closing the calendar popup when a city is blinking on
	  the map (Vincent)
	* Improve the blinking on the map when clicking on various locations
	  (Vincent)
	* Cleanups (Vincent)
	* Correctly redraw the map outline on expose events (Matthias Clasen)
	* Fix crash when the location doesn't have coordinates (Vincent)
	* Fix crash when updating locations while calendar popup is not shown
	  (Vincent)
	* Fix initial visibility of the appointments to actually follow the
	  state of the expander (Vincent)
	*  Make sure we always use data from the right country (Dan Winship)
	* Show caldav appointments in the calendar (Roland Mas)
	* Ignore dbus errors when setting the time and there's no reply on the
	  bus (Matthias Clasen)
	* Open evolution on the right day, in all timezones (Vincent)
	* Fix crash when an evolution-data-server dies (Vincent)
	* Correctly set time, even when DST is on (Pascal Terjan, Vincent)
	* Handle multiple locations in the same timezone in a better way
	  (Matthias Clasen, Vincent)
	* Fix weather tooltip to show the real temperature and the apparent
	  temperature, instead of only the apparent one (Vincent)
	* Do not lose the weather location information when changing the
	  timezone of a location (Vincent)
	* Don't show weather information of the last location once it has been
	  removed (Vincent)
	* Remove empty space on the left of the clock when there's no location
	  (Vincent)
	* Potential fix for another crash in the calendar code (Vincent)
	* When adding a location, make it the current one if it makes sense
	  (Vincent)

  Translators

	* Ihar Hrachyshka (be@latin)
	* nikosCharonitakis (el)
	* Priit Laes (et)
	* Massimo Furlani (fur)
	* Vladimer Sichinava ვლადიმერ სიჭინავა (ka)
	* Žygimantas Beručka (lt)
	* Wouter Bolsterlee (nl)
	* Eskild Hustvedt (nn)
	* Tomasz Dominikowski (pl)
	* Krishna Babu K (te)
	* Clytie Siddall (vi)

==============
Version 2.22.0
==============

  Clock Applet

	* Validate PolicyKit policy files (Matthias Clasen)
	* Fix a crash when the format gconf key is not set (Vincent)
	* Fix handling of PolicyKit results when gaining authentication
	  (David Zeuthen)
	* Display sunrise/sunset in local time (Matthias Clasen)
	* Fix C99-isms (Jens Granseuer)

  Docs Translators

	* Kenneth Nielsen (da)

  Translators

	* F Wolff (af)
	* Djihed Afifi (ar)
	* Alexander Nyakhaychyk (be)
	* Runa Bhattacharjee (bn_IN)
	* Petr Kovar (cs)
	* Ask Hjorth Larsen (da)
	* Philipp Kerling (de)
	* Kostas Papadimas (el)
	* Philip Withnall (en_GB)
	* Jorge González (es)
I	* var Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Stéphane Raimbault (fr)
	* Rajesh Ranjan (hi)
	* Luca Ferretti (it)
	* Žygimantas Beručka (lt)
	* Ani Peter (ml)
	* Sandeep Shedmake (mr)
	* Kjartan Maraas (nb)
	* Vasiliy Faronov (ru)
	* Pavol Šimo (sk)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Baris Cicek (tr)
	* Maxim Dziumanenko (uk)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.21.92
===============

  Panel

	* Use the customized CD icons when there's one (Mr. Vincent Untz)
	* Make drawer work again (Mr. Vincent Untz)
	* Update for GIO API changes (Alexander Larsson)

  Clock Applet

	* Remove a debug statement which could cause crashes (Matthias Clasen)
	* Ensure locations show the local time (Matthias Clasen)
	* Also fix the problem where the time is invisible for
	  a while after the popup has been shown (Matthias Clasen)
	* Fix the display of the weather on the panel (Matthias Clasen)
	* Take daylight savings time into account for local times (Matthias Clasen)
	* Fix complication when polkit is not available (Frederic Peters)

  Translators

	* Djihed Afifi (ar)
	* Ihar Hrachyshka (be@latin)
	* Jordi Mallach (ca)
	* Philipp Kerling (de)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ilkka Tuohela (fi)
	* Claude Paroz (fr)
	* Ignacio Casal Quinteiro (gl)
	* Yair Hershkovitz (he)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Thierry Randrianiriana (mg)
	* Arangel Angov (mk)
	* Ani Peter (ml)
	* Nabin Gautam (ne)
	* Daniel van Eeden (nl)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Tomasz Dominikowski (pl)
	* Vladimir Melo (pt_BR)
	* Duarte Loreto (pt)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)


===============
Version 2.21.91
===============

  Panel

	* Fix orientation of panel handles (Benjamin Berg)
	* Port the panel to gio (Vincent, Diego Escalante Urrelo)
	* Smooth animation on panel startup (William Jon McCann, Vincent)
	* Grab focus on logout dialog (Matthias Clasen)
	* Center the logout dialog (Vincent)
	* Load bonobo applets in a more asynchronous way (openSUSE patch,
	  Vincent)
	* Use 24x24 icons by default again (Matthias Clasen, Vincent)
	* Animation when the auto-hide size of a autohidden panel changes
	  (Vincent)
	* Fancy launcher animation in composited environments
	  (Denis Washington, Vincent)

  Misc

	* Require gio 2.15.5 and get rid of gnome-vfs (Vincent)

  Clock Applet

	* Port to gio (Diego Escalante Urrelo, Vincent)
	* Use a PNG instead of a SVG for the world map, so that it's faster to
	  load (Matthias Clasen)
	* Build fixes

  Translators

        * Anas Husseini (ar)
        * Amitakhya Phukan (as)
        * Ihar Hrachyshka (be@latin)
        * Petr Kovar (cs)
        * Jorge González (es)
        * Ignacio Casal Quinteiro (gl)
        * Shankar Prasad (kn)
        * sandeep shedmake (mr)
        * Kjartan Maraas (nb)
        * Yannig Marchegay (Kokoyaya) (oc)
        * Tomasz Dominikowski (pl)
        * Zabeeh khan (ps)
        * Duarte Loreto (pt)
        * Daniel Nylander (sv)
        * Theppitak Karoonboonyanan (th)
        * Baris Cicek (tr)
        * Woodman Tuen (zh_HK)
        * Woodman Tuen (zh_TW)

===============
Version 2.21.90
===============

  Misc

	* If the name of the user is "Unknown" then display the login name,
          #509129 (Martin Schoen, Vincent)
        * Use G_STRFUNC instead of the deprecated G_GNUC_FUNCTION
          (Christian Persch, Elijah Newren)
        * Use AM_PROG_CC_C_O for build, #509781 (Christian Kirbach, Vincent)
        * Add a 48x48 version of gnome-panel.svg, which is one of the
	  more frequently rendered svgs on the desktop. (Matthias
	  Clasen)
        * look for Locations.xml through pkg-config, #509888. (Patryk
          Zawadzki)

  Workspace Switcher Applet

	* prevent failure of the set_orientation() or set_n_rows() calls by
          calling pager_update() a bit later.  (Vincent)

  Clock Applet

        Endlessing tweaking/fixing of the build...

        * Fix build by acknowledging libgweather API instability,
          #509581 (Carlos Carcia Campos)
        * Fix a typo that broke the build (Kjartan Maraas)
        * Fix build issue with HAVE_POLKIT (Matthias Clasen)
        * Fix minor HIGness problems in Prefs dialogue -- spacings,
          missing mnemonics (Christian Persch)   [NOT A BUILD ISSUE!]
        * Build: Add "--interal" when generating the marshalers
          (Christian Persch)
        * Fix compilation when there's no eds support, #509840 (Saleem
          Abdulrasool)
        * Build: define where Locations.xml is (via pkg-config),
          #509888 (Patryk Zawadzki)
        * Build: Fixes to allow applet mechanism policy strings to be
          translated, #510635 (Luca Ferretti)
        * Build: Clean up Makefile.am a bit (Vincent)
        * Change <message> strings to match the ones from PolicyKit
          package (Luca Ferretti)

  Translators

        * Jonh Wendell (pt_BR)
        * Luca Ferretti (it)
        * Daniel Nylander (sv)
        * Priit Laes (et)
        * Petr Kovar (cs)
        * Inaki Larranaga Murgoitio (eu)
        * Priit Laes (et)
        * Kjartan Maraas (nb)
        * Jorge Gonzalez (es)
        * Inaki Larranaga Murgoitio (eu)
        * Krishna Babu K (te)
        * Espen Stefansen (nb)
        * Luca Ferretti (it)
        * Laurent Dhima (sq)
        * Jorge Gonzalez (es)
        * Daniel Nylander (sv)

==============
Version 2.21.5
==============

  Misc

	* New dependencies for the clock applet: rsvg, d-bus, polkit,
	  NetworkManager. NetworkManager is optional, polkit might not be
	  optional yet but should be in the near future

  Clock Applet

	* Merge intlclock with the clock applet (lots of people, but the merge
	  was mainly done by Federico Mena Quintero and Matthias Clasen)

  Window List Applet

	* HIG fixes (Christian Persch)

  Docs Translators

	* Luciana Bastos de Freitas Menezes and Pedro de Medeiros (pt_BR)
	* Daniel Nylander (sv)

  Translators

	* Anas Husseini (ar)
	* Jakub Friedl (cs)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Seán de Búrca (ga)
	* Yuval Tanny (he)
	* Kjartan Maraas (nb)
	* Eskild Hustvedt (nn)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Vladimir Melo (pt_BR)
	* Vasiliy Faronov (ru)
	* Pavol Šimo (sk)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)

==============
Version 2.20.1
==============

  Docs Translators

	* Jonas Haag (de)

  Translators

	* Vladimer Sichinava ვლადიმერ სიჭინავა (ka)
	* Changwoo Ryu (ko)
	* Daniel Nylander (sv)
	* Nurali Abdurahmonov (uz)

================
Version 2.20.0.1
================

  Panel

	* Revert usage of new icon name for logout: it breaks some icon themes.
	  The change is postponed for 2.21. (Vincent)

==============
Version 2.20.0
==============

  Panel

	* Show drawers on same monitor as the panels they're attached to
	  (Ray Strode)
	* Use new icon name for logout (Vincent)

  Clock Applet

	* Fix crashers in timezone handling (Vincent)
	* Don't show the UI to have timezones in the clock since it's not ready
	  (Vincent)

  Docs Translators

	* Simos Xenitellis (el)

  Translators

	* Anas Husseini (ar)
	* Runa Bhattacharjee (bn)
	* Jordi Mallach (ca)
	* Ask Hjorth Larsen (da)
	* Hendrik Richter (de)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ilkka Tuohela (fi)
	* Takeshi AIHANA (ja)
	* Vladimer Sichinava ვლადიმერ სიჭინავა (ka)
	* Shankar Prasad (kn)
	* Arangel Angov (mk)
	* Kjartan Maraas (nb)
	* Alexandru Szasz (ro)
	* Nickolay V. Shmyrev (ru)
	* Peter Tuhársky (sk)
	* Данило Шеган (sr)
	* Maxim Dziumanenko (uk)

===============
Version 2.19.92
===============

  Panel

	* Fallback to user name when real name is empty in logout dialog
	  (Frederic Peters)
	* Do not show tooltips for application categories in menu
	  (Frederic Peters)
	* Use new icon name for search (Jaap Haitsma)

  Docs Translators

	* Simos Xenitellis (el)
	* Luca Ferretti (it)

  Translators

	* Jordi Mallach (ca)
	* Hendrik Richter (de)
	* Ivar Smolin (et)
	* Takeshi AIHANA (ja)
	* Jovan Naumovski (mk)
	* Ani Peter (ml)
	* Kjartan Maraas (nb)
	* Vladimir Melo (pt_BR)
	* Duarte Loreto (pt)
	* Danishka Navin (si)
	* Clytie Siddall (vi)

==============
Version 2.19.6
==============

  Panel

	* Fix tooltips changing on launchers (Matthias Clasen)
	* Use new freedesktop.org power management interface (Matthias Clasen)
	* Small fix to make panel work with older versions of GNOME (Vincent)

  All applets

	* Use gtk-about icon instead of deprecated gnome-stock-about 
	  (Jaap Haitsma)

  Clock Applet

	* Fixed a crash when /etc/localtime is not a hardlink (Pascal Terjan)
	* Small fixes for compilation on Solaris (Damien Carbery)
	* Don't mark icons as translatable (Luca Ferretti)
	* Build fixes (Saleem Abdulrasool)
	* Code cleanups (Vincent)

  Docs Translators

	* Claude Paroz (fr)
	* Jordi Mas (ca)

  Translators

	* Takeshi Aihana (ja)
	* Theppitak Karoonboonyanan (th)
	* Sean Burke (ga)
	* Runa Bhattacharjee (bn_IN) 
	* Changwoo Ryu (ko)
	* Priit Laes (et)
	* Luca Ferretti (it)
	* Kjartan Maraas (nb)
	* Ilkka Tuohela (fi)
	* Daniel Nylander (sv)
	* Gabor Kelemen (hu)
	* Leonardo Fontenelle (pt_BR)
	* Alexander Shopov (bg)
	* Funda Wang (zh_CN)
	* Rajesh Ranjan (hi)
	* Myriam Malga, Stéphane Raimbault, Claudio Paroz (fr)
	* Wouter Bolsterlee (nl) 
	* Ihar Hrachyshka (be@latin)
	* Inaki Larranaga Murgoitio (eu)
	* Kostas Papadimas (el)
	* Ankit Patel (gu)
	* Artur Flinta (pl)
	* I. Felix (ta)
	* Žygimantas Beručka (lt) 

==============
Version 2.19.5
==============

  Panel

	* Make changing orientation of an expanded panel work better when
	  dragging the panel(Vincent)
	* Fix name of launcher created by dropping an URI on the panel
	  (Vincent)
	* Improve handling of size hints from applets. This is needed for the
	  tasklist sizing algorithm to correctly work (Vincent)
	* Use new icon for recent documents (Vincent)
	* Save the panel position relatively to the right/bottom edge of the
	  monitor when needed. This fixes a lot of problems, like the panel
	  being at the center of the screen when resizing the screen or when
	  the size of the panel grows. (Vincent)
	* Also do not save the position of the panel in gconf when the position
	  is changed because of constraints. This also fixes a lot of problems,
	  like the panel suddenly snapping to the center or an edge of the
	  screen because its size has changed. (Vincent)
	* Fix crash when a panel is destroyed whil its context menu is opened
	  (Vincent)
	* Make it possible to have bigger panels (up to 1/5 the screen size)
	  for people wanting sidebars (Vincent)
	* Fix a crash in the lockdown checking code (Vincent)
	* Don't use nautilus-home.desktop for the places menu, but makes the
	  item a real place item (Vincent)
	* Automatically use the right icon for launchers for $HOME or ~/Desktop
	  (Vincent)
	* Migrate to GtkTooltip (Vincent)
	* Code cleanups (Vincent)
	* Add a detail for theming the arrow in the button widget (Vincent)
	* Add new _GNOME_PANEL_ACTION_KILL_DIALOG action to the panel action
	  protocol (Bastien Nocera)
	* Use program-name instead of name property for GtkAboutDialog
	  (Vincent)

  gnome-desktop-item-edit

	* Use g_option_context_set_translation_domain() (Gabor Kelemen)

  All applets

	* Use gtk_widget_set_tooltip_text() (Vincent)
	* Use program-name instead of name property for GtkAboutDialog
	  (Vincent)
	* Fix compilation (Vincent)

  Clock Applet

	* Sort completed tasks last, treat unprioritised tasks as normal
	  priority, and fall back on sorting by summary (Ross Burton)
	* Add a first version of timezone support. This needs some UI love.
	  (Vincent)

  Window List Applet

	* Do not call wnck_screen_force_update(). Fix a crash. (Vincent)
	* Code cleanups (Vincent)
	* Fix window list sizing (most of the changes are in libwnck) (Vincent)
	* Deprecate minimum/maximum size settings (Vincent)

  Workspace Switcher Applet

	* Code cleanups (Vincent)
	* Show/hide some of the settings in the properties dialog depending on
	  the window manager, since some of the settings are not saved or don't
	  make sense when metacity is not used. (Vincent)

  Misc

	* Require libwnck 2.19.5 (Vincent)
	* Add libbonobo and libbonoboui explicit checks for compilation
	  (Vincent)

  Translators

	* Jordi Mallach (ca)
	* Tshewang Norbu (dz)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Changwoo Ryu (ko)
	* Kjartan Maraas (nb)
	* Tomasz Dominikowski (pl)
	* Nickolay V. Shmyrev (ru)
	* Danishka Navin (si)
	* Daniel Nylander (sv)
	* (unknown) (ta)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)

==============
Version 2.19.4
==============

  Panel

	* Use g_timeout_add_seconds() when possible (Vincent)
	* Use g_get_user_special_dir() to get XDG user dirs (Vincent)
	* Code cleanup (Vincent)
	* Fix crash when the applications menu is updated but the user had a
	  context menu for a launcher (Vincent)

  libpanel-applet

	* Code cleanup (Vincent)

  All applets

	* Migrate to new tooltip API (Vincent)

  Clock Applet

	* Use g_timeout_add_seconds() when possible (Vincent)
	* Fix compilation issue when e-d-s is not used (Vincent)

  Misc

	* Require glib 2.13.0 (Vincent)
	* Require gtk+ 2.11.3 (Vincent)

  Docs Translators

	* Jorge Gonzalez (es)
	* Daniel Nylander (sv)

  Translators

	* Tshewang Norbu (dz)
	* Jorge González (es)
	* Tomasz Dominikowski (pl)

==============
Version 2.19.3
==============

  Panel

	* Fix compilation on BSD/Solaris (Damien Carbery)
	* Use the launcher icon if the Icon key of a launcher is empty
	  (Vincent)
	* Code cleanups (Vincent)
	* Make some dialogs more HIG-compliant (Vincent)
	* Add username of the current user to the logout dialog (Vincent)
	* Always put focus on the name entry in launcher editor (Vincent)
	* Make it possible to press Enter to close the launcher editor
	  (Vincent)
	* Don't reset visibility of all programs in the program list of the run
	  dialog when selecting one item (Vincent)
	* Use nice names in the bookmarks for fonts:// and other known methods.
	  Also improve the name of remote files, based on what nautilus does
	  (Vincent)
	* Accept trash:// and nautilus search URIs in the bookmarks (Vincent)
	* Use better icons when possible for the bookmarks (Vincent)
	* Fix initial background not working on applets' handles (Vincent)
	* Workaround a GTK+ bug that makes the panel change its background when
	  the panel properties dialog is opened (Vincent)
	* Make removing a comment for launchers actually work (Vincent)
	* Use an icon for the removable medias menu item (Vincent)
	* Fix drawer properties dialog title to refer to drawer and not panel
	  (Vincent)

  gnome-desktop-item-edit

	* Make the dialog use the right buttons when creating a new .directory
	  file (Vincent)

  Clock Applet

	* Have separate treeviews for appointments, birthdays and weather
	  (Priit Laes, Vincent)
	* Use GtkExpander to make it possible to show/hide events in the
	  calendar popup (Vincent)
	* Lots of code cleanup (Vincent)
	* Mark multiple days events correctly (Sebastien Bacher)

  Window List Applet

	* Never group windows by default. This mode is buggy, and it's
	  impossible to fix all the bugs, so let's try another mode by default
	  for 2.19.
	* Add an assertion to detect bad data returned by libwnck

  Window Selector Applet

	* Update for libwnck API change

  Misc

	* Fix some build errors (Loïc Minier)
	* Fix typo for --with-clock-time-utility configure flag
	  (Sebastien Bacher)
	* Require libwnck 2.19.3
	* Rework X libraries detection in configure (Loïc Minier)
	* Add dependency on evolution-data-server (for icons) (Vincent)

  Docs Translators

	* Jorge Gonzalez (es)
	* Daniel Nylander (sv)

  Translators

	* Ihar Hrachyshka (be@latin)
	* David Lodge (en_GB)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Stéphane Raimbault (fr)
	* Yuval Tanny (he)
	* Kjartan Maraas (nb)
	* Nickolay V. Shmyrev (ru)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.19.2
==============

  Panel

	* Code cleanups (Vincent)
	* Force the panel to not be restarted when there's already a panel
	  running, fix endless loop of error dialogs (Vincent)
	* Add a checkbox to let the user choose to not restart the panel if
	  there was a problem registering with bonobo at startup (Vincent)
	* Default the "Applet disappeared" dialog to reload (Vincent)
	* Default the "Can't load applet" dialog to not delete (Vincent)
	* Small HIG improvements to the launcher editor (Vincent)
	* Fix alignment of the run label in the run dialog (Vincent)
	* Fix creation of launchers with empty spaces in the command (Vincent)
	* Fix the launcher editor to not save a full-path icon for the
	  non-localized icon when it's not needed (Vincent)
	* Fix gnome-desktop-item-edit work for relative URI when creating a
	  .directory file (Vincent)
	* Use the launcher icon as a fallback for launchers without an icon
	  (Vincent)
	* Guess the icon when the user enters a command in the launcher editor
	  (Vincent)
	* Use macros for name icons to easily change the name of named icons
	  when needed (Vincent)
	* Check whether reboot is enabled in gdm (and not only shutdown) and
	  only show the buttons when they're useful in the logout dialog
	  (Brian Cameron)
	* Prefer /var/run/gdm_socket as path for the GDM socket (Loïc Minier)
	* Take into account NAME_MAX for the length of the filename when
	  guessing a name for launchers in gnome-desktop-item-edit (Vincent)
	* Fix creation of launcher when dragging an URL with ? or : (Vincent)
	* Make some error dialogs visible in the taskbar and make some other
	  transient to the panel (Vincent)

  Clock Applet

	* Don't display tasks that are marked completed (Ross Burton)
	* Update the clock when the configuration tool exits so that the user
	  doesn't have to wait up to one minute to see the change (Ray Strode)
	* Fix preferences window to not hide the custom format when it should
	  be shown (Jamie Fox)
	* Document that the custom format is the format used by strftime
	  (Vincent)
	* Show the date by default in the applet (Vincent)
	* Let distributor easily specify their configuation tool instead of
	  hardcoding everything (Vincent)
	* Update the clock every second for UNIX format (Vincent)
	* Make Internet time work a bit better (Vincent)

  Notification Area Applet

	* Fix compiler warning (Vincent)

  Misc

	* Install data files in $(datadir)/gnome-panel/ instead of
	  $(datadir)/gnome/panel/ (Vincent)
	* Add --with-clock-time-utility configure flag
	* Run gtk-update-icon-cache on uninstall
	* Make .desktop file used for bug-buddy translatable

  Docs

	* Migrate documentation for window list and workspace switcher to the
	  user guide (Karderio, Vincent)

  Docs Translators

	* Jorge Gonzalez (es)
	* Changwoo Ryu (ko)

  Translators

	* Ihar Hrachyshka (be@latin)
	* Vladimir Petkov (bg)
	* Jordi Mallach (ca)
	* Jorge González (es)
	* Kjartan Maraas (nb)
	* Yannig MARCHEGAY (Kokoyaya) (oc)
	* Og Maciel (pt_BR)
	* Daniel Nylander (sv)

==============
Version 2.18.1
==============

  Panel

	* Fix crash with some error dialogs (Chris Wilson)
	* Fix crash when the run dialog is destroyed (Ray Strode)
	* Don't show the "lock screen" menu item if the user is root since the
	  screen can't get locked (Vincent)

  Misc

	* Don't show gnome-panel .desktop file in the menus (Vincent)

  Docs Translators

	* Claudio Saavedra (es)

  Translators

	* Alaksandar Navicki (be@latin)
	* Jordi Mallach (ca)
	* Jakub Friedl (cs)
	* sonam pelden (dz)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ignacio Casal Quinteiro (gl)
	* Takeshi AIHANA (ja)
	* Raivis Dejus (lv)
	* Tino Meinen (nl)
	* Matej Urbančič (sl)

==============
Version 2.18.0
==============

  Panel

	* Fix large height of the menubar, which forced the panel size to
	  be at least 28. (Vincent)
	* Fix alignment of widgets in the Run button (Vincent)

  Clock Applet

	* Fix crash when using internet time (Sébastien Bacher, Vincent)

  Misc

	* Add a .desktop file for bug-buddy integration (Vincent)
	* Require pango 1.15.4 for the clock applet too (Vincent)

  Docs Translators

	* Christophe Bliard (fr)

  Translators

	* Jordi Mallach (ca)
	* Ankit Patel (gu)
	* Luca Ferretti (it)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Arangel Angov (mk)
	* wadim dziedzic (pl)
	* Og Maciel (pt_BR)
	* Leonid Kanter (ru)
	* Elian Myftiu (sq)
	* Горан Ракић (sr)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.17.92
===============

  Panel

	* Fix wrong initial position of menu (Vincent)
	* Code cleanups (Vincent)
	* Add missing mnemonics in main menu (Padraig O'Briain, Vincent)
	* Don't show multiple times a dialog about an applet failing to load
	  (Vincent)
	* Don't try to load again in the same session an applet that failed to
	  load before (Vincent)
	* Get localized names when starting a launcher so that the startup
	  notification use the translated name (Vincent)
	* Fix image size on the run dialog so that it's always the correct size
	  (Vincent)
	* Set automatic gravity for the labels in the menubar, so that japanese
	  and other scripts are correctly displayed on vertical panels
	  (Behdad Esfahbod, Vincent)

  Workspace Switcher Applet

	* Make mouse scrolling correctly work in RTL environments (Vincent)
	* Performance improvement when a workspace is renamed/added/removed.
	  This has an important impact when accessibility is turned on.
	  (Vincent)
	* Fix speed of the spin button for number of workspaces (Vincent)

  Clock Applet

	* Set automatic gravity for the clock label, so that japanese and other
	  scripts are correctly displayed on vertical panels (Vincent)
	* Make it possible to use markup for the clock text, which is useful
	  with custom format (Vincent)
	* Don't wake up every second if it's not necessary (Matthias Clasen,
	  Vincent)

  Misc

	* Add missing check for gconf for libpanel-applet (Vincent)
	* Require pango 1.15.4 (Vincent)
	* Distribute MAINTAINERS (Kjartan Maraas)

  Docs

	* Update fish screenshot (Luca Ferretti)

  Docs Translators

	* Luca Ferretti (it)
	* Daniel Nylander (sv)
	* Maxim Dziumanenko (uk)

  Translators

	* Peter Bach (da)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* wadim dziedzic (pl)
	* Duarte Loreto (pt)
	* Daniel Nylander (sv)
	* Maxim Dziumanenko (uk)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.17.91
===============

  Panel

	* Make the main menu usable with a11y tools (Padraig O'Briain)
	* Revert changes related to settings menu (Vincent)
	* Fix crash when saving a new Link launcher (Vincent)
	* Improve a lot the panel in RTL environments (yair)

  Misc

	* Optional check for libedataserver for the clock (Brian Cameron)

  Docs Translators

	* APS Alam (pa)
	* Daniel Nylander (sv)

  Translators

	* Khaled Hosny (ar)
	* Ihar Hrachyshka (be)
	* Vladimir Petkov (bg)
	* Jordi Mallach (ca)
	* Hendrik Richter (de)
	* David Lodge (en_GB)
	* Ilkka Tuohela (fi)
	* Robert-André Mauchin (fr)
	* Young-Ho Cha (ko)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Evandro Fernandes Giovanini (pt_BR)

===============
Version 2.17.90
===============

  Panel

	* Remove code warning (JP Rosevear)
	* Change text of some menu items (Luca Ferretti)
	* Use GTK_STOCK_MISSING_IMAGE when the icon of a launcher can't be
	  found and remove useless error dialog (Thomas Wood)
	* Use better filenames when creating launchers (Dan Winship, Vincent)
	* Simplify system menu code thanks to new control center shell
	  (Vincent)
	* Fix "Add to panel" dialog to correctly display capplets (Vincent)
	* Migrate settings menu buttons to a control center shell launcher
	  (Vincent)
	* Use 22 as default icon sizes for menus (Vincent)
	* Force size of launchers to 16, 22, 32 or 48 (Vincent)
	* Use new launcher icon (Vincent)
	* Fix compilation on darwin (Vincent)
	* Fix disappearing launcher on drag and drop (and other related issues)
	  (Vincent)
	* Fix transparency broken when screen size changes (bugreports@nn7.de)
	* Don't accept every command line option, but only the deprecated
	  --profile (Vincent)
	* Check for the logout_prompt gconf key to know whether we should show
	  the logout dialog or just log out (Ray Strode, Vincent)
	* Do not start dragging an applet when it's not possible because a grab
	  is active, fix change of cursor icon in this case (Amnon Aaronsohn)
	* Do not hardcode invisible_char in glade files (Vitaliy Ischenko)
	* Correctly position applet menu in RTL environments (Vincent)
	* Really remove launcher file when deleting a launcher, and do it only
	  when possible (Vincent)
	* Fix main menu not completely reloading when the menu is updated
	  (Vincent)

  gnome-desktop-item-edit

	* Make it possible to create a .directory file with a name instead of
	  forcing the name to $(dir)/.directory (Vincent)
	* Use new launcher icon (Vincent)
	* Make --create-new usage more logical (Vincent)

  libpanel-applet

	* Do not hardcode invisible_char in glade files (Vitaliy Ischenko)
	* Correctly position applet menu in RTL environments (Vincent)

  Clock Applet

	* Look for evolution binary before trying to run it (Vincent)
	* Make sure that the last day of a multi-day events is marked in the
	  calendar Michael Frank)
	* Don't mark multiple days on the calendar if the event is an all day
	  event (Vincent)
	* Fix compilation on some systems (Vincent)
	* Launch evolution when double-clicking on a task (Nickolay V. Shmyrev,
	  Vincent)

  Fish Applet

	* HIG fix (Vincent)
	* Do not hardcode invisible_char in glade files (Vitaliy Ischenko)

  Notification Area Applet

	* Add a test-tray program (Christian Persch)

  Workspace Switcher Applet

	* Slow down speed of the spin button for number of workspaces
	  (Manu Cornet)

  Misc

	* New launcher icon
	* Build fixes (Vincent)

  Documentation

	* Add a link to the user guide (Claude Paroz)

  Docs Translators

	* Nickolay V. Shmyrev (ru)

  Translators

	* Khaled Hosny (ar)
	* Ihar Hrachyshka (be)
	* Jordi Mallach (ca)
	* Jakub Friedl (cs)
	* Hendrik Richter (de)
	* David Lodge (en_GB)
	* Ivar Smolin (et)
	* Yuval Tanny (he)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* A S Alam (pa)
	* Данило Шеган (sr)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.16.2
==============

  Panel

	* Fix error when removing launcher (Tom Tromey)
	* HIG fixes (Dennis Cranston)
	* Fix leaks (Kjartan Maraas, Paolo Borelli, Vincent)
	* Fix a warning string (Claudio Saavedra)

  Notification Area Applet

	* Fix use of uninitialized memory (JP Rosevear)

  Misc

	* Check for libXau (Matt Keenan, Vincent)
	* Fix doc build (Kjartan Maraas)

  Docs Translators

	* Francisco Javier F. Serrador (es)

  Translators

	* Djihed Afifi (ar)
	* Jakub Friedl (cs)
	* Christian Kintner (de)
	* Nikos Charonitakis (el)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Satoru SATOH (ja)
	* Åsmund Skjæveland (nn)

==============
Version 2.16.1
==============

  Panel

	* Fix crash when alacarte isn't installed (Frédéric Crozat)
	* Do not present the 'new launcher' in the "add to panel" dialog
	  when the command line is disabled (Bastien Nocera)

  Misc

	* Require libecal 1.6.0 (Vincent)

  Docs Translators

	* Luca Ferretti (it)
	* Daniel Nylander (sv)

  Translators

	* Vladimir Petkov (bg)
	* Jakub Friedl (cs)
	* Christian Kintner (de)
	* Mindu Dorji (dz)
	* David Lodge (en_GB)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Luca Ferretti (it)
	* Wouter Bolsterlee (nl)
	* Subhransu Behera (or)

==============
Version 2.16.0
==============

  Panel

	* Plug leaks (Paolo Borelli)
	* Don't (wrongly) modify the laucnher when creating the editor
	  (Vincent)

  Clock Applet

	* Fix crash when double-clicking on the calendar (Vincent)

  Misc

	* Add 24x24 versions of the icons (Vincent)

  Translators

	* Vladimir Petkov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Jordi Mallach (ca)
	* Nikos Charonitakis (el)
	* Francisco Javier F. Serrador (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Robert-André Mauchin (fr)
	* Rajesh Ranjan (hi)
	* Gabor Kelemen (hu)
	* Raivis Dejus (lv)
	* Jovan Naumovski (mk)
	* Ani Peter (ml)
	* Rahul Bhalerao (mr)
	* Subhransu Behera (or)
	* Evandro Fernandes Giovanini (pt_BR)
	* Duarte Loreto (pt)
	* Горан Ракић (sr)
	* Priya (ta)
	* Theppitak Karoonboonyanan (th)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.15.92
===============

  Panel

	* Fix panel going to the top of screen instead of autohiding
	  (Зоран Рилак)
	* Make relative paths work in gnome-desktop-item-edit (Vincent)
	* Use new icon for run dialog (Vincent)
	* Fix crash when alacarte is not found for editing a menu (Ray Strode)
	* Handle drop of some special icons on the nautilus desktop (trash,
	  home, computer, network) (Vincent)
	* Fix drag and drop of items from the menu (Vincent)
	* Remove extensions of the icon name before looking for it for the
	  menus (Vincent)
	* Don't add ellipsises at the end of "Delete Panel" (Vincent)
	* Update icon for the network places (Vincent)
	* Fix crash when quitting and an applet is crashing (Vincent)
	* Fix sensitivity of "Recent documents" menu item (Vincent)
	* Fix updates of launchers when editing (Vincent)
	* Don't throw a critical warning if the icon of a launcher can't be
	  found in the icon theme when editing the launcher (Jens Granseuer)
	* Make it possible to clear recent documents list more than once
	  (Matthias Clasen)

  libpanel-applet

	* Use GOption for the applets (Vincent)
	* Make g_object_new() really work for PanelApplet (Vincent)

  Clock Applet

	* Algorithm fix for size detection (Vincent)
	* Convert from locale to UTF-8 the output of strftime() (Vincent)

  Notification Area Applet

	* Stop using XInternAtom() (Vincent)
	* Try to fix the notification area in multihead non-xinerama setups
	  (Vincent)
	* Code beautifications (Vincent)
	* Make transparent icons in the notification area (Frédéric Crozat,
	  Dan Winship)
	* Make balloon messages work (Vincent)

  Show Desktop Applet

	* Use the optimal size for icon so it's sharp (Vincent)

  Misc

	* Require GTK+ 2.10.0 (Vincent)
	* Add new --with-in-process-applets to make it possible to compile
	  applets as in-process applets (Vincent)

  Docs Translators

	* Christophe Bliard (fr)

  Translators

	* Runa Bhattacharjee (bn_IN)
	* Christian Kintner (de)
	* Mindu Dorji (dz)
	* Kostas Papadimas (el)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Ilkka Tuohela (fi)
	* Ankit Patel (gu)
	* Mate ORY (hu)
	* Mohammad DAMT (id)
	* Satoru SATOH (ja)
	* Changwoo Ryu (ko)
	* ElîxanLoran (ku)
	* Žygimantas Beručka (lt)
	* Jovan Naumovski (mk)
	* Badral (mn)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Leonid Kanter (ru)
	* Matic Žgur (sl)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Maxim Dziumanenko (uk)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)

===============
Version 2.15.91
===============

  Panel

	* Don't block when X is killed (Ray Strode, Frédéric Crozat, Vincent)
	* Use GtkRecent (Vincent)
	* Don't use GnomeDesktopItem where possible (Vincent)
	* New dialog to edit launchers (Vincent)
	* Don't show error about not found icons multiple times per launcher
	  (Vincent)
	* Use new icons (Vincent)

  All applets

	* Use new icons (Vincent)

  Clock Applet

	* Only display vertical text on vertical panels when the panel is not
          wide enough for horizontal text (Adam Sjøgren, Vincent)

  Fish Applet

	* Use new animation for Wanda (Ulisse, Vincent)

  Notification Area Applet

	* Integrate the tray manager code and kill libegg (Vincent)

  Misc

	* New icons! (Lapo Calamandrei)
	* Update bugzilla informations (Vincent)
	* Wncklet applets don't depend on gnome-desktop (Vincent)

  Docs Translators

	* Francisco Javier F. Serrador (es)

  Translators

	* Vladimir Petkov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Jakub Friedl (cs)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ilkka Tuohela (fi)
	* Ankit Patel (gu)
	* Raivis Dejus (lv)
	* Jovan Naumovski (mk)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Subhransu Behera (or)
	* Matic Žgur (sl)
	* Theppitak Karoonboonyanan (th)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.15.90
===============

  Panel

	* Fix corrupted background on big-endian computers (Andrew Johnson)
	* Update background when the screen size changes (Benjamin Otte)
	* Fix display name of some bookmarks (Vincent)
	* Use alacarte when available to edit menus (Frédéric Crozat)
	* Use gnome-power-manager to implement suspend/hibernate (Ray Strode,
	  Vincent)
	* Don't use eggaccelerators anymore (Vincent)

  Misc

	* Require dbus-glib (Vincent)

  Docs Translators

	* Daniel Nylander (sv)

  Translators

	* Runa Bhattacharjee (bn_IN)
	* Rhys Jones (cy)
	* Hendrik Richter (de)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Robert-André Mauchin (fr)
	* Mohammad DAMT (id)
	* Luca Ferretti (it)
	* Vincent van Adrighem (li)
	* Raivis Dejus (lv)
	* Thierry Randrianiriana (mg)
	* Jitendra Shah (mr)
	* Hasbullah Bin Pit (ms)
	* Rajeev Shrestha (ne)
	* A S Alam (pa)
	* Evandro Fernandes Giovanini (pt_BR)
	* Duarte Loreto (pt)
	* Leonid Kanter (ru)
	* Marcel Telka (sk)
	* Слободан Д. Средојевић (sr)
	* Daniel Nylander (sv)
	* Felix (ta)
	* Clytie Siddall (vi)
	* Woodman Tuen (zh_HK)

==============
Version 2.14.2
==============

  Panel

	* Use gnome-vfs function to sort volumes (Xavier Claessens)
	* Fix closing of About dialog (Vincent)

  Applets

	* Fix closing of About dialogs (Vincent)

  Misc

	* Require intltool 0.35.0 (Vincent)
	* Depend on gnome-vfs 2.14.2 (Christian Neumair)

  Docs Translators

	* Francisco Javier F. Serrador (es)

  Translators

	* Jérémy Le Floc'h (br)
	* Mindu Dorji (dz)
	* Kostas Papadimas (el)
	* Ivar Smolin (et)
	* Robert-André Mauchin (fr)
	* Vladimer Sichinava (ka)
	* Gnome PL Team (pl)
	* Leonid Kanter (ru)
	* Clytie Siddall (vi)

==============
Version 2.14.1
==============

  Panel

	* Don't show an empty label for local URI that are not file: URI in
	  the bookmarks (Vincent)
	* Plug leaks (Vincent)
	* Always canonicalize URIs in launchers before showing them (Vincent)
	* Cleanups (Vincent)

  libpanel-applet

	* Plug GnomeProgram leak (Vincent)

  Clock Applet

	* Remove GnomeProgram leak (Vincent)
	* Fix potential crash (Mart Raudsepp)
	* Fix potential crash with unknown event types (Vincent)
	* Launch evolution on the clicked day (Tollef Fog Heen, Vincent)
	* Plug leak of a GError (Vincent)

  Show Desktop Applet

	* Use less padding for the focus so the icon doesn't get trimmed
	  (Rodney Dawes)

  Misc

	* Use po/LINGUAS to list languages (Wouter Bolsterlee)

  Docs Translators

	* Maxim Dziumanenko (uk)

  Translators

	* Vital Khilko (be)
	* Jérémy Le Floc'h (br)
	* Pema Geyleg (dz)
	* Ivar Smolin (et)
	* Benoît Dejean (fr)
	* Ignacio Casal Quinteiro (gl)
	* Yuval Tanny (he)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Vladimer Sichinava (ka)
	* Wouter Bolsterlee (nl)
	* Gora Mohanty (or)
	* Dan Damian (ro)

==============
Version 2.14.0
==============

  Panel

	* Remove the Suspend button on the logout dialog (this is not a
	  regression wrt 2.12) (Vincent)
	* Ignore unknown options passed to the panel (Ray Strode)
	* Fix orientation of handles (Benjamin Berg, Vincent)
	* Fix help link for the menubar (Vincent)
	* Fix underscores not being visible in menu items (Vincent)

  Workspace Switcher Applet

	* Fix crash when scrolling right on the last workspace (Benjamin Berg)

  Misc

	* Update manpage (Vincent)

  Translators

	* Vital Khilko (be)
	* Vladimir Petkov (bg)
	* Runa Bhattacharjee (bn)
	* Petr Tomeš (cs)
	* Rhys Jones (cy)
	* Ole Laursen (da)
	* Hendrik Richter (de)
	* Kostas Papadimas (el)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga (eu)
	* Ilkka Tuohela (fi)
	* Ankit Patel (gu)
	* Rajesh Ranjan (hi)
	* Mate ORY (hu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Vladimer SIchinava (ka)
	* Erdal Ronahi (ku)
	* Žygimantas Beručka (lt)
	* Øivind Hoel (nb)
	* Tino Meinen (nl)
	* Åsmund Skjæveland (nn)
	* Øivind Hoel (no)
	* Gnome PL Team (pl)
	* Evandro Fernandes Giovanini (pt_BR)
	* Duarte Loreto (pt)
	* Leonid Kanter (ru)
	* Elian Myftiu (sq)
	* Слободан Д. Средојевић (sr)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Maxim Dziumanenko (uk)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.13.91
===============

  Panel

	* Use Restart instead of Reboot (Vincent)
	* Remove the Shut Down reference in the tooltip of the Log Out item
	  (Vincent)
	* Don't reboot/shutdown immediately if other users are connected
	  (Vincent)
	* Don't display the Shut Down item if GDM is not running (Vincent)
	* Use a softer countdown for the 30 first seconds in the log out 
	  dialogs (Vincent)
	* Fix critical warning in the run dialog when the program list is
	  disabled (Vincent)
	* Add "..." at the end of the Log Out and Shut Down items (Vincent)
	* Make invisible mnemonics in menu work again (Matthias Clasen,
	  Vincent)
	* Add accelerator for items in the context menu of launchers (Vincent)
	* Use GOption instead of popt (Vincent)

  Fish Applet

	* Use gender-neutral wording in about dialog (Vincent)

  Window Menu Applet

	* Update help link (Vincent)

  Misc

	* Use GOption instead of popt in the test applet program (Vincent)
	* Fix build when /usr/lib/X11R6 is a link to /usr (Vincent)

  Docs Translators

	* Luca Ferretti (it)

  Translators

	* Runa Bhattacharjee (bn)
	* Jordi Mallach (ca)
	* Miloslav Trmac (cs)
	* Ole Laursen (da)
	* Ivar Smolin (et)
	* Ignacio Casal Quinteiro (gl)
	* Luca Ferretti (it)
	* Øivind Hoel (nb)
	* Evandro Fernandes Giovanini (pt_BR)
	* Слободан Д. Средојевић (sr)
	* Theppitak Karoonboonyanan (th)

===============
Version 2.13.90
===============

  Panel

	* Fix timeout label in the logout dialogs (Vincent)
	* Don't make it possible to have two logout dialogs at the same time
	  (Vincent)
	* Put logout dialogs above all windows and on all workspaces (Vincent)
	* Show the logout dialog on the correct screen (Vincent)
	* Fix crash with logout dialogs when esd and sound events are enabled
	  (Vincent)
	* Simplify the logout dialogs questions (Dennis Cranston)
	* Partial fix for Vincent's stupidity :-) (Elijah Newren)
	* Fix search of application launchers in "Add to panel" dialog
	  (Vincent)
	* Fix potential crash when there's an error loading an applet (Vincent)
	* Update libegg code (Vincent)
	* Fix crash when logout dialogs are closed by the window manager
	  (Vincent)
	* Remove gnome-screenshot item from the Desktop menu (Vincent)
	* Look in the XDG data dirs when loading a .desktop file, so we don't
	  need the whole path (Vincent)
	* Update default panel config to just use basenames for .desktop files
	  (Vincent)
	* Remove the screenshot action button and migrates the existing config
	  to use gnome-screenshot.desktop (Vincent)
	* Change accelerator for "Lock To Panel" (Vincent)
	* Add username to the Logout menu item (Vincent)
	* Fix crash happening with remote bookmarks in the Places menu
	  (Vincent)
	* Use an icon for the network places submenu (Vincent)
	* Update the launcher item description in the "Add to panel" dialog
	  (Vincent)
	* Simplify and add context for some strings (Vincent)
	* Fix warnings (Vincent, Jens Granseuer, Kjartan Maraas)
	* Don't show useless separators in context menus of panel objects when
	  the panel is locked down (Vincent)
	* Fix theoretical breakage if gconf config is broken (Vincent)

  Clock Applet

	* Fix incoherency in the use of two lines format (Vincent)
	* Don't offer the 12-hour format to the user if his locale don't
	  support it (Vincent)

  Misc

	* Add context in some strings of the test applet program (Vincent)

  Docs Translators

	* Vincent Untz (fr)

  Translators

	* Vital Khilko (be)
	* Vladimir Petkov (bg)
	* Hendrik Brandt (de)
	* Kostas Papadimas (el)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Øivind Hoel (nb)
	* Reinout van Schouwen (nl)
	* Øivind Hoel (no)
	* Evandro Fernandes Giovanini (pt_BR)
	* Слободан Д. Средојевић (sr)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)

==============
Version 2.13.5
==============

  Panel

	* Remove useless screensaver actions in context menu of the button
	  (William Jon McCann)
	* Fix tiling for image backgrounds (Vincent)
	* Update background when size changes (Vincent)
	* Make image with transparency backgrounds work (Vincent)
	* Fix critical warnings (Vincent)
	* Add CD recording item to the Places menu (Sébastien Bacher)
	* Add separator internal applet (Carlos Garcia Campos, Manu Cornet,
	  Vincent)
	* Add a search entry to the "add to panel" dialog (Vincent)
	* Re-cache the applications menu when reloading it after there has been
	  some fam/gamin/inotify events (Vincent)
	* Add new logout/shutdown dialogs (Vincent)
	* Fix display of remote bookmarks in Places menu (Bastien Nocera,
	  Vincent)
	* Small fixes (Vincent)

  libpanel-applet

	* Fix tiling for image backgrounds (Vincent)
	* Avoid crashes with image backgrounds (Vincent)

  Wnck Applets

	* tell libwnck that the applets are pagers (Elijah Newren)

  Documentation

	* Update for clock and fish applets (Joachim Noreiko)

  Misc

	* Depend on libwnck 2.13.5 (Vincent)

  Docs Translators

	* Christophe Bliard (fr)

  Translators

	* Vladimir Petkov (bg)
	* Jordi Mallach (ca)
	* Hendrik Richter (de)
	* Adam Weinberger (en_CA)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Gabor Kelemen (hu)
	* Takeshi AIHANA (ja)
	* Reinout van Schouwen (nl)
	* Слободан Д. Средојевић (sr)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

==============
Version 2.13.4
==============

  Panel

	* Don't crash when an applet can't be loaded (Crispin Flowerday)
	* Fix critical warnings (Vincent, Claudio Saavedra)
	* Remove useless warning (Vincent)
	* Add a preview widget in the image background chooser (Vincent)
	* Don't crash with some themes (Vincent, Benjamin Berg)
	* Fix sensitivity of "Remove panel" menu item (Vincent)
	* Reword error dialogs (Luke Worth, Vincent)
	* Update the known applications list while typing and only show the
	  items that match (Vincent)
	* Make the "add to panel" dialog a bit nicer (Vincent)
	* Use a close button instead of the cancel one in the "add to panel"
	  dialog (Claudio Saavedra)
	* Add tooltips for the menu bar (Vincent, Christian Kirbach)
	* Update from libegg (Vincent)
	* Don't do something on double/triple clicks for buttons (Vincent)
	* Make applet handles handle transparency (Ryan Lortie, Vincent)
	* Fix crash when a toplevel is destroyed (Vincent)
	* Fix crash when quitting with "add to dialog" open (Vincent)
	* Fix auto-hide panel not autohiding after the "Delete dialog" has been
	  opened (Vincent)
	* Minor fixes (Vincent)
	* Code cleanups (Vincent)

  libpanel-applet

	* Add new API to automatically update the background of a widget
	  (Ryan Lortie, Vincent)
	* Emits the background-changed signal when the allocated size changes
	  (Ryan Lortie)
	* Fix criticla warning (Vincent)

  Clock Applet

	* Make task activation work correctly (William Jon McCann)
	* Sort tasks by due date if priorities are the same (kraai@ftbfs.org)
	* Don't show the date by default (Vincent)

  Fish Applet

	* Fix path to cairo.h (Vincent)
	* Fix critical warning when choosing a new image (Vincent)

  Notification Area Applet

	* Update from libegg. Should fix some icons not showing (Vincent)

  Window List Applet

	* Fix critical warning and icon not showing during startup notification
	  (Vincent)

  All Applets

	* use new libpanel-applet API for the background (Vincent)

  Documentation

	* Update for clock and fish applets (Luca Ferretti, Brent Smith)

  Misc

	* change button order and use Execute button for the test applet
	  program (Vincent)
	* don't crash when an applet can't be loaded in the test applet program
	  (Vincent)
	* Build fixes (Vincent)

  Docs Translators

	* Christophe Bliard (fr)

  Translators

	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (no)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)

==============
Version 2.13.3
==============

  Panel

	* Code cleanups (Vincent)
	* Synchronize the way remote bookmarks are displayed with nautilus
	  (Vincent)
	* Remove deprecated calls (Vincent)
	* Update libegg code (Vincent)

  Clock Applet

	* Really fix the orientation change (Vincent)

  Misc

	* Remove the .spec file (Vincent)
	* Build fixes (Vincent)

  Docs Translators

	* Christophe Bliard (fr)

  Translators

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Elnaz Sarbar (fa)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Takeshi AIHANA (ja)
	* Timur Jamakeev (ky)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (no)
	* Marcel Telka (sk)
	* Elian Myftiu (sq)
	* Theppitak Karoonboonyanan (th)
	* Funda Wang (zh_CN)

==============
Version 2.13.2
==============

  Panel

	* Don't display error when an url show is canceled (Christian Neumair)
	* Handle glade errors (Christian Neumair)
	* Revert orientation change (Vincent)
	* Update libegg code (Vincent)

  Clock Applet

	* Updates for the orientation change (Vincent)

  Fish Applet

	* Updates for the orientation change (Vincent)

  Translators

	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Timur Jamakeev (ky)
	* Žygimantas Beručka (lt)
	* Marcel Telka (sk)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.13.1
==============

  Panel

	* Fix bookmarks with spaces (Vincent)
	* Display bookmarks in the same way than nautilus (Vincent)
	* Remove useless code (Kjartan)
	* Don't change the drawer icon if the icon gconf key changed but we're
	not using the icon (Kjartan)
	* Plug leak (Kjartan)
	* Don't set the background multiple times on startup (Vincent)
	* Fix searching in the application list of the run dialog (Vincent)
	* Change default panel size to 24 (Vincent)
	* Change the way we report orientation to applets (Vincent)
	* Minor fixes/cleanups (Vincent)

  Clock Applet

	* Remove deprecated calls (Vincent)
	* Updates for the orientation change (Vincent)

  Fish Applet

	* Do not use deprecated widgets (Vincent)
	* Use cairo instead of libart (Vincent)

  Misc

	* Fix gnome-desktop version requirement (Frederic Crozat)
	* Build fixes/updates (Vincent)
	* Better descriptions for help files (Brent Smith)
	* libegg updates (Vincent)

  Translators

	* Vladimir Petkov (bg)
	* Runa Bhattacharjee (bn)
	* Adam Weinberger (en_CA)
	* Ivar Smolin (et)
	* Reinout van Schouwen (nl)
	* Christian Rose (sv)

==============
Version 2.12.1
==============

  Panel

	* Use user-specified names when available in the Places menu (Vincent)
	* Don't block waiting for a password if there are non-local GTK+
	  bookmarks (Vincent)
	* Sort network volumes (Vincent)
	* Use icon names for drag and drop (Vincent)
	* Make submenus without icons in Places menu have the good height
	  (Vincent)
	* Correctly initializes the sensitivity of the recent menu (Vincent)
	* Make it possible to have multiple bookmarks to the same directory but
	  with different names (Vincent)
	* Fix persistent tooltip when dragging a menu item (Vincent)
	* Fix objects context menu positioning algorithm when the cursor is
	  not in the object (Vincent)
	* Don't crash when killing an application that was quitted after we
	  ask for confirmation (Vincent)
	* Don't block the panel when asking for confirmation to kill an
	  application (Vincent)
	* Don't crash when some gconf settings are unknown (James Henstridge)
	* Minor fixes (Vincent)

  libpanel-applet

	* Fix applet context menu positioning algorithm when the cursor is
	  not in the applet (Vincent)

  Clock Applet

	* Orient the text vertically on vertical panels (William Jon McCann,
	  John Spray, and Callum McKenzie)
	* Show weeks by default (Vincent)
	* Use authentication for calendar when needed (Tommi Komulainen)

  Window List Applet

	* Make the window list looking better with non-default backgrounds
	  (Ryan Lortie)

  Misc

	* Build fixes/updates (Vincent)

  Docs Translators

	* Alessio Frusciante, Luca Ferretti (it)

  Translators

	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ignacio Casal Quinteiro (gl)
	* Yuval Tanny (he)
	* Erdal Ronahi (ku)
	* Baris Cicek (tr)
	* Clytie Siddall (vi)

==============
Version 2.12.0
==============

  Panel

	* Fix evolution launcher on the default panel layout (Vincent)

  Misc

	* Build fix (Claudio Saavedra)

  Docs Translators

	* Maxim Dziumanenko (uk)

  Translators

	* Jordi Mallach (ca)
	* Rhys Jones (cy)
	* Hendrik Richter (de)
	* Christophe Merlet (RedFox) (fr)
	* Norayr Chilingaryan (hy)
	* Luca Ferretti (it)
	* Young-Ho Cha (ko)
	* Erdal Ronahi (ku)
	* Žygimantas Beručka (lt)
	* Reinout van Schouwen (nl)
	* Evandro Fernandes Giovanini (pt_BR)
	* Leonid Kanter (ru)
	* Elian Myftiu (sq)
	* Maxim Dziumanenko (uk)

===============
Version 2.11.92
===============

  Panel

	* Update libegg files (Mark)
	* Don't allow applets to be removed if the "locked" key is set to true
	  and is not writable (Mark)
	* Add Notification Area to default panel layout (Vincent)

  Clock Applet

	* Fix broken "Adjust Date & Time" (Mark)

  Misc

	* Build fixes (Vincent)

  Docs Translators

	* Francisco Javier F. Serrador (es)

  Translators

	* Gnome PL Team (pl)
	* Duarte Loreto (pt)
	* Dan Damian (ro)
	* Kostas Papadimas (el)
	* Woodman Tuen (zh_TW)

===============
Version 2.11.91
===============

  Panel

	* Launch the menu editor using startup notification (Dennis Cranston, Mark)
	* Fix crasher with menus if a .desktop file changes (Mark)
	* Fix valgrind warning (Mark)

  Docs Translators

	* Vincent van Adrighem, Myckel Habets (nl)

  Translators

	* Vladimir Petkov (bg)
	* Ilkka Tuohela (fi)
	* Yuval Tanny (he)
	* Gabor Kelemen (hu)
	* Mohammad DAMT (id)
	* Reinout van Schouwen (nl)
	* Слободан Д. Средојевић (sr)
	* Prajasakti Localisation Team (te)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)

===============
Version 2.11.90
===============

  Panel

	* Rotate the menu bar on vertical panels (Mark)
	* Don't save panel co-ords in GConf unless floating (Mark)
	* Don't show disabled applets in "Add to Panel (Mark)
	* Fix crasher when editing launchers (Mark)
	* Don't hoard system launchers until modified (Mark)
	* Don't set the "profile_migrated" key if not needed (Mark)
	* Scale rectangular buttons correcly again (Mark)
	* Don't create ~/.recently-used during first login (Mark)
	* Update the .server file to not refer to "panel-2" (Mark)
	* Don't access freed memory (Kjartan)
	* Build fix (Murray Cumming)

  Clock Applet

	* Added support for SuSE's YAST datetime config tool (Rodrigo Moya)
	* Make the tooltip more useful (Rodrigo Moya)
	* Warnings fixes (Vincent, Mark)

  Misc

	* Move to using gnome-doc-utils for docs (Vincent)
	* Fix help link in the fish applet (Vincent)
	* Set the window icon in gnome-desktop-item-edit (Jaap A. Haitsma)

  Translators

	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Christophe Merlet (RedFox) (fr)
	* Ankit Patel (gu)
	* Yair Hershkovitz (he)
	* Takeshi AIHANA (ja)
	* Kjartan Maraas (nb, no)
	* Marcel Telka (sk)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)

==============
Version 2.11.5
==============

  Panel

	* Update libegg files (Vincent)

  Translators

	* Hendrik Richter (de)

==============
Version 2.11.4
==============

  Panel

	* Make run dialog autocompletion work again (Vincent)
	* Fix leaks (Kjartan Maraas)
	* Avoid getting two error dialogs when an applet crashes (Ryan Lortie)
	* Change default launchers on default layout (Vincent)
	* Fix reference to the user guide (Sebastien Bacher)
	* Fix bad interaction between the panel and the window manager (Mark)

  Translators

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Adam Weinberger (en_CA)
	* Ivar Smolin (et)
	* Meelad Zakaria (fa)
	* Yuval Tanny (he)
	* Takeshi AIHANA (ja)
	* Kjartan Maraas (nb)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* Marcel Telka (sk)
	* Elian Myftiu (sq)
	* Theppitak Karoonboonyanan (th)
	* Funda Wang (zh_CN)
	* Woodman Tuen (zh_TW)

==============
Version 2.11.3
==============

  Panel

	* Make the clear recent documents dialog HIG compliant
	  (William Jon McCann)
	* Fix some help buttons (Kjartan Maraas)
	* Code cleanups (Kjartan Maraas, Vincent)
	* Fix leaks (Kjartan Maraas, Ryan Lortie)
	* Preload the menu in a idle loop (Vincent)
	* Mark some old gconf settings as deprecated (Vincent)
	* Add gnome-screensaver support (William Jon McCann)

  Clock Applet

	* Sort task list by priority (William Jon McCann, Carlos Garcia Campos)

  Window List & Window Selector Applets

	* Differentiate the description for these applets (Vincent)

  Translators

	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ignacio Casal Quinteiro (gl)
	* Lilit Azizbekyan (hy)
	* Takeshi AIHANA (ja)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (no)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.11.1
==============

  Panel

	* Add an "Edit Menus" menu item for the menu button and bar (Mark, Vijaykumar Patwari)
	* Fix "dialogs pop up under panel dialogs" issue (Mark)
	* Fix crasher with recent items menu (Mark)
	* Fix lifecycle issues with the recent items menu (Mark)
	* Fix "moved the panel to the left, now I can't move it back" issue (Mark)
	* Don't crash if certain GConf keys are unset (Mark)
	* Don't let force quit kill the panel (Arvind)
	* Move "Properties" above "Delete This Panel" in the context menu (Vincent)
	* Add preference for disabling autocompletion in the run dialog (Fernando Villacis Postigo)
	* Remove "Run application" from the menus (Vincent)
	* Keep up with latest libgnome-menu API (Mark, Frederic)
	* Warnings fixes (Mark, Vincent)

  Misc

	* Don't call textdomain() in shlib applets (Mark)

  Translators

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Telsa Gwynne (cy)
	* Hendrik Richter (de)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Takeshi AIHANA (ja)
	* Steve Murphy (rw)
	* Elian Myftiu (sq)
	* Woodman Tuen (zh_TW)

==============
Version 2.10.1
==============

  Panel

	* Fix crash in the properties dialog when debugging is disabled in
	  GTK+ (Vincent)
	* Fix applet appearing twice when added once and the crash happening
	  when removing them (Vincent)
	* Fix launchers not appearing in drawers (Vincent)
	* Load the correct icon for menu buttons (Vincent)
	* Only accept numeric values for the panel size (Pradeep MN)
	* Fix tooltip of launcher not appearing when it contains a % (Vincent)
	* Don't escape the name and the comments in launchers created by an URI
	  drop (Vincent)
	* Fix broken label in the Places menu for GTK+ bookmarks when filenames
	  are not in UTF-8 (Vincent)
	* Fix for running applications/open documents with filenames not in
	  UTF-8 in the run dialog (Takao Fujiwara, Vincent)

  Misc

	* Fix compilation on Solaris and some other platforms (Vincent)

  Translators

	* Jordi Mallach (ca)
	* Telsa Gwynne (cy)
	* Martin Willemoes Hansen (da)
	* Hendrik Richter (de)
	* Adam Weinberger (en_CA)
	* Leonid Kanter (ru)
	* Steve Murphy (rw)
	* N. Seha Islam (tr)
	* Maxim Dziumanenko (uk)
	* Canonical Ltd (xh)
	* Woodman Tuen (zh_TW)

==============
Version 2.10.0
==============

  Misc

	* Add uk help (Maxim V. Dziumanenko)

  Translators

	* Frank Arnold (de)
	* Nikos Charonitakis (el)
	* David Lodge (en_GB)
	* Priit Laes (et)
	* Christophe Merlet (RedFox) (fr)
	* Žygimantas Beručka (lt)
	* Gnome PL Team (pl)
	* Dan Damian (ro)
	* Leonid Kanter (ru)
	* Данило Шеган (sr)
	* Theppitak Karoonboonyanan (th)
	* Maxim Dziumanenko (uk)

==============
Version 2.9.92
==============

  Panel

	* List bookmarks in the right order in the Places menu (Vincent)
	* Simplify the code for About dialogs (Luca Ferretti)
	* Fix crash when there's an error loading an icon in the "Add to panel"
	  dialog (Vincent)
	* Fix path for launchers in default setup (Sébastien Bacher)
	* Fix error dialogs complaining about icon theme when starting and
	  there are drawers (Vincent)
	* New layout for the main menu, similar to the menu bar layout
	  (Vincent)
	* Fix applets with wrong backgrounds when the specified image
	  background does not exist (Vincent)
	* Fix main menu lockup when the lockdown mode is changed
	  (Vijaykumar Patwari)
	* Plug memory leaks (Vincent)
	* Support possible new format for the GTK+ bookmarks file (Vincent)
	* Fix crash when the desktop background changes (Vincent)

  Applets

	* Simplify the code for About dialogs (Luca Ferretti)
	* Fix leak when panel background changes (Vincent)

  Clock Applet

	* Fix update of the clock to happen every minute and not every second
	  when we don't show seconds (Vincent)

  Window List Applet

	* Fix icon loader for startup notification buttons (Vincent)

  Workspace Switcher Applet

	* Update for libwnck API change (Elijah Newren)

  Translators

	* Vital Khilko (be)
	* Vladimir Petkov (bg)
	* Jordi Mallach (ca)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Hendrik Richter (de)
	* Nikos Charonitakis (el)
	* David Lodge (en_GB)
	* Ivar Smolin (et)
	* Christophe Merlet (RedFox) (fr)
	* Ankit Patel (gu)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Kjartan Maraas (nb)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* Raphael Higino (pt_BR)
	* Duarte Loreto (pt)
	* Marcel Telka (sk)
	* Elian Myftiu (sq)
	* Christian Rose (sv)
	* Theppitak Karoonboonyanan (th)
	* Maxim Dziumanenko (uk)
	* Woodman Tuen (zh_TW)

==============
Version 2.9.91
==============

  Panel

	* Update libegg files (Vincent, Mark)
	* Migrate launchers that are using applications: URI (Vincent)
	* Don't use applications: URI in the default panel setup (Vincent)
	* Use GtkIconTheme (Vincent)
	* Use named icons instead of stock icons (Vincent)
	* Fix object context menu positioning algorithm (Vincent)
	* Allow use of the whole screen when hiding a panel (Mark, Vincent)
	* Fix button menus using other menus than applications.menu (Vincent)
	* Plug memory leak (Vincent)
	* Don't let the user specify a panel size smaller than what is allowed
	  (Vincent)
	* Fix crash with context menus (Vincent)
	* Fix error dialog to appear on the right screen (Vincent)
	* Change the DnD icon to the dragged applet one in the "Add to panel"
          dialog. (Carlos Garnacho Parro)
	* Make "Run application" faster (Frank Worsley, Vincent)
	* Add accessible name for list of known applications in "Run
	  application" dialog (Muktha)
	* Use the new gnome_desktop_item_set_launch_time() API (Elijah Newren)
	* Make non local paths in the places menu work (Dennis Cranston)
	* Update the applications menu when the disable_command_line lockdown
	  key is changed (Vincent)
	* Fix 100% CPU bug with non-expanded panels (Vincent)

  libpanel-applet

	* Fix applet context menu positioning algorithm (Vincent)

  Show Desktop Applet

	* Show/hide desktop on the right screen (Arvind, Vincent)
	* Update the icon when icon theme changes (Paolo Borelli, Vincent)
	* Use GtkIconTheme (Vincent)

  Window Selector Applet

	* Move most of the code to a new widget in libwnck (Vincent Noel)

  Workspace Switcher Applet

	* Make applet look better when using a color/image background (Vincent)

  Misc

	* Code cleanups
	* Build fixes
	* Add comments for translators
	* Remove old useless files

  Translators

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Pauli Virtanen (fi)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* Raphael Higino (pt_BR)
	* Duarte Loreto (pt)
	* Leonid Kanter (ru)
	* Elian Myftiu (sq)
	* Theppitak Karoonboonyanan (th)
	* Funda Wang (zh_CN)

==============
Version 2.9.90
==============

  Panel

	* Show drawers on the right screen (Arvind)
	* Small optimization for the run dialog (Mark)
	* Open the menu on the right screen with Alt-F1 (Arvind)
	* HIG fixes in "Add to Panel" dialog (Vincent)
	* Fix rare crash when initiliazing the panel configuration (Vincent)
	* Use gtk dnd threshold value for snap tolerance (Vincent)
	* Better positioning for the context menu on objects (Vincent)
	* Unset StartupNotify in the .desktop when editing the command of the
	  launcher (Vincent)
	* Fix submenus not showing in menu bar after an update (Vincent)
	* Fix weird behaviour when the mouse goes on another screen while
	  dragging an object (Arvind)
	* Fix GTK+ bookmarks with spaces in the Places menu (Vincent)
	* Fix crasher when the recent documents list has changed (Vincent)
	* Add a help button when creating a new .desktop file on the desktop
	  (Takao Fujiwara, Vincent)
	* Add "Connect to Server" item to the Places menu (Vincent)
	* Move "Lock To Panel" at the bottom of the context menu (Vincent)
	* Fix scaling of icons in the menu to respect the ratio (Vincent)
	* Remove reference to the Actions menu (Vincent)
	* Try to help translators translate "Desktop" in different contexts

  libpanel-applet

	* Better positioning for the context menu on applets (Vincent)

  Window Selector

	* Dimm the icon if the window is minimized (Vincent Noel)

  Notification Area

	* Show the help on the right screen (Arvind)

  Translators

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Hendrik Richter (de)
	* Alexander Winston (en_CA)
	* Francisco Javier F. Serrador (es)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Rajeev Shrestha (ne)
	* Reinout van Schouwen (nl)
	* Åsmund Skjæveland (nn)
	* Kjartan Maraas (no)
	* Welther José O. Esteves (pt_BR)
	* Marcel Telka (sk)
	* Elian Myftiu (sq)
	* Christian Rose (sv)
	* Chanchai Junlouchai (th)
	* Funda Wang (zh_CN)

=============
Version 2.9.4
=============

  Panel

	* Close parent drawers of a drawer when a launcher is launched
	  (Vincent)
	* Fix 100% CPU usage when changing screen size (Vincent)
	* Fix z-order of drawers using their depth (Vincent)
	* Fix (again) autohiding not always working (Vincent)
	* Only open background images from regular files (Vasista Sarma,
	  Vincent)
	* Fix invalid usage of de-allocated memory (Vincent)
	* Fix labels in the "Add to Panel" dialog when the panel name is not
	  set (Christian Neumair)
	* Use new GtkFileChooserButton in panel properties (Vincent)
	* Do not allow to select non-image files for panel backgrounds
	  (Vincent)
	* Make Lock menu item HIG compliant (Madhan Raj M, Vincent)
	* Update the Lock check menu item when the gconf key changes
	  (Leena Gunda, Vincent)
	* Remove default panel names in the first-time config
	  (Christian Neumair)
	* Fix look of applet with handles in RTL environment (Vincent)
	* Add a focus line around the menu bar (Vincent Noel)
	* Draw animation when dropping files on a launcher (Vincent)
	* Fix crasher when moving a menu button between panels (Mark)
	* Make drawer context menu use header capitalization (Dennis Cranston)
	* New menu layout (Vincent)
	* Don't draw handles for drawers (Vincent)
	* HIG work on the "Add to Panel" dialog (Luca Ferretti, Vincent)
	* Fix strings in the "Add to Panel" dialog to help translators
	  (Luca Ferretti, Vincent)
	* Fix crash when closing an error dialog in some circumstances
	  (Vincent)

  libpanel-applet

	* Add new API to allow applets to request focus (Elijah Newren, Mark)

  Fish Applet

	* Fix leak (Vincent)
	* Open the fortune dialog only on button release (Vincent)
	* Instant apply for the disable_command_line lockdown key (Vincent)

  Workspace Switcher Applet

	* Add mouse wheel scrolling to change workspaces (Mark, Vincent)
	* Fix visual glitch when starting (Vincent)

  Window Selector Applet

	* Fix applet name in the about dialog (Vincent)
	* Make the applet look consistent with other menus (Søren Sandmann,
	  Vincent Noel)

  Show Desktop Applet

	* Activate show desktop button on drag an drop (Maciej Katafiasz)

  Misc

	* Use a better name in the notification area about dialog (Vincent)
	* Fix spec files to build RPM (Vincent)
	* Add API doc for panel_applet_request_focus() (Vincent)
	* Cleanups (Vincent, Mark)

  Translators

	* Miloslav Trmac (cs)
	* Nikos Charonitakis (el)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (no)
	* Leonid Kanter (ru)
	* Elian Myftiu (sq)
	* Christian Rose (sv)

=============
Version 2.9.3
=============

  Panel

	* Code cleanups (Vincent, Mark)
	* Do not block the panel when an applet initialisation is blocking (Vincent)
	* Do not block the panel when an applet can not be loaded (Vincent)
	* Find the right icon when dropping an URI (Vincent)
	* Fix configuration changes when the panel is hidden (Vincent)
	* Fix drag and drop of text in the run dialog (Vincent)
	* Fix image & translucent backgrounds for the menu bar (Vincent)
	* Use icon names instead of some stock icons (Vincent)
	* Use an icon when dragging the action buttons (Vincent)
	* Fix leaks (Frederic Crozat, Kjartan Maraas, Vincent)
	* Load the menu from desktop files only when the menu is shown (Mark)
	* Fix disappearing menu separator in recent documents (Vincent)
	* Use startup notification for gnome-search-tool (Dennis Cranston)
	* Use icons of the right size for launchers (Vincent)
	* HIGify the "Delete this Panel..." dialog (Dennis Cranston)
	* Fix auto-hiding of panel when dragging something on it (Vincent)
	* Drawer context menu is the same on the button and on the toplevel (Vincent)
	* Add a "Launch" menu item to the launcher context menu (Vincent)
	* Fix removal of the last applet/object that could not get removed (Vincent)
	* Fix translucent backgrounds for auto-hidden panels (Vincent)
	* Fix image and translucent backgrounds for applets with a handle (Vincent)
	* Fix 100% CPU usage when closing drawers in some case (Vincent)
	* Fix infinite loop when moving a non expanded panel (Vincent)
	* Make it easier to center non expanded panel (Vincent)

  Applets

	* Fix resizing of the notification area (Mark)
	* Don't crash if the icon for the show desktop is not found (Mark, Srirama Sharma)

  Misc

	* Update README (Vincent)
	* 100% API doc coverage for libpanel-applet (Vincent)

  Translators

	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (no)
	* Zuza Software Foundation (nso)
	* Chanchai Junlouchai (th)
	* Zuza Software Foundation (zu)

=============
Version 2.9.2
=============

  Panel

	* Use libgnome-menu to generate menus (Mark, Alex Larsson)
	* Extend code to support (in the future) drag and drop of Nautilus desktop icons (Mark)
	* Fix drag and drop of folders with special caracters (Matthias Clasen)
	* Partial fix for a crash when dropping an image on the panel (Mark)
	* Store panel configuration in a new location so you can share the settings between GNOME 2.2 and later (Mark)
	* Remove profiles (Mark)
	* Stop using some deprecated functions (Vincent)
	* Make more dialogs HIG compliant (William Jon McCann)
	* Remove the panel name entry from the panel properties (Christian Neumair)
	* Ignore the delete event (so you don't accidentally close the panel in XFCE, eg) (Sebastian Kapfer)
	* Use gnome-vfs API to open recent files (Marco Pesenti Gritti)
	* Don't use gnome-vfs-module anymore (Mark)
	* Fix startup notification animation to not leave artifact (Matthias Clasen)
	* Create file launcher, and not nautilus launcher, when dropping URI (Vincent)
	* Fix drag and drop for URL (Romain Baffet)

  All Applets

	* Fix applet ID strings (Mark)

  Clock Applet

	* Use the right icon in the "Add to panel" dialog (Vincent)
	* Accept percentage and spaces when entering percentages for actions (Vincent Noel)
	* Add a gconf key to show/hide the week numbers in the calendar (Vincent)

  Window List Applet

	* Fix the name in the about dialog (Vincent)

  Misc

	* Updated italian docs (Luca Ferreti)
	* Fix example in libpanel-applet doc (Caleb Groom)

  Translators

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Hendrik Richter (de)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Meelad Zakaria (fa)
	* Takeshi AIHANA (ja)
	* Hasbullah Bin Pit (ms)
	* Kjartan Maraas (nb)
	* Zuza Software Foundation (nso)
	* Elian Myftiu (sq)
	* Funda Wang (zh_CN)

=============
Version 2.9.1
=============

  Panel

	* Scale down the app icon in the "Run application" dialog (Vincent Noel)
	* Make the "application launchers" more visible in the Addto dialog (Vincent Noel)
	* Make the "add" button insensitive in the Addto dialog when nothing is selected (Vincent Noel)
	* Harden user configuration so new defaults doesn't appear for user (Mark)
	* Set tooltip in recent files menu (William Jon McCann)
	* Don't talk about panel when the user is dealing with a drawer (Vincent)
	* Remove distribution menu (Christian Neumair)
	* Make "Reload Applet" HIG-compliant (Christian Neumair)
	* Port to GtkAboutDialog (Vincent)
	* Use new GTK+ facility for setting window icons (Vincent)
	* Use icons from the icon theme (Vincent, Marco Pesenti Gritti)
	* Ellipsize text in Addto dialog (Vincent)
	* Don't use deprecated functions (Vincent)
	* Limit the use of libgnome* (Vincent)
	* Make pixmap backgrounds work for the applets (James Henstridge)

  All Applets

	* Port to GtkAboutDialog (Vincent)
	* Use new GTK+ facility for setting window icons (Vincent)
	* Limit the use of libgnome* (Vincent)
	* Don't use deprecated functions (Vincent)
	* Better panel background support (Vincent)

  Clock Applet

	* Fix calendar position (William Jon McCann)
	* Use icon from the icon theme (Vincent)
	* Update the clock when the time has changed (Marco Pesenti Gritti)
	* Launch task URL on the right screen (Vincent)
	* Use the ellipsizing code from GTK+ (Vincent)

  Fish Applet

	* Add a Speak Again button (Vincent)
	* Use the monospace font for displaying fortune (Vincent)
	* Launch the command asynchronously (Vincent)
	* Don't ignore command parameters (Vincent)
	* Ellipsize the main label in the window if necessary (Vincent)
	* Use the filechooser for choosing the image (Vincent)

  Notification Area Applet

	* Don't use GTK+ name space (Vincent)

  Window Menu Applet

	* Fix crash when showing No Windows Open (Crispin Flowerday)
	* Hide focus line padding (Vincente Noel)
	* Update the menu if a window name changes (Matt T. Proud)
	* Use the ellipsizing code from GTK+ (Matt T. Proud)
	* Update the menu if a window state or icon changes (Vincent)

  Screenshooter

	* Move to gnome-utils (Jonathan Blandford)

  Misc

	* Remove useless icons (Vincent)
	* Install datafiles in better places (Vincent)
	* Don't use deprecated functions for panel-test-applets (Vincent) 
	* Update libecal requirement (Vincent)

  Translators

	* Rostislav Raykov (bg)
	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Christophe Merlet (RedFox) (fr)
	* Mohammad DAMT (id)
	* Luca Ferretti (it)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (no)
	* Gora Mohanty (or)
	* Elian Myftiu (sq)
	* Данило Шеган (sr)

===============
Version 2.8.0.1
===============

  Panel

	* Fix icon scaling in recent-files, "Add to Panel" and buttons (James Henstridge)
	* Plug a leak (Kjartan Maraas)
	* Don't crash if $HOME=/ (Mark)
	* Make 2.2 -> 2.4/6/8 migration work again (Mark)
	* Fix issue where lazily creating the main menu broke a11y (Padraig, Mark)
	* Make dragging a locked applet not break autohide (Mark)
	* Fix freakiness with autohiding and snap-to-screen-edge (Mark)
	* Fix panel not autohiding sometimes after closing drawer (Mark, Arvind)
	* Consolidate a bunch of autohide code (Mark)
	* Fix autohiding after changed orientation with unexpanded panels (Mark)
	* Fix potential buglet with panel hiding timeouts (Mark, Arvind)

  Clock Applet

	* Ignore focus padding so we fit nicely on a 24px panel (Mark)

  Misc

	* Some new icons (Jakub Steiner)

  Translators

	* Nikos Charonitakis (el)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Jesús Bravo Álvarez (gl)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Christian Rose (sv)

=============
Version 2.8.0
=============

  Translators

	* Abdulaziz Al-Arfaj (ar)
	* Kemal Šanjta (bs)
	* Miloslav Trmac (cs)
	* Dafydd Harries (cy)
	* Hendrik Richter (de)
	* Kostas Papadimas (el)
	* Gareth Owen (en_GB)
	* Francisco Javier F. Serrador (es)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Hasbullah Bin Pit (ms)
	* Åsmund Skjæveland (nn)
	* Welther José O. Esteves (pt_BR)
	* Mişu Moldovan (ro)
	* Christian Rose (sv)
	* Chanchai Junlouchai (th)
	* Baris Cicek (tr)
	* Abel Cheung (zh_TW)

================
Version 2.7.92.1
================

  Clock Applet

	* Update the component id we use to launch evolution (Mark)

  Translators

	* Takeshi AIHANA (ja)

==============
Version 2.7.92
==============

  Panel

	* Fix various coding errors (Kjartan)
	* Fix autohide in certain circumstances on multi-screen (Mark)
	* Fix a leak (Kjartan)
	* Remove unused code (Vincent)

  Misc

	* Updated help documentation (Breda McColgan)
	* Remove gnome-panel-preferences man page (Vincent)
	* Make spanish help docs valid UTF-8 (Alexandre Oliva)
	* Fix a #if/#ifdef thinko (Kjartan)
	* Fix deprecated API usage (Kjartan)

  Translators

	* Runa Bhattacharjee (bn)
	* Mehemed Šaćirović (bs)
	* Jordi Mallach (ca)
	* Martin Willemoes Hansen (da)
	* Francisco Javier F. Serrador (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Laszlo Dvornik (hu)
	* Reinout van Schouwen (nl)
	* Elian Myftiu (sq)
	* Maxim Dziumanenko (uk)

================
Version 2.7.91.1
================

  Panel

	* Fix focus-on-map issue the "Run Application" dialog (Elijah Newren)
	* Fix crash with unknown URIs in ~/.recently-used (Mark)

  Clock Applet

	* Fix issue with shadow and scrollbar sizing (William Jon McCann)
	* Warning fixes (Mark)

  Misc

	* Warning fix in libpanel-applet (Vincent Untz)
	* Update the required version of libwnck (J.H.M. Dassen)
	* Ditto for evolution-data-server (Mark)

  Translators

	* Mətin Əmirov (az)
	* Pauli Virtanen (fi)
	* Baptiste Mille-Mathias (crevette) (fr)
	* Elian Myftiu (sq)
	* Christian Rose (sv)

==============
Version 2.7.91
==============

  Panel

	* Fix crasher when declining to reload crashed applet (Mark)
	* Fix nested drawer hiding craziness (Mark)
	* Re-work "actions" code to consolidate action details (Mark, Vinay M R)
	* Fix various coding errors (Kjartan Maraas)

  Misc

	* Remove the global panel preferences dialog (Christian Neumair)
	* Add comments for translators to clock.schemas (Mark)

  Translators

	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Pauli Virtanen (fi)
	* Jesús Bravo Álvarez (gl)
	* Ankit Patel (gu)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (no)
	* Gnome PL Team (pl)
	* Duarte Loreto (pt)
	* Elian Myftiu (sq)
	* Funda Wang (zh_CN)

==============
Version 2.7.90
==============

  Panel

	* Make the menu key popup the panel context menu (Sagar Rastogi)
	* Fix mnemonic conflict between _Add to Panel and _About Panels (Vincent Untz)
	* Remove remaining bits of the add launcher menu (Christian Neumair)
	* Revise the "Clear Recent Documents" confirmation dialog text (William Jon McCann)
	* Sync with recent-files from libegg (Kjartan Maraas)
	* Fix invalid usage of de-allocated memory (Kjartan Maraas)
	* Fix various strange behaviour with button presses on panel objects (Arvind Samptur)
	* Fix fontilus entries appearing escaped in Recent Documents menu (Federico)

  Applets

	* Fix nasty libpanel-applet issue causing unneccessary padding around Window List (Soeren Sandmann)
	* Make DEMANDS_ATTENTION windows appear bold in the Window Selector (Vincent Noel)
	* Make the Show Desktop button correctly resize (Vincent Untz)
	* Display floating date-times in the calendar relative to localtime (William Jon McCann)
	* Make the appointment/task list in the clock use SHADOW_IN (Jonathan Blandford)
	* Remove usage of obselete panel:category attribute and update docs (Mark)

  Screenshooter

	* Make it use the window title rather than the window class for the filename (Bryan Clark)

  Build Stuff

	* Fix various compiler warnings (Mark)
	* Indicate that strings to be translated are encoded in UTF-8 (Christian Neumair)
	* Require a xgettext which supports --from-code (Mark)
	* add DISTCHECK_CONFIGURE_FLAGS=--enable-gtk-doc (Mark)

  Translators

	* Rostislav Raykov (bg)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Adam Weinberger (en_CA)
	* Gareth Owen (en_GB)
	* Francisco Javier F. Serrador (es)
	* Ravishankar Shrivastava (hi)
	* Laszlo Dvornik (hu)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Hasbullah Bin Pit (ms)
	* Kjartan Maraas (no)
	* Duarte Loreto (pt)
	* Dmitry G. Mastrukov (ru)
	* Elian Myftiu (sq)
	* Данило Шеган (sr)
	* Baris Cicek (tr)

===============
Version 2.7.4.1
===============

  Panel

	* Add "Clear Recent Documents" to Recent Documents menu (William Jon McCann, Mark)

=============
Version 2.7.4
=============

  Clock Applet

	* Add the source color to the appointments/tasks lists (William Jon McCann)
	* Ensure the calendar popup is focused (William Jon McCann)
	* Refilter calendar tasks when the popup is updated (William Jon McCann)

  Translators

	* Vladimir "Kaladan" Petkov (bg)
	* Dafydd Harries (cy)
	* Francisco Javier F. Serrador (es)
	* Takeshi AIHANA (ja)
	* Raphael Higino (pt_BR)
	* Elian Myftiu (sq)

=============
Version 2.7.3
=============

  Panel

	* New "Add to Panel" dialog (Vincent Untz)
	* HIG border spacing fix for addto dialog (Dennis Cranston)
	* Fix "Invalid read of size 1" valgrind warning (Mark)
	* Don't prevent drawers from being deleted (Leena Gunda)
	* Removed some unused code from menu stuff (Christian Neumair)

  Clock Applet

	* Make "Adjust Date & Time" update PRIMARY (not just CLIPBOARD) (Greg Hudson)
	* Consistency fix for GConf keys' docs (Christian Neumair)

  Misc

	* Removed ellipses from applet's popup menus (Dennis Cranston)
	* Typo fix in libpanel-applet docs (Sven Herzberg)

  Translators

	* Vladimir "Kaladan" Petkov (bg)
	* Miloslav Trmac (cs)
	* Christian Neumair (de)
	* Adam Weinberger (en_CA)
	* Gareth Owen (en_GB)
	* Laszlo Dvornik (hu)
	* Žygimantas Beručka (lt)
	* Gnome PL Team (pl)
	* Elian Myftiu (sq)
	* zhakanini (ta)
	* Funda Wang (zh_CN)

=============
Version 2.7.1
=============

  Panel

	* Remove "Add to run dialog" from the menu's context menu (Chistian Neumair)
	* Allow applets to be removed when locked (Mark, Christian Neumair)
	* Fix a rare crasher while menu editing (Chris Lahey)
	* Fix some problems with filename quoting (Mark)
	* Improve tab completion in the run dialog (Frank Worsley)
	* Fix issue with the tooltip on drawers no being updated (Vinay M R, Mark)
	* Don't allow drawers to move offscreen (Shakti Sen, Mark)
	* Fix issue with launcher save location not being valid with gnome-vfs (Vincent Berger, Mark)
	* Try and guess an icon for launches with no explicit icon (Satvik Upadhyaya, Mark)
	* Paint the arrow on menu buttons using the GTK+ theme (Mark)

  Screenshot Utility

	* Don't make the entire desktop hang when using --delay with a11y (Padraig O'Briain)
	* Fix crasher when window icon not found (Mark)	
	* Translate the "save to webpage" string in the screenshot utility (Mariano Suárez-Alvarez)

  Clock Applet

	* Fix issue with the clock no resizing properly when making the panel bigger (Mark)
	* Fix problems with tasks edits affecting the wrong task (Carlos Garnacho Parro)
	* Open the tasks URL when double clicking on it (William Jon McCann)
	* Fix the handling of all day events and timezones (William Jon McCann)
	* Properly reload stuff when evolution-data-server dies (William Jon McCann)
	* Use GTK_SHADOW_OUT around the calendar (Jorn Baayen)
	* Destroy the calendar if the clock is removed from the panel (Shakti Sen)

  Misc

	* Set a tooltip on the Window Selector applet (Kaushal Kumar)
	* Remove the separator from Wanda's fortune dialog (Paolo Borelli)
	* Fix the version number in the autogen.sh message (Fernando Herrera)

  Translations

	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Gareth Owen (en_GB)
	* Francisco Javier F. Serrador (es)
	* Gil Osher (he)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* John C Barstow (mi)
	* Kjartan Maraas (no)
	* Stanislav Visnovsky (sk)
	* Funda Wang (zh_CN)

=============
Version 2.6.1
=============

  Panel

	* Make the default background color white with solid-color background (Mark)
	* Load applets in the correct order on non-expand panels (Mark)
	* Kill error dialogs associated with a launcher when deleting it (Vijaykumar Patwari)
	* Install default_setup in /apps/panel/profiles/default too (Mark)
	* Don't try and load glade files from the current directory (Mark)

  Clock Applet

	* Fix problems with the localization of the clock format (Mark)

  Misc

	* Parallel build fix (Frederic Crozat)

  Translators

	* Zuza Software Foundation (af)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Pauli Virtanen (fi)
	* Guntupalli Karunakar (gu)
	* Robert Sedak (hr)
	* Gabor Kelemen (hu)
	* Mohammad DAMT (id)
	* Jitendra Shah (mr)
	* Chanchai Junlouchai (th)

=============
Version 2.6.0
=============

  Translators

	* Isam Bayazidi (ar)
	* Dafydd Tomos (cy)
	* Gareth Owen (en_GB)
	* Alastair McKinstry (ga)
	* Ravishankar Shrivastava (hi)
	* Jitendra Shah (mr)
	* Amanpreet Singh Alam (pa)
	* Mişu Moldovan (ro)
	* Dmitry G. Mastrukov (ru)

==============
Version 2.5.93
==============

  Screenshot Taker

	* Use the new file chooser in save mode instead of open mode (Mark, Fernando Herrera)

  Clock Applet

	* Fix crash with unset/invalid clock format preference (Mark, Fernando Herrera)

  Translators

	* Isam Bayazidi (ar)
	* Vladimir \"Kaladan\" Petkov (bg)
	* Runa Bhattacharjee (bn)
	* Jordi Mallach (ca)
	* Christophe Merlet (RedFox) (fr)
	* Luca Ferretti (it)
	* Raphael Higino (pt_BR)
	* Dinesh Nadarajah (ta)
	* Maxim Dziumanenko (uk)
	* Funda Wang (zh_CN)
	* Abel Cheung (zh_TW)

==============
Version 2.5.92
==============

  Panel

	* Fix accessibility issue with the "Force Quit" dialog (Padraig)
	* Correctly launch nautilus for directories from the run dialog (Alex)

  Clock Applet

	* Use GtkComboBox in the preferences dialog (Mark)

  Translations

	* Mətin Əmirov (az)
	* Ales Nyakhaychyk (be)
	* Ole Laursen (da)
	* Christian Neumair (de)
	* Nikos Charonitakis (el)
	* Priit Laes (et)
	* Alastair McKinstry (ga)
	* Laszlo Dvornik (hu)
	* Kjartan Maraas (no)
	* Chanchai Junlouchai (th)

==============
Version 2.5.91
==============

  Panel

	* Don't resize while autohiding (Bart Martens)
	* Remove the username from the Log Out menu item again (Vincent)
	* Xinerama fixes for panel position and collision avoidance (Rob Adams)
	* Make moving launchers with button2 work again (Mark)
	* Don't allow the panel to be moved when its hidden (Mark)

  Clock Applet

	* Fix task and appoinment list scrolling (William Jon McCann)
	* Use Fedora's system-config-time if available (Miloslav Trmac)
	* Fix issue with clock not resizing when date chanes in some locales (Mark)

  Notification Area

	* Set the window icon on the about dialog (Fernando Herrera)

  Translations

	* Adam Weinberger (en_CA)
	* Pauli Virtanen (fi)
	* Christophe Merlet (RedFox) (fr)
	* Alastair McKinstry (ga)
	* Ravishankar Shrivastava (hi)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Åsmund Skjæveland (nn)
	* Dmitry G. Mastrukov (ru)
	* Elian Myftiu (sq)
	* Bojan Suzic (sr@ije)
	* Данило Шеган (sr)
	* Dinesh Nadarajah (ta)
	* Chanchai Junlouchai (th)
	* Funda Wang (zh_CN)

==============
Version 2.5.90
==============

  Panel

	* Fix a typo - "or to to shutdown" (Alexander Winston)
	* Fix issue with autohides not being unqueued on leave notify (Bart Martens, Mark)
	* Allow the hide button's size to be themed (Mark, Leena Gunda)
	* Make apps be launched on the correct screen after menus are re-loaded (Gustavo Giráldez)
	* Fixup instance of using an uninitialised variable (Mark)

  Applets

	* Fix issue with calendar jumping multiple months on click (William Jon McCann)

  Misc

	* Updated help documentation (Breda McColgen)
	* Allow building against an uninstalled build of gnome-panel (Laszlo Peter)

  Translations

	* Mətin Əmirov (az)
	* Miloslav Trmac (cs)
	* Kostas Papadimas (el)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Hasbullah Bin Pit (ms)
	* Kjartan Maraas (no)
	* Gnome PL Team (pl)
	* Duarte Loreto (pt)
	* Elian Myftiu (sq)
	* Данило Шеган (sr)
	* Christian Rose (sv)
	* Chanchai Junlouchai (th)

=============
Version 2.5.5
=============

  Panel

	* Make applets move a pixel at a time so we can move them to the corner (Vincent)
	* Fix broken keynav with numlock enabled (Srinivasa Ragavan)
	* Fix problem with disappearing launchers (Leena Gunda, Mark)
	* Correctly test for modifiers throughout the panel (Mark, Federico Mena)

  Notification Area

	* Correctly manage the lifecycle of the about dialog (Archana Shah)
	* Use the correct icon in the about dialog (Vincent)

  Misc

	* Update help links to point to new user-guie location (Shaun McCance)
	* Add configure flag to disable use of evolution-data-server (Malcolm Tredinnick)
	* Update help documentation (Breda McColgan)
	* Make the screenshooter use GtkFileChooser (Fernando Herrera)
	* Add documentor credits in applet about dialogs (Chee Bin HOH)
	* Warnings fixes (Mark)
	* Un-mark property descriptions for translation (Mark)

  Translators

	* Changwoo Ryu (ko)
	* Christian Rose (sv)
	* Elian Myftiu (sq)
	* Francisco Javier F. Serrador (es)
	* Gnome PL Team (pl)
	* Isam Bayazidi (ar)
	* Kjartan Maraas (no)
	* Robert Sedak (hr)
	* Maxim Dziumanenko (uk)
	* Miloslav Trmac (cs)
	* Mətin Əmirov (az)
	* Nikos Charonitakis (el)
	* Pauli Virtanen (fi)
	* Sanlig Badral (mn)
	* Takeshi AIHANA (ja)
	* Данило Шеган (sr)

=============
Version 2.5.4
=============

  Panel

	* Add more lockdown support (Matt Keenan, Mark)
	* Fix major X leak with translucent panels (Kristian Rietveld)
	* Use a new "applications" icon for the applications menu (Glynn, Jakub Steiner)
	* Set accessible names for drawers and hide buttons (Padraig)
	* Fix issue with "Log Out blah" menu item and username's with underscore (Jordy Potman)
	* Remove bogus panel_signal_connect_object_while_alive() (Mark)
	* Fix issue where "Delete this Panel" wasn't visible (Jason Leach)
	* Only allow resizing the run dialog if the proram list is visible (Leena Gunda)
	* Fix some runtime warnings (Mark)
	* Fix some portability issues (The Written Word)

  libpanel-applet

	* Install enums header and fix signal definitions (Bryan Forbes, Mark)
	* Build panel-test-applets with -export-dynamic (Vincent Berger)

  Clock Applet

	* Fix bug where selected calendars were out of sync (Jon McCann)
	* Use UTC time for events if preference set (Jon)
	* Correctly detect all day events (Jon)
	* Re-position the calendar popup as the clock is moved around (Jon)
	* Don't show "Adjust Date & Time" if no config tool available (Fernando Herrera)
	* Fix issue with ellipsizing the task description (Mark)

  Misc

	* Sync with newer version of the recent files implementation (Mark)
	* Use a themed window icon in the screenshooter (Fernando Herrera)
	* Fix issue with unsetting the preferred command for Wanda (Maneesh Pusalkar)
	* Set the accessible name on the notification area (Padraig)
	* Fix underquoted definition of AM_PATH_ESD (Alexander Winston)
	* Fix invalid UTF8 in spanish help docs (John Fleck)
	* Bump required GTK+ to 2.3.2 (Jason Leach)

  Translators

	* Alastair McKinstry (ga)
	* Changwoo Ryu (ko)
	* Christian Neumair (de)
	* Christian Rose (sv)
	* Elian Myftiu (sq)
	* Francisco Javier F. Serrador (es)
	* Gnome PL Team (pl)
	* Kjartan Maraas (no)
	* Kostas Papadimas (el)
	* Miloslav Trmac (cs)
	* Mətin Əmirov (az)
	* Ole Laursen (da)
	* Reinout van Schouwen (nl)
	* Takeshi AIHANA (ja)
	* Данило Шеган (sr)

===============
Version 2.5.3.1
===============

  libpanel-applet

	* Fix crasher with ORBit 2.9.4 (Mark)

  Translators

	* Changwoo Ryu (ko)
	* Elian Myftiu (sq)
	* Gnome PL Team (pl)

=============
Version 2.5.3
=============

  Panel

	* Add a shadow around the run dialog applications list (Ross Burton)
	* Set the accessible name on the run dialog entry (Padraig)
	* Don't allow the creation of empty launchers 
	* Change the default panel size from 22px to 24px (Vincent)
	* Put the username in the "Log Out" menu item (Vincent)
	* Fix occassional problem where moving an applet caused the panel to move (Mark)
	* Use a useless icon for the actions menu until a better one is found (Glynn)
	* Mark a string for translation (Glynn)
	* Use latest versions off egg-recent (Vincent)
	* Fix minor typo in the default panel setup (Mark)
	* Use GtkFileChooser instead of GtkFileSelection (Jan Arne Petersen)
	* Don't add directories during command completion in the run dialog (Vincent)
	* Fix UTF-8 conversion issue in the run dialog (Thomas Benson)

  Clock Applet (a.k.a. "Add Your Bloat Here" :-)

	* Add support for showing Evolution tasks/appointments
	      (Mark, William Jon McCann, Martin Grimme, Christian Kellner)
	* Allow a custom time format to specified in GConf (Vincent)
	* Make the applet out of process (Mark)
	* If showing UTC time, select the right day in the calendr (Vincent)
	* Make it easier for translators to swap elements of the time format (Vincent)
	* Schemas terminology fix (Vincent)

  Other Applets

	* Display Notification Area help on the correct screen (Vincent)
	* Don't allow changing the number/names of workspaces if locked down (Leena Gunda)

  Misc

	* Make use of new libgnomeui/gdk functions instead of egg-screen-* (Mark)
	* Add bugzilla pointers to all applet .server files (Kaushal Kumar)
	* Build fixes (Vincent, Mark, Thomas Vander Stichele)
	* Update Spanish documentation (Francisco Javier F. Serrador)

  Translators

	* Åsmund Skjæveland (nn)
	* Baptiste Mille-Mathias (fr)
	* Changwoo Ryu (ko)
	* Christian Neumair (de)
	* Christian Rose (sv)
	* David O'Callaghan (ga)
	* Dmitry G. Mastrukov (ru)
	* Duarte Loreto (pt)
	* Francisco Javier F. Serrador (es)
	* Gnome PL Team (pl)
	* Gustavo Noronha Silva (pt_BR)
	* Hasbullah Bin Pit (ms)
	* Kjartan Maraas (no)
	* Luca Ferretti (it)
	* Miloslav Trmac (cs)
	* Reinout van Schouwen (nl)
	* Robert Sedak (hr)
	* Sanlig Badral (mn)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Данило Шеган (sr)

=============
Version 2.5.2
=============

  Panel

	* Kill some unused functions (Vincent)
	* Be more paranoid about removing dirs from the GConfClient cache (Mark)
	* Fix some strings to by more translator friendly (Vincent)
	* Make blocking auto-hiding recursive (Vincent)
	* Rename "Open Recent" to "Recent Documents" (Vincent)
	* Use gdk_screen_get_monitor_at_point() instead of a hack (Chuan-kai Lin)
	* Sort the applets in the "Add to panel" menu according to the locale (Mark)
	* Fix various bugs with autohide with no animations (Vincent)
	* Make schema descriptions of the "screen" and "monitor" keys more expicit (Vincent)
	* Use the monitor size and not the screen size to position the panel (linchua)
	* Fix bug in menu positioning when the panel is hidden (Arvind)
	* Add labelled-by relation for the slider in the properties dialog (Padraig)
	* Fix the preferences dialog to use the locked_down key (Vincent)
	* Remove invalid assertion about auto_hide_size > 0 (Mark)
	* Don't set invalid tooltips on menu buttons (Vincent)
	* Set the accessible name on drawers (Padraig)
	* Make sure to set the PPosition WM_NORMAL_HINT to keep other WMs happy (Olivier Chapuis)
	* Make the expander in the run dialog activatable via a mnemonic (Mark)
	* Use GObject's instance private data (Mark)
	* Use GConf's standard function for unsetting a hierarchy (Mark)
	* Make the Menu Bar help point at the correct location (Vincent)
	* Make menu buttons use the correct tooltip (Vincent)
	* Make "Force Quit" confirmation dialog cancel on escape (Vijaykumar Patwari)

  Screenshooter

	* Don't crash when using the shape extension on an offscreen window (Vincent)
	* Fix slight performace issue (Vincent)
	* Expand filenames with a tilde when saving (Vincent)
	* Kill crufty printing support (Mark)

  Applets

	* Simplify the various clock time format GConf keys into one enum (Vincent)
	* Make the clock not display leading zeros in dates (Vincent)
	* Make Wanda not use deprecated functions (Vincent)
	* Rename the Window Menu to "Window Selector" (Vincent)
	* Make the Window Selector's help point at the user guide (Vincent)
	* Destroy the Window Selector's about dialog when the applet is removed (Archana Shah)
	* Ditto for the Show Desktop button (Archana Shah)
	* Make the Show Desktop button use SVG icons (tvismor)

  libpanel-applet

	* Fix weird issue caused by not removing the dir from the GConfClient cache (Vijaykumar Patwari)

  Misc

	* Many distcheck fixes required for using automake 1.7 (Mark)
	* XML-ize the libpanel-applet docs (Vincent)
	* Man pages updates (Vincent)
	* Update build message to say "2.5" (Fernando Herrera)
	* Make sure Wanda's generated .server files get deleted on make clean (Padraig)

  Translators

	* Andras Timar (hu)
	* Åsmund Skjæveland (nn)
	* Gnome PL Team (pl)
	* Jordi Mallach (ca)
	* Kostas Papadimas (el)
	* Miloslav Trmac (cs)
	* Ole Laursen (da)
	* Данило Шеган (sr)

=============
Version 2.5.1
=============

  Panel

	* Implement per-panel and global lockdown keys (George)
	* Add a "disabled_applets" key and don't show those applets (George)
	* Fix gnome-panel --help not to show the flags twice (Vincent)
	* Used the folder icon from the icon theme for folders (Vincent)
	* Use the term "Drag and drop" instead of "DnD" (Vincent)
	* Don't allow vertically centered horizontal panels and vice versa (Vincent)
	* Link to help for action buttons (Vincent)
	* Use the "delete" stock icon for "Delete this panel" (Vincent)
	* Fix crashing when gdk_property_get_fails (Vincent)
	* Snap to 0/100% opacity with a 2% tolerance (Vincent)
	* Set revert to insenitive in the launcher editing dialog (Vincent)
	* Remove the bold labels in the panel properties dialog (Muktha Narayan, Vincent)
	* Don't unhide hidden drawers when unhiding the parent panel (Mark)
	* Use GtkExpander in the run dialog (Mark)
	* Don't allow the panel to autohide when dragging things around (Arvind)
	* Don't unhide the panel if we quickly move the pointer in and out (Arvind)
	* Get translucent applet backgrounds almost working (Vincent, John Ellis)
	* Remove useless, crufty code (Vincent, Mark)
	* Don't allow the panel to unhide when the properties dialog is open (Arvind)

  Applets

	* Hide the preferences menu items when locked down (George)
	* Update help buttons to point to the correct docs (Vincent)
	* Allow the PanelApplet's children to become focusable after focusing itself (Padraig)
	* Fix a memory leak in libpanel-applet (Kjartan)

  Window List

 	* Remove "visible" from the descipription of the applet (Vincent)
	* Update to use the new icon from jimmac (Vincent)
	* Disable certain preferences when only showing the current workspace (Vincent)

  Workspace Switcher

	* Add a shadow around the workspace list in the preferences (Vincent)
	* Unselect any selected workspace name when the list is unfocused (Vincent)

  Window Menu

	* Ellipsize the window menu item if its too long (Vincent, Soeren Sandmann)
	* Update to use the new icon from jimmac (Vincent)
	* Don't refer to the "Window List" in the about dialog (Vincent)
	* Use the icon theme to lookup the window icon (Vincent)

  Show Desktop Button

	* Lookup the icon according to the icon theme (Vincent)

  Wanda

	* Respect the "inhibit_command_line" lockdown preference (Vincent)
	* Make the "rotate" prefernce false by default - bubbles should go up (Vincent)
	* De-brand Wanda - she's a fish, not a "GNOME fish" (Vincent)

  Clock

	* Show week numbers in the calendar (Vincent)
	* Better schema description for "internet_time" (Vincent)

  Misc

	* Help documentation updates (Breda McColgan)
	* Add a --enable-deprecations build time flag (Mark)

  Translators

	* Andras Timar (hu)
	* Christian Rose (sv)
	* Dafydd Harries (cy)
	* David O'Callaghan (ga)
	* Elian Myftiu (sq)
	* Evandro Fernandes Giovanini (pt_BR)
	* Francisco Javier F. Serrador (es)
	* Hasbullah Bin Pit (ms)
	* Jordi Mallach (ca)
	* KAMAGASAKO Masatoshi (ja)
	* Kostas Papadimas (el)
	* Miloslav Trmac (cs)
	* Mişu Moldovan (ro)
	* Mətin Əmirov (az)
	* Reinout van Schouwen (nl)
	* Vaidotas Zemlys (lt)
	* Данило Шеган (sr)

=============
Version 2.4.1
=============

  Panel

	* Avoid ever scaling up icons when there is a bigger one available (Owen Taylor)
	* Do not auto hide a panel with open drawers (Arvind)
	* Delete launcher editing dialog when the panel is deleted (Arvind)
	* Do not focus the panel itself when there is an applet to focus (Padraig)
	* Fix warnings with newer gcc (Kjartan)
	* Fix i18n issue with startup notification from the menus (Christian Neumair)
	* Show the localized comment from launchers in the run dialog (Vincent Untz)
	* Query before deleting a non-empty drawer (Arvind)
	* Fix loading of icons specified by relative paths (Bala, Mark)
	* Fix off-by-one error when computing struts (Rob Adams)
	* Fix serious issue with launchers not working on drawers (George)
	* Don't create new launchers whose TryExec fails (Arvind)

  Misc

	* Initialize gettext in gnome-desktop-item-edit (Hidetoshi Tajima)

  Applets

	* Don't try running an invalid date/time config tool (Vincent Untz)
	* Fix compiler warnings with the notification area (Kjartan)
	* Set accessible name/description on the Show Desktop Button and
	  the Window Meenu (Padraig)
	* Make the "No Windows Open" menu item go away in the Window Menu
	  when a window is opened (Vincent Untz)

  Translators
	Andras Timar (hu)
	Changwoo Ryu (ko)
	Dafydd Harries (cy)
	Evandro Fernandes Giovanini (pt_BR)
	Funda Wang (zh_CN)
	Gnome PL Team (pl)
	Görkem Çetin (tr)
	Luca Ferretti (it)
	Miloslav Trmac (cs)
	Mişu Moldovan (ro)
	Pablo Saratxaga (wa)
	Tino Meinen (nl)
	Vaidotas Zemlys (lt)
	Yuriy Syrota (uk)
	Данило Шеган (sr)

=============
Version 2.4.0
=============

  Translators

	Christophe Merlet (RedFox) (fr)
	Kjartan Maraas (no)
	Mişu Moldovan (ro)
	Nikos Charonitakis (el)
	pclouds (vi)
	Ravishankar Shrivastava (hi)
	Stanislav Visnovsky (sk)

==============
Version 2.3.91
==============

  Panel

	* Install old 2.0/2.2 schemas to maintain compatibility with existing
	  user configuations (George, Mark)
	* Fix problem where window-list pushes applets off the panel (George)
	* Don't open drawers on login (Mark)

  Misc

	* Updates to the clock applet documentation (Irene Ryan)

  Translators

	Arangel Angov (mk)
	Christophe Merlet (RedFox) (fr)
	Laurent Dhima (sq)
	Stanislav Visnovsky (sk)

==============
Version 2.3.90
==============

  Panel

	* Fix crash with error dialogs (George)
 	* Fix dialogs not getting destroyed when the panel is deleted (Arvind, George)

  Applets

	* Fix clock applet not resizing (George)

  Translators

	Dafydd Harries (cy)
	Francisco Javier F. Serrador (es)
	Jordi Mallach (ca)
	Luca Ferretti (it)
	Nikos Charonitakis (el)
	Reinout van Schouwen (nl)
	Runa Bhattacharjee (bn)

=============
Version 2.3.7
=============

  Panel

	* Make the "Edit Launcher" not be on all workspaces (Leena Gunda)
	* Activate menu bar when popping up the menu (Padraig)
	* Fix issues with auto completion in run dialog (Arvind)
	* Fix motion on one screen unhiding panel on other screen (George)
	* Fix issues with autohide panel not unhiding sometimes (George)
	* Fix more issues with the new collision avoidance code (Geoge)
	* Ignore explicit language encodings in .desktop files if
	  the encoding is UTF-8 (George)
	* Convert filenames to UTF-8 before displaying them (George)
	* Make some strings to be translated which weren't marked
							(Christian Neumair)
	* Place newly created panels in sensible locations (George)
	* Fix issue with keynav and the menu bar (Brian Cameron)
	* Fix issue with autohiding non-expanded panels (George)
	* Fix crash with transparent panels (Arvind)
	* Only auto-complete in the run dialog if the caret is at
	  the end (George)
	* Fix menu and drawer migration code (George)
	* Catch instances of strings being NULL to fix warnings (George)
	* Fix issues with closing the properties dialog (George)
	* Fix issues with creating a new launcher in a non-C locale
							(George)

  Applets

	* Make the clock not move around as the time changes (George)
	* Make spin buttons only accept numeric entries (Shakti Sen)

  Misc

	* Much updated help documentation (Irene Ryan)

  Translators

	Abel Cheung (zh_TW)
	Changwoo Ryu (ko)
	Christophe Merlet (RedFox) (fr)
	Dafydd Harries (cy)
	Duarte Loreto (pt)
	Evandro Fernandes Giovanini (pt_BR)
	Görkem Çetin (tr)
	Kjartan Maraas (no)
	Mətin Əmirov (az)
	Paul Duffy (ga)
	Pauli Virtanen (fi)
	Ravishankar Shrivastava (hi)
	Takeshi AIHANA (ja)
	Tõivo Leedjärv (et)

===============
Version 2.3.6.2
===============

  Panel

	* Fix syntax error breaking build with gcc 2.95 (Jens Granseuer)

  Translators

	Christian Neumair (de)
	Dafydd Harries (cy)
	Hasbullah Bin Pit (ms)
	Takeshi AIHANA (ja)

===============
Version 2.3.6.1
===============

  Panel

	* Various fixes "collision avoidance" with things like autohide (George, Mark)
	* Make collision multiscreen aware (Mark)
	* Fix autohiding of panels when using applet menus (George)

  Translators

	G Karunakar (hi)
	Mətin Əmirov (az)
	Данило Шеган (sr)

=============
Version 2.3.6
=============

  Panel

	* Fix setting the panel background with an image (Arvind)
	* Fix weird syntactical type (Frederic)
	* Don't allow removing locked applets (Glynn)
	* Implement "collision avoidance" for panels (Mark)
	* Fix slow background compositing on non-expanded panels (George)
	* Fix issue with custom icons not working if in the icon theme (George)
	* Fix issue with right clicking on dead space in menus (George)
	* Fix multiscreen issue with recent files menu (Leena Gunda)
	* Add back the tooltip for menu buttons (Mark)
	* Re-enable the little arrow on menu buttons (Mark)
	* Make creating new panels on multiscreen work correctly (Mark)
	* Fix handling of not found icons for panel buttons (George)
	* Re-implement "add entire menu as drawer" (Mark, George)
	* Fix issue with floating panels changing position on startup (George)
	* Fix crashes when popping up an error dialog (George)
	* Fix typo in panel schemas docs (Alex Duggan)

  Applets

	* Make the clock's calender window a DOCK window (George)
	* Fix fish applet issue where click help brings up two
	  help docs. Wanda playing with our minds again (Glynn, Mark)
	* Fix issue with workspace switcher's schemas docs (George)

  Misc

	* Build fix (Thomas Vander Stichele)

  Translators

	Ales Nyakhaychyk (be)
	Christian Neumair (de)
	Christian Rose (sv)
	Christophe Merlet (RedFox) (fr)
	Dafydd Harries (cy)
	Duarte Loreto (pt)
	Funda Wang (zh_CN)
	Gil 'Dolfin' Osher (he)
	Gnome PL Team (pl)
	Hasbullah Bin Pit (ms)
	Kostas Papadimas (el)
	Luca Ferretti (it)
	Miloslav Trmac (cs)
	Mətin Əmirov (az)
	Ole Laursen (da)
	Pablo G. del Campo (es)
	Reinout van Schouwen (nl)

===============
Version 2.3.4.1
===============

  Panel

	* Yet more excellant HIG work (Dennis Cranston)
	* Fix typo between panel menu GConf keys (Mohamed El Ayouty)
	* Fix crashing when cancelling the run dialog (Arvind)
	* Make mnemonics in the Actions and Add to Panel menus invisible (Glynn, Mark)
	* Fix positioning of the menu bar context menu (Glynn, Mark)
	* Remove the KDE menu - should be done with vfolders now (George)
	* Remove autohiding into the corner (Mark)
	* Implement a properties dialog for drawers (Mark)
	* Fix launchers and action buttons on vertical panels (Mark)
	* Fix rectangular button widget on vertical panels (Mark)
	* Fix issue with drawers being destroyed when creating a new panel (Mark)
	* Fix drag and drop of launchers to drawers (Mark)
	* Fix issue where drawer panel obscures drawer button when hidden (Mark)
	* Fix warnings about "panel-stock-arrow-*" not found (Mark)
	* Remove unnecessary dependancy on ORBit2 HEAD (Mark)

  Misc

	* Install icons into $(datadir)/pixmaps instead of $(datadir)/icons (Glynn)

  Translators

	Changwoo Ryu (ko)
	Christian Neumair (de)
	Christian Rose (sv)
	Dafydd Harries (cy)
	Duarte Loreto (pt)
	Gil 'Dolfin' Osher (he)
	Gnome PL Team (pl)
	Kjartan Maraas (no)
	Mehmet TARIMCI (tr)
	Miloslav Trmac (cs)
	Pablo G. del Campo (es)
	Reinout van Schouwen (nl)

=============
Version 2.3.4
=============

  o Panel

	* New "Run" icon (Jakub Steiner)
	* HIG fixes (Dennis Cranston)
	* Allow the main menu icon to be themed (Mark)
	* Fix middle mouse button dragging of applets (George)
	* Make the panel more robust to applets failing to load (George)
	* Fix issues with deleting drawer panels (George)
	* Make stock icon based buttons respect theme changes (Rajkumar Sivasamy)
	* Improve startup time by preloading GConf dirs (Mark)
	* Add hidden accelerators to the Main Menu and Applications menu (Mark, George)
	* Fix moving of drawers from one panel to another (George)
	* Support partial width struts to considerably improve desktop
	  usability with Xinerama (Rob Adams, Mark)
	* Change the default icon size in menus to 24x24 (Mark)
	* Re-work error dialog generation to make localisation easier (Christian Neumair)
	* Normalise the size reported to applets to those defined int the IDL (Mark)
	* Display a warning if the panel properties are locked down (George)

  o Clock Applet

	* Make the calender window skip the window list (George)
	* Make the button notice when the calender is closed (George)

  o Misc

	* Much fixage of schemas documentation (Christian Neumair)

  o Translations

	Abel Cheung (zh_TW)
	Christian Neumair (de)
	Christian Rose (sv)
	Christophe Merlet (RedFox) (fr)
	Dafydd Harries (cy)
	Dmitry G. Mastrukov (ru)
	Gil 'Dolfin' Osher (he)
	Hasbullah Bin Pit (ms)
	Jordi Mallach (ca)
	Miloslav Trmac (cs)
	Pablo G. del Campo (es)
	Paul Duffy (ga)
	Reinout van Schouwen (nl)
	Runa Bhattacharjee (bn)
	Данило Шеган (sr)

===============
Version 2.3.3.3
===============

  o Panel

	* Fix location of arrow on rectangular menu buttons (Mark)
	* Fix issue with buttons refusing to get smalled with the panel (Mark)
	* Fix unnecessary padding around some applets (Mark)
	* Fix re-entrancy issues with applet loading (George)
	* Only delete an applet from configuration if writable (George)
	* Delete the drawer panel when deleting the drawer button (Mark)
	* Implement a fallback panel for when the default configuration
	  cannot be found (Mark)
	* Clean up the about dialog immensely (Mark)
	* Register the panel correctly with bonobo-activation on multihead (Kaushal Kumar)
	* Remove some unnecessary gnome-vfs includes (Christophe Fergeau)

  o Applets

	* Make Window List and Workspace Swicther respect readonly keys (George)
	* Make clock applet use time admin from system tools (Carlos Garnacho Parro)

  o Misc

	* Fix issue with taking screenshots of obscured windows (Fernando Herrera)
	* Fix inconsistency in schemas (Daniel Baeyens)

===============
Version 2.3.3.2
===============

  o Panel

	* Much work to respect the writability of GConf keys (George)
	* Fix race condition where the window list becomes tiny (Mark)
	* Allow SVG icons (Mark)
	* Allow rectangular icons for launchers etc. (Mark)
	* Make the default panel width 32 pixels (Mark)
	* Huge speedup when rendering transparent backgrounds (Mark)
	* Fix problem with menus being positioned twice (Padraig)
	* Draw launcher's focus lines the correct colour when prelit (Raj)
	* HIG work on various dialogs (Dennis)
	* Make "Screenshot..." "Take a Screenshot..." in the actions menu (Mark)
	* Remove panel help from launcher's context menus (Mark)

  o Applets

	* Make the clock and fish respect mandatory settings (George)
	* HIGify the clock menu (Mariano Suárez-Alvarez)
	* Make the Notification Area Fitt's Law compliant (Kevin)
	* Allow only numeric values for number of workspaces (Pasu)

  o Misc

	* Add icon for Notification Area (Mark Finlay)
	* HIG work on screenshot utility (Dennis)

  o Translators

	* Christian Rose (sv), Dafydd Harries (cy), Dmitry G. Mastrukov (ru),
	  Erwin Sanjaya (id), Gustavo Noronha Silva (pt_BR), Hasbullah Bin Pit (ms),
	  Jordi Mallach (ca), Miloslav Trmac (cs), Pablo G. del Campo (es),
	  Pauli Virtanen (fi), Reinout van Schouwen (nl) and Runa Bhattacharjee (bn).

===============
Version 2.3.3.1
===============

  o Panel

	* Make the minimum panel size relative to the font size (Mark)
	* Hide autohide panels into the nearest corner to where the mouse left (Mark)
	* Fix i18n issue with default panel names (Ray Strode)
	* Fix error messages so as to not translate pango markup (Thomas Benson)
	* Detach drawer panels from their parent if the parent is destroyed (Mark)

  o Misc

	* Install panel-default-setup.entries (Mark)
	* Dist xmldocs.make and omf.make again (Mark)

  o Translators

	* Abel Cheung (zh_TW), Alessio Frusciante (it), Christian Rose (sv),
	  Christophe Merlet (RedFox) (fr), Pablo G. del Campo (es) and
	  Reinout van Schouwen (nl).

=============
Version 2.3.3
=============

  o Panel

	* Fix bug with moving applets between panels (Ray Strode)
	* Fix problems with schemas not always getting associated (Ray)
	* Fix crash with legacy logout/lock buttons (Ray)
	* Update icons (Mark Finlay)

  o Misc

	* Update to new docs system (John Fleck)
    	* Build fixes (Michael Meeks, Yanko Kaneti)
	* Install all glade files in the same location (Mark)

  o Translators

	* Abel Cheung (zh_TW.po), Andrew W. Nosenko (ru.po), Christian Rose (sv.po),
	  Dafydd Harries (cy.po), Dinesh Nadarajah (ta.po), Hasbullah Bin Pit (ms.po),
	  Jordi Mallach (ca.po), Kostas Papadimas (el.po), Miloslav Trmac (cs.po),
	  Reinout van Schouwen (nl.po), Takayuki KUSANO (ja.po),
	  Vincent van Adrighem (li.po) and Wang Li (zh_CN.po).

===============
Version 2.3.2.1
===============

  o Panel

	* Implement the ability to lock individual applets to the panel (Mark)
	* Popup either the Applications Menu or Main Menu with Alt-F1 (Mark)
	* When adding a new object, don't move other objects out of the way (Mark)
	* Fix weirdness with creating new panels just after deleting ones (Ray Strode)
	* Fix panel properties dialog crashes with duff GConf settings (Ray)
	* Don't include copy of gnome-vfs function in new run dialog (Mark)
	* Fix crash after moving applets between panels (Arvind)
	* HIGify new run dialog (Dennis Cranston)
	* Fix silly 64bit problem with setting the panel struts (Mark)
	* Save screenshots in ~/Desktop not ~/.gnome-desktop (Mark)
	* Fix problem with re-parenting Main Menu buttons (Mark)
	* Fix incorrect initial position when adding launchers (Mark)
	* Remove heaps of unused code (Mark)

  o Applets

	* Close the about dialog when the applet is removed (Leena Gunda)

  o Misc

	* Fix some warnings (Ray)
	* Fix numerous typos (Christian Rose, Ray)

  o Translations

	* Abel Cheung (fa, bn), Christian Rose (sv), Duarte Loreto (pt)
	  and Miloslav Trmac (cs).

=============
Version 2.3.2
=============

  o Panel

	* Re-write of the run dialog (Frank Worsley)
	* Add "Force Quit" action button (Mark)
	* Add support for re-sizing during panel animations (Mark)
	* Fix many bugs with the new drawer implementation (Mark)
	* Re-implement launcher hoarding (Mark)
	* Don't save absolute paths in GConf (Mark)
	* Load panel defaults using gconftool --load (Mark)
	* Fix some of the more major issues with migrating to 2.3 (Mark)
	* Fix problems with menu hierarchy as reported to a11y (Padraig)
	* Convert filename to UTF8 before displaying (Toshi)
	* Fix jitteriness in the run dialog (nix AT go-nix.ca)
	* Make alert windows use OK, not CLOSE (Greg Merchan)
	* Typo fixes (Miloslav Trmac, Duarte Loreto)

  o Applets

	* Much HIG compliance work (Dennis Cranston)
	* Destroy about dialogs when applets are removed (Bala)

  o libpanel-applet

	* Completely document all libpanel-applet functions (Mark)
	* Implement panel_applet_gconf_(set|get)_list (Mark)
	* Remove C99ism from an enum declaration (Mark)
	* Fix bug with recursing when associating schemas (Yatin Chawathe)

  o Misc

	* Fix sgmldocs.make (Art Haas)
	* Cygwin fixes (Masahiro Sakai)
	* Move relevant icons from gnome-desktop (Mark)
	* Remove the .so suffixes from applet .server files (Mark)
	* Fix distcheck (Mark)

  o Translations

	* Christophe Merlet (fr), Danilo Šegan (sr, sr@Latn), Hasbullah Bin Pit (ms)
	  KAMAGASAKO Masatoshi (ja), Miloslav Trmac (cs), Runa Bhattacharjee (bn) and
	  Yelitza Louze (es).

=============
Version 2.3.1
=============

 o Panel
	* UI review changes for Run dialog (Dennis Cranston)
	* Make the new menu bar respect Fitt's law (Mark)
	* Fix panel unhiding on login (Mark)
	* Fix key nav of drawers (Padriag)
	* Fix applet menu key nav (Mark)
	* Fix long standing bug where size changes affected applet
	  positions. (Mark)
	* Fix focus issue of run dialog after appending files. (Padriag)
	* Make panel properties dialog look better (Luca Ferrett)
	* Disable background configuration controls appropriately (Mark)
	* Fix launcher dialog being partially hidden (Mark)
	* Fix run dialog entry focus issues (Arvind)

 o Panel Applet Library

	* Don't let applets connect to SM (Havoc/Mark)

 o Applets

	* Make preferences dialogs of workspace-switcher, window-list,
	  fish, clock  follow HIG (Dennis Cranston)
	* Get the version right for tasklist,workspace switcher and 
	  show-deskop button. (Alex Duggan)

 o Miscellanous

	* Updated documentation (Mike Lei)
	* Build fixes (Christian Neumair)

Translations:

	* cs(Miloslav Trmac), eo(Joel Brich), ko(Changwoo Ryu), sl(Abel Cheung),
	  fr(Christophe Merlet), ga(Paul Duffy), ja(Takeshi AIHANA), yi(Raphael Finkel),


=============
Version 2.3.0
=============

Major Changes Since 2.2.0:

 o Panel
	* All the old panel types have been replaced with a single
	  panel type which can be configured to behave like the old
	  types: (Mark)
	    + You can move and resize the panel using the keyboard
	    + The panel can be any arbitrary size
	    + Autohides to the corner of the screen
	    + Grab handle on floating panels
	    + No bevel at the screen edge

	* The global keybindings for the panel are not handled by the
	  panel anymore. It is expected that window managers will
	  handle these keybindings and invoke the actions using the
	  protocol described in doc/gnome-panel-action-protocol.txt.
	  Metacity handles this currently (Mark)

	* A new property dialog for panels (Mark)

	* Substantially re-worked GConf setup. Notifications should
	  work for most things, all keys should be documented and
	  have schemas associated with them, no longer use silly
	  identifiers for panels ... (Mark)

  Note: much of this still requires work. Known issues:

	http://makeashorterlink.com/?S253520B3

 o Applets

	* Mailcheck applet has moved to gnome-applets (Mark)
	* New "Window Menu" and "Menu Bar" applets have been added (Mark)
	* All window management related applets are now in their own
	  out of process applet (Mark)
	* The clock applet has a calender (Havoc)
	* The Workspace Switcher is now flush against the screen edge (Mark)

Bugfixes, tweaks etc.:

 o Panel

	* Remove the dependancy on libwnck (Mark)
	* Half fix the "window list won't expand" issue (Mark)
	* Make the "Add to Panel" menu much more sane (Frank Worsley)
	* Fix issue with new properties dialog being always on top (Arvind)
	* Fix the opacity slide in the new properties dialog (Arvind)
	* New tooltip for Run Program menuitem (Alex Duggan)
	* Fix issue with setting an incomplete restart command (Matthias Clasen)
	* Fix menu bar popup menu popping up for all menuitems (Arvind)

 o Applets

	* Error dialog to explain why the show desktop button doesn't
	  work with non EWMH compliant WMs (Havoc)
	* Sync the max number of workspaces with metacity (Mark)
	* Move the "Show Desktop Button" into the "Actions" category
							(Frank Worsley)
	* Fix the version number in the Window List and Workspace Switcher
							(Alex Duggan)

 o Miscellanous

	* Updated documentation (Irene, Breda, Takeshi)
	* Build fixes (Dan Mills)

Translations:

	* az(Metin Amiroff), be(Dmitry G. Mastrukov), bg(Alexander Shopov),
	  da(Ole Laursen), eo(JoÃ«l Brich), es(Pablo Gonzalo del Campo),
	  et(TÃµivo LeedjÃ¤rv), fa(Roozbeh Pournader), fr(Christophe Merlet),
	  ko(Kang Jeong-Hee), lt(Vaidotas Zemlys), ml(FSF-India), mn(Sukhochir),
	  nl(Vincent van Adrighem), no(Kjartan Maraas), ro(Marius Andreiana),
	  ru(Dmitry G. Mastrukov), sk(Stanislav Visnovsky), sq(Elian Myftiu),
	  sv(Christian Rose), tr(Fatih Demir), zh_CN(Xiong Jiang) and
	  zh_TW(Abel Cheung).

=============
Version 2.2.2
=============

Panel
	* Fix crash when deleting the menu panel (Arvind)
	* Fix a possible crash in background code (Mark)
	* Make Ctrl-F10 popup the context menu even with out-of-proc
	  applets (Padraig)
	* Fix keynav behaviour of drawers (Padraig)
	* Focus the run dialog entry after appending a file (Padraig)
	* Center the "Create Launcher" dialog on the screen (Raj)
	* Focus the run dialog entry when no applications are selected (Arvind)
	* Convert screenshot filename to UTF-8 before displaing it (Toshi)

libpanel-applet
	* Fix bug with loading applet schemas (Yatin Chawathe)
	* Stop applets from connecting to the session manager (Havoc, Mark)

Applets
	* Remove extraneous calls to gnome_program_init (Mark)
	* Fix usage of static variables in the mailcheck applet (Jens Zechlin)

Docs
	* Removed info on defaults as they vary amongst distros (Irene)
	* Add docs translations (Mike Lei)

Misc

	* Remove the .so suffixes from shlibs in .server files (Mark)
	* Replace leading spaces with tabs in sgmldocs.make (Art Haas)

Translations
	* Belarusian team (be), Christian Neumair (de), Christophe Merlet (fr),
	  Danilo Å egan (sr), FSF-India (ml), Guntupalli Karunakar (hi),
	  Joel Brich (eo), Jordi Mallach (ca), Mathieu van Woerkom (li),
	  Ole Laursen (da), Pauli Virtanen (fi), Raphael Finkel (yi),
	  Reinout van Schouwen (nl) and Runa Bhattacharjee (bn).

=============
Version 2.2.1
=============

Panel

	* Make global keybindings work on multi-screen setups (Erwann, Mark)
	* Destroy "Create Launcher" dialogs when the panel is destrored (Arvind)
	* Allow the GNOME foot icon on the Main Menu to be themed (Raj)
	* Support themeing of the action button icons (Raj)
	* Query deletion of a drawer when it is deleted by removing the button (Arvind)
	* Delete child drawer panels when deleting panels (Arvind)
	* Fix various leaks (Kjartan)
	* Fix typo with the launchers "zoom animation" (Paul Gammans)
	* Do not query the deletion of a panel if there are no objects on it (Heeten, Arvind)
	* Make the "Delete Panel?" dialog modal (Arvind)
	* Avoid rare panel hang when moving applets (Sunil Mohan Adapa)
	* Actually load the panel background color preference (Greg Hudson)
	* Fix crash related to drawers (Arvind)
	* Fix various issues with egg-recent-files (James)
	* Don't save screenshot to UTF8 filenames in G_BROKEN_FILENAMES locales (Toshi)
	* Fix crash when the panel background image can't be loaded (Mark, Heeten)
	* Unescape the tooltip on launchers (Bala)
	* Destroy the "Overwrite file?" warning dialog in gnome-panel-screenshot (Bala)
	* Add support for icon theming icons with absolute paths (Mark, Havoc, Raj)
	* Don't crash when clicking on a drawer panel with no parent panel (Mark)
	* Don't load the GNOME 1.4 applet's .desktop files on startup (Mark)

Applets

	* Destroy Window List and Workspace Switcher properties dialog when
	  the applets are destroyed (Arvind)
	* Launch the mail received handler on the correct screen (Satyajit Kanungo)
	* Ignore any leading and trailing whitespace in a workspace name (Arvind)
	* Change the max number of workspaces to 36 in sync with metacity (Mark)
	* Fix issue with the mailcheck animation on mutliscreen setups (Satyajit Kanungo)
	* Fix notification area crasher (Havoc)

Miscellanous

	* Fix "po/Makefile.in.in not found" build breakage (Clifton Lockhart)
	* Add a --with-html-dir configure option (Julio Merino)
	* Window List docs updates (Irene Ryan)
	* Japanese translations of docs (Takeshi AIHANA)
	* Support --disable-schemas-install and --with-gconf-schema-file-dir (Mark, Julio Merino)
	* Fix libpanel-applet crash on 64 bit platforms (Matt Wilson)

Translations

	* Alessio Frusciante, Christian Neumair, Christian Rose, Christophe Merlet,
	  Dmitry G. Mastrukov, Gediminas Paulauskas, Gil "Dolfin" Osher, JoÃ«l Brich,
	  Kenneth Christiansen, Kjartan Maraas, Luca Ferretti, Metin Amiroff,
	  Miloslav Trmac, Ole Laursen, Roozbeh Pournader, Vaidotas Zemlys,
	  Vincent van Adrighem and Zbigniew Chyla.  

===============
Version 2.2.0.1
===============

	* Fix notification area crasher (Havoc)
	* Make applets show correct verion in about dialog (Alex Duggan)

Help Documentation

	* Notification area docs (John Fleck)
	* Updated Clock, Window List and Fish docs (Breda McColgan, Irene Ryan)

Translations

	* Alessio Frusciante, Alexander Shopov, Christian Neumair, Christian Rose,
	  Christophe Fergeau, Daniel Yacob, Duarte Loreto, Elian Myftiu,
	  Kang Jeong-Hee, Maxim Dzumanenko, Ole Laursen, ostas Papadimas,
	  Pablo Gonzalo del Campo, Stanislav Visnovsky, Sukhochir, Takeshi AIHANA
	  and Xiong Jiang.

=============
Version 2.2.0
=============

Panel
	* Make sure we don't break old lock/logout button configurations (Mark)
	* Disable re-loading the applet menu because of crashing (Mark)
	* Fix the permissions of screenshot files (George)

Applets

	* Fix typo in the mailcheck schemas (R.I.P. Deaddog)
	* Fix some build issues with the notification area (Mark)

Translations

	* Abel Cheung, Andras Timar, Artis Trops, Christian Neumair,
	  Christian Rose, Daniel Yacob, Dmitry G. Mastrukov, German Poo-Caaman~o,
	  Gil "Dolfin" Osher, Juan Manuel Garc?Â­a Molina, Kjartan Maraas,
	  Kostas Papadimas, Miloslav Trmac, Ole Laursen, Pablo Gonzalo del Campo,
	  Pauli Virtanen and Reinout van Schouwen.

================
Version 2.1.90.1
================

Panel

	* Fix problems with transparent panels with hide buttons (Mark)
	* Add the "Show Desktop Button" applet to the default panel (Mark)

Applets

	* Make the notification are applet out of process (Mark)

Translations

	* Dmitry G. Mastrukov.

==============
Version 2.1.90
==============

Panel

	* Make PanelBackgroundMonitor multiscreen aware (Mark)
	* Support tiled desktop background images with transparent panels (Mark)
	* Fix menu items not resizing when icon size changes (Mark, Padraig)
	* Fix panel busy loop with autohide panels and drawers (Mark, Arvind)
	* Load the default panel setup on newly detected screens (Mark)
	* Reload the applet menu when the bonobo-activation query changes (Mark)
	* Fix launchers having incorrect focus line colour (Padraig)
	* Make only the applications/actions menu use the panel icon size (Mark)
	* Make the recent files menu use the correct icons size (Mark, James)
	* Fix focus problem with application list in run dialog (Frank Worsley)

Applets

	* Make the Inbox Monitor password dialog not modal (Bala, Mark)
	* Remove the border around the clock so the text isn't cropped (Mark)
	* Fix Wanda's preferences dialog help button (Muktha)

Miscellanous

	* Moved the location of all the help files in the source tree (Mark)
	* Copyright strings changes (Christian Neumair, Mark)
	* Use @ENUMSHORT@ instead of @ENUMNAME@ with glib-mkenums (Mark)

Translations

	* Abel Cheung, Andras Timar, Artis Trops, Christian Neumair, Christian
	  Rose, Christophe Merlet, Gil "Dolfin" Osher, Gustavo Noronha Silva,
	  Hasbullah Bin Pit, Kjartan Maraas, Ole Laursen and Reinout van
	  Schouwen.

=============
Version 2.1.5
=============

Panel

	* Allow all drawer drag and drop operations to be performed on the
	  drawer's button (Mark)
	* Make gnome-panel-preferences notice gconf changes (Mark)
	* Fix issue with invisible launchers on transparent panels (Arvind)
	* Allow show/hide panel buttons to be themed (Raj)
	* Be even more robust in the case of applet loading failures (Mark)
	* Fix rare icon load related crash (Mark)
	* Fix crash when moving applets between panels (Mark)
	* Fix crash with the run dialog's disclosure widget (Arvind)

Applets

	* Allow clock/date order to be translated (Mark, Toshi)

Fish Applet

	* Typo fix (Mark)
	* Add bugzilla attributes for bug-buddy (Fernando Herrera)

Miscellanous

	* Require gnome-desktop >= 2.1.4 (Frederic)
	* Add startup notification flag to .desktop files (Dennis Cranston)

Translations

	* Andras Timar, Christophe Merlet, Hasbullah Bin Pit,
	  Kjartan Maraas, Ole Laursen and Pauli Virtanen.

=============
Version 2.1.4
=============

Panel

	* Re-write the background rendering code (Mark)
	* Add a "Transparent" type to the background option menu (Mark)
	* Fix major pixmap leak with the background monitor (Frederic Crozat)
	* Various ui-review bugfixes (Mark)
	* Fix duplicate launchers after drag and drop moving (Arvind, Mark)
	* Fix crash when dragging a launcher whose dialog is open (Arvind)
	* Fix autohide panel not hiding (Arvind)
	* Fix keynav issue with drawers (Padraig)
	* Add X-GNOME-BUGZILLA stuff to the .desktop files (Fernando Herrera)
	* Move the action buttons to a seperate submenu (Iain)
	* Launch "dropped" applications on the correct screen (Satyajit Kanungo)
	* Add icon for "Accessories" applet submenu (Glynn)

Panel Screenshot Utility

	* Various ui-review bugfixes (Dennis Cranston)

Panel Applet Library

	* Fix memory leak (Frederic Crozat)
	* Fix up image background code (Mark)

Applets

	* Use the icon loader for the window list (Havoc)

Fish Applet

	* Make the prefs instant apply and handle gconf notifications (Mark)
	* Respect panel size allocations (Mark)
	* Use glade for the preferences dialog (Mark)
Miscellanous

	* Fix various issues with strings (Mark)
	* Add forgotten file to be translated (Mark)

Translations

	* Artis Trops, Christian Neumair, Christian Rose, Gil Osher,
	  He Qiangqiang, Kjartan Maraas, Marius Andreiana, Ole Laursen
	  and Pauli Virtanen.

=============
Version 2.1.3
=============

Panel

	* Use new desktop item launching API for startup notification (Mark)
	* Update path for SuSE distribution menu (Stanislav Brabec)
	* Fix crash when gconf preferences are corrupt (Mark)
	* Port over disclosure widget fixes from gsearchtool (Mark)
	* Don't crash when a symlink is passed to the run dialog (putte_xvi@tunedal.nu)
	* Handle changes in icon size (Andrew Sebola)
	* Misc string changes (Andrew Sebola)

Panel Applet Library

	* Kill custom control lifecycle managment and use libbonobui (Mark)

Applets

	* Fix race condition in mailcheck forking (Arvind)
	* Use Wanda's real name in the fish applet (Vincent Untz)
	* Fixup some schemas wording for style guide conformance (Andrew Sebola)

Miscellanous

	* Fix gtk-doc version check (Dan)

Translations

	* Dmitry G. Mastrukov, Hasbullah Bin Pit, Kjartan Maraas,
	  Kostas Papadimas, TÃµivo LeedjÃ¤rv, Vincent van Adrighem and
	  Yanko Kaneti.

=============
Version 2.1.2
=============

Panel

	* Add support for panel background colors with an alpha channel (Ian McKellar, Mark)
	* Make launchers icons update when the icon theme changes (Rajkumar Siva)
	* Allow the menu panel to resize on theme changes (Mark, Glynn)
	* Constrain applets size to the size of the panel (Mark)
	* Fix more run dialog i18n issues (Hidetoshi Tajima)
	* Remove gconf syncing to improve startup performance (Brian Cameron)

Panel Screenshot Utility

	* Fix bug that caused corrupt screenshots (Anders)
	* Add option to save in the user's web directory (Anders, Mark)

Panel Applet Library

	* Make room to draw focus around applets if needed (Padraig, Mark)

Applets

	* Added new "Notification Area" applet (Havoc)
	* Use libwnck to change no. of workspaces instead of gconf (Havoc)
	* Fix incorrect background signal handler in the clock (Mark)

Miscellanous

	* Updated for changed multiscreen help API (Mark)
	* Fix build problem with .server files (Padraig)

Translations

	* Andras Timar, Dmitry G. Mastrukov and Marcel Telka.

=============
Version 2.1.1
=============

Panel

	* Add recent files menu (James Willcox)
	* Support screen resizing (Keith Packard, Mark)
	* Make applet menus popup at the edge of the applet (Mark)

Applets

	* Don't use leading 0 with 12-hour clock (Mark)

Miscellanous

	* Remove check for gtk+ with multihead support (Mark)
	* Fix clock applet schemas to validate (Yanko Kaneti)


Translations

	* Daniel Yacob, Hasbullah Bin Pit, Kjartan Maraas and
	  Pauli Virtanen. 

=============
Version 2.1.0
=============

Panel

	* Multiscreen support (Mark)
	* Draw a zoom animation when a launcher is clicked (Jacob)
	* Add a new PanelActionButton widget (Mark)
	* Offer option to remove crashed applet from configuration (Mark)
	* Focus applets as they are added to the panel (Mark)
	* Don't change the cursor when the panel is realised (Anders)
	* UTF8 conversion fixes in the run dialog (George)
	* Add mnemonic to "Help on X" menu item (Pasupathi Duraisamy)
	* Make ButtonWidget use GObject properties (Mark)
	* Allow ButtonWidget to use stock icons (Mark)
	* Sed job for change in GnomeIconLoader's name (Alex)

Screenshot Utility

	* Add shaped window support (Anders, Mark)
	* Kill the seperator from the dialog (Mark)
	* Avoid taking the sreenshot multiple times (Owen Taylor)
	* Handle NULL return from gdk_window_foreign_new (George)

Applets

	* Multiscreen support for all applets (Mark)
	* New "Show Desktop" toggle applet (Havoc)
	* Fix up references to old applet names in schemas (Mark)

Clock Applet

	* Move Copy time/date menu items (Mark)
	* Fix clashing mnemonics in prefs dialog (Dennis Smit)
	* Don't show seconds by default (Dennis Smit)
	* Put the date before the time (Mark)

Window List Applet

	* Ensure frames in the preferences dialog are aligned (Mark)

Misc

	* Build fixes (Jacob)

Translations

	* Germán Poo-Caamaño, Hasbullah Bin Pit, Matthias Warkus,
	  Ole Laursen and Pauli Virtanen.

=============
Version 2.0.9
=============

	* Revert George's changes as requested by the release team -
	  Unapproved commits during the code freeze (Mark)

=============
Version 2.0.8
=============

Panel

	* Convert filenames to and from utf8 in run dialog (George)
	* OnlyShow preferences dialog in GNOME (Jonathan)
	* Allow accelerators code from libegg to be auto updated (Mark)

Screenshot Utility

	* Check for NULL return from gdk_window_foreign_new (George)
	* Avoid taking screenshot twice using selections (Owen)

Translations

	* Jordi Mallach, Pauli Virtanen and Peteris Krisjanis.

=============
Version 2.0.7
=============

Panel
	* Register all icons and icon sizes with GtkIconFactory (Mark)
	* Get ordering of applets on reload correct on packed panels (Mark)
	* Fix to allow Mod2-Mod5 accels with panel keybindings (Havoc)
	* Update help docs links (Satyajit Kanungo)
	* Fix a typo (Kjartan Maraas)
	* Re-enable menu-editing (Alex Graveley)
	* Atk utility functions cleanup (Mark)
	* Hoard launchers when loading from gconf (George)

Misc

	* Applet docs updates (GNOME Documentation Team)

Translations

	* Andras Timar, Changwoo Ryu, Christian Neumair, Christian Rose, 
	  Dmitry G. Mastrukov, Duarte Loreto, Gustavo Noronha Silva,
	  Hasbullah Bin Pit, Kjartan Maraas, Marius Andreiana, Ole Laursen,
	  Peteris Krisjanis, Stanislav Visnovsky, Tõivo Leedjärv, Vincent
	  van Adrighem, Yanko Kaneti and Zbigniew Chyla.

=============
Version 2.0.6
=============

Panel

	* Fix major bug with reloading drawers on startup (Mark)
	* Give focus newly created panels (Padraig)
	* Correctly handle expandable applets on expandable panels (Mark)
	* Rip out Exec parameters (e.g. %U) before putting in run dialog (Mark)
	* Handle "delete_event" in the screenshot dialog (Jonathon, Mark)

Translations

	* Christian Meyer, Duarte Loreto and Pauli Virtanen.

=============
Version 2.0.5
=============

Panel

	* Fix #84744, applets not loading in the correct order (Mark)
	* Fix problem with more than one applet showing focus (Mark)

Translations

	* Manuel Borchers.

=============
Version 2.0.4
=============

Panel

	* Only request a Global style session save (Mark)
	* Properly figure out opitimum place to put new sliding panels (Mark)
	* Don't change cursor with menu popup menu (Mark)
	* Fix panel overlap avoidance (Mark)
	* Focus applets and launchers as they are added to panel (Mark)

Translations

	* Tõivo Leedjärv.

=============
Version 2.0.3
=============

Panel

	* Correcrly handle dropping .desktop file (Frederic Crozat)
	* Various run dialog fixes (Frank Worsley)
	* Fix RTL issues with the menu panel (George)
	* Fix mnemonics clash with gnome-panel-screenshot (Mark)
	* Destroy the launcher properties dialog correctly (Mark, Arvind)
	* Only reload the applet with a 'yes' response (Mark)
	* Don't try to reload an applet if the panel has been removed (Mark)
	* Add mnemonics to applet popup menu (Deepa Natarajan)
	* Fix drawer properties heap corruption (Mark)
	* Impl new keybindings for drawers (Padraig)
	* Fix options frame expansion in gnome-panel-screenshot (Frank Worsley)
	* Ensure shift-F10 has no effect on menus without a context menu (Padraig)
	* Fix printf ("%s", NULL) issues in gnome-panel-screenshot (Mark)
	* Delete and applet if loading fails (Mark)
	* Remove bogus showing of autohidden panel on focus in (Mark)
	* Do not set an empty string as a menuitem tooltip (Mark, Arvind)
	* Fixup file selector in gnome-panel-screenshot (Mark)
	* Don't allow moving an applet to a hidden panel (Mark)
	* Small menuitem context menu efficiency win (Mark)

Mailcheck Applet

	* Fix crash when pixmap dir not found (Mark)
	* Handle interuppted waitpid() - no more zombies (Deepa Chacko Pillai)

Window List Applet

	* Handle GConf errors better (Mark)
	* Don't spew errors on shutdown (Padraig)

Fish Applet

	* Warning fixes (Mark)

Miscellanous

	* Install applets into libexec (Mark)
	* Update man page names (Mark)
	* Sort out libtool versioning (Mark)

Translations

	* Changwoo Ryu, Christian Meyer, Christian Rose, Christophe Merlet,
	  Dmitry G. Mastrukov, Frederic Crozat, Hasbullah Bin Pit, Jordi Mallach,
	  Kjartan Maraas,  Ole Laursen, Pablo Saratxaga, Pauli Virtanen and
	  Zbigniew Chyla.

=============
Version 2.0.2
=============

Panel

	* Duplicate function removal (Frederic Crozat)
	* Remove GNOME_PANEL_DESKTOP_AREA root window hint (Mark)
	* Cleanups and bugfixes mulitscreen support implementation (Mark)
	* Fix crash in run dialog disclosure animation (Mark)
	* Sanity check bonobo-activation return values (Mark)
	* String changes and UI consistency changes (Glynn, Mark)
	* Load icons for run dialog in idle instead of timeout (Jonathon)
	* Pop up the global menu on panel keybinding (Glynn)
	* .desktop file encoding fixes (George, Toshi)
	* Use X-GNOME-DocPath instead of DocPath (Glynn, Mark)
	* Check gconf string returns (Havoc, Mark)
	* Use fallback values when convert strings to enums (Mark)
	* Save launchers to disk in idle handler (Mark)
	* Better error handling in button creation (Mark, George)
	* Better error handling loading .desktop files (Havoc)
	* Fix default launchers URIs (Mark)

Fish Applet

	* Use root window instead of offscreen popup when creating pixmaps (Mark)
	* Sanity check some preferences (Mark)
	* Convert fortune output from user locale to UTF-8 (Miguel Rodríguez Pérez)
	* Warn the user if we can't locate or execute fortune (Mark)

Workspace Switcher Applet

	* s/Tasklist/Window List/ (Mark)
	* Consistent padding between frames (Jorn Baayen)

Window List Applet

	* Hack to apply TreeView changes on dialog close (Arvind)
	* Use of GTK_SHADOW_IN for consistency (Jorn Baayen)

Inbox Monitor Applet

	* Load missing prefs and update schemas (Joerg Wendland)
	* Atk descriptions (Pasupathi Duraisamy)
	* Execute everything using gspawn and inform user of errors (Mark)

Clock Applet

	* s/Greenwich Mean Time/Universal Coordinated Time/ (Christian Rose)

Panel Applet Library

	* Some documentation updates (Mark)
	* Add support for non-NLS enabled factory macros (Mark)
	* Fix focus line computation (Padraig, Rajkumar Siva)

Help

	* Removal of obsolete documentation (John Fleck, Mark)
	* Add help button to gnome-panel-screenshot (Glynn)
	* Fix pointers to panel documentation (Satyajit Kanungo)

Miscellanous

	* Big clean up of gnome-panel-preferances (Mark)
	* Rename .glade2 files to .glade (Mark)
	* Compile warnings fixes (Mark)
	* Check for scrollkeeper at configure time (Ali Akcaagac)
	* Use private umask and remove temp dir in gnome-panel-screenshot (Rohit R)

Translations

	* Andrew V. Samoilov, Changwoo Ryu, Christian Rose, Christophe Fergeau,
          Daniel Yacob, Dmitry G. Mastrukov, Hasbullah Bin Pit, Jordi Mallach,
          Kjartan Maraas, Ole Laursen, Pablo Saratxaga, Peteris Krisjanis, Stanislav
          Visnovsky, Tõivo Leedjärv, Vincent van Adrighem, Wang Jian and Zbigniew Chyla.

=============
Version 2.0.1
=============

	* Disable some non-working menu editing menu items (Mark)
	* Use correct install location for message catalogs (Hidetoshi Tajima)

Translations

	* Abel Cheung, Carlos Perello Marin, Changwoo Ryu, Christian
	Rose, Christophe Merlet, Dmitry G. Mastrukov, Duarte Loreto,
	Hasbullah Bin Pit, Jesus Bravo Alvarez, Jordi Mallach, Kjartan
	Maraas, Ole Laursen, Pablo Saratxaga, Pauli Virtanen, Stanislav
	Visnovsky, Szabolcs Ban, Takayuki KUSANO, Vincent van Adrighem and
	Zbigniew Chyla.  

=============
Version 2.0.0
=============

Panel

	* Fix crasher with .desktop item loading (Hidetoshi Tajima)
	* Fix floating panel signal issue (Arvind)

Miscellanous

	* Fix crash when removing clock applet (Mark)
	* Kill old docs (Sander)

Translations

	* Carlos Perelló Marín, Christian Rose, Christophe Merlet,
	  Germán Poo-Caamaño, Hasbullah Bin Pit, Jesus Bravo Alvarez,
	  Jordi Mallach, Ole Laursen, Stanislav Visnovsky, Tõivo
	  Leedjärv and Zbigniew Chyla. 

==============
Version 1.5.24
==============

Panel

	* Fix various Ditem issues (George, Dave Camp)
	* Fix g_free/g_object_unref memory corruption (Mark)
	* Button focus indication width fix (Padraig)
	* Fix signals and marshallers (George)
	* Accessibility work (Jayaraj Rajappan)
	* Remove padding aroung applets because of problems (Mark)

Miscellanous

	* Accessible descriptions for pager (Rajkumar Sivasamy)
	* Hook up docs buttons (Satyajit Kanungo)

Translations

	* Abel Cheung, Carlos Perelló Marín, Christian Rose,
	  Dmitry G. Mastrukov, George Lebl, Germán Poo-Caamaño,
	  Jordi Mallach, Kjartan Maraas, Ole Laursen, Pablo Saratxaga,
	  Pauli Virtanen, Stanislav Visnovsky, Tõivo Leedjärv and
	  Zbigniew Chyla.

==============
Version 1.5.23
==============

Panel

	* Revert the use of SELECTED for focus indication (Mark)
	* Don't use utf8 filenames in gnome-panel-screenshot (Mark)
	* Fix crash when menu buttons are re-parented (Mark)
	* Use of GnomeIconLoader for panel menu icons (Alex)
	* Panel keynav work and focus indication changes (Padraig)
	* Show an autohidden panel when the panel is focused (Mark)
	* Add a window icon for gnome-panel-screenshot (Glynn)
	* Make animations work with metacity (George)
	* Focus gnome-run entry on show (George)
	* Fixed applets loading in the wrong order (Mark)
	* Fixed silly causing panel to crash on startup (Mark)
	* Kill borken status dock - will be replace by a system tray (Mark)
	* GSList usage cleanups (George)
	* Make room for focus indication around applets (Padraig)

Applets

	* Build fix for Wanda (Glynn)
	* Clock locale encoding fix (Akira TAGOH)

Miscellanous

	* Docs fixes and updates (John Fleck, Chris Lyttle, Eric Baudais)

Translations

	* Abel Cheung, Changwoo Ryu, Dmitry G. Mastrukov, George Lebl,
	  Hasbullah Bin Pit, Ivan Stojmirov, Kjartan Maraas, Ole Laursen,
          Pauli Virtanen, Stanislav Visnovsky, Szabolcs Ban and Zbigniew Chyla.

==============
Version 1.5.22
==============

Panel

	* Implement a reload dialog for crashed applets (Mark)
	* Remove more global configuration cruft (Mark)
	* Fix menu bar crash [81690] (Mark)
	* Fix error dialog crash (George)
	* Fix run dialog brokeness (George)
	* Fix crasher in menus icon loader (George)
	* Fix off-by-1 errors with multiscreen utilities (George)
	* Re-work the run dialog using disclosure widget (George, Frank Worsley)
	* Fix up the screenshot and search menu items (George)
	* Use multiscreen safe libwnck api (Anders)
	* Panel keynav fixes (Padraig)
	* Use new screenshot icon (Seth)

Applets

	* Applets UI consistancy fixes (Deepa, Denis Cranston)
	* Tasklist and pager multiscreen fixes (Anders, Havoc)

Miscellanous

	* Use intltool-0.21 to translate schema files (Mark)
	* Require libwnck 0.11 (Anders)
	* Update README and HACKING files (Mark)
	
Translations 

	* Abel Cheung, Hasbullah Bin Pit, Kjartan Maraas, Pablo Saratxaga,
	  Pauli Virtanen, Stanislav Visnovsky, Szabolcs Ban, Vincent van Adrighem,
	  Vlad Harchev and Zbigniew Chyla.

==============
Version 1.5.21
==============

Panel

	* Remove searchtool & screenshot from root menu in the 
	  Applications menu (Arvind)
	* Make size hints work for applets with handles (Alex)
	* Give panel preferences default response (Glynn)
	* Focus issues (#79515) (Padraig)
	* Rename Solaris menus (Stephen)
	* Make sure that popup menus display close to the item (Padraig)
	
libpanel-applet

	* Make Shift+F10 popup menu when applet is focus (Padraig)
	* Stop propagation of left click on applet (Arvind)

Help

	* Bring back Wanda (Sander)

Build
	
	* Removing warnings (Glynn)

Translations 

	* Zbigniew Chyla, Ole Laursen, Kjartan Maraas, Christophe Merlet, 
	  Bastien Nocera, Gediminas Paulauskas, Changwoo Ryu

==============
Version 1.5.20
==============

Panel
	* More key navigation love (Padraig)
	* Revamped gnome-run dialog (Frank, George)
	* Actions menu reorder (Glynn)
	* Fix focusing with the tasklist (Bastien)
	* Fix saving of launchers on Solaris (Stephen)
	* Misc fixes (George)

libpanel-applet
	* Fix applet popup menus (Arvind)

Help
	* Let there be much love (John)

Build bunny
	* Misc fixes (Jacob)

Translations
	
	* Bastien, Gediminas, Kjartan, Changwoo, Pablo, Gustavo, 
	  Christophe, Hasbullah, Duarte, Vincent, Germen, Abel,
	  Takayuki


==============
Version 1.5.19
==============

Panel
	
	* Remove bindings for GDK_ISO_Left_Tab as this breaks Shift+Tab (Padraig)
	* Set mnemonic widget for Animation Speed label (Padraig)
	* Fix tab order on applets (Padraig)
	* Remove referece of gnome-core in panel-screenshot (Abel)
	* call panel functions with correct parameters (Frank Worsley)
	* change window titles to match other panel/nautilus terminology (Frank)


Translations

	*  Abel Cheung, Ilmar Kerm, Zbigniew Chyla, Hasbullah Bin Pit,  Pablo Saratxaga


==============
Version 1.5.18
==============

Panel

	* Add optional grip handle to PanelAppletFrame (Mark)
	* Make Ctrl-Tab give focus to the PanelWidget (Padraig)
	* Fix buttons not working in drawers (Arvind)
	* Kill bogus 'Re-read menus' option (Mark)
	* Kill 'Edit Menus...' until it works (Mark)
	* Remove various bogus/non-working config options (Mark)
	* Use 'Delete this panel' instead of 'Remove this panel' (Arvind)
	* Rename capplet to gnome-panel-preferences (Mark)
	* Remove 'Raise panels on mouseover' - the panel isn't a WM (Mark)
	* Don't hoist bonobo-activation debugging output on everyone (Mark)
	* Move focus back to drawer icon when drawer is hidden (Padraig)

Panel Applet Library

	* Applet keynav work (Padraig)
	* Add flag to indicate the applet wants a grip handle (Mark)

Applets

	* Make Wanda keyboard navigable (Rajkumar Sivasamy)
	* Remove handle from tasklist and use PanelApplet handle (Mark)
	* Fix mailcheck dialog flooding (Benedikt, Arvind)

Misc

	* Update library requirements (Mark)

Translations

	* Changwoo Ryu, Christophe Merlet, Kjartan Maraas, Pauli Virtanen,
	  Simos Xenitellis, Takayuki KUSANO and Zbigniew Chyla .

==============
Version 1.5.17
==============

Panel

	* .desktop file for gnome-panel-screenshot (Arvind S N, Seth)
	* Use localised name in ditem (Diego González)
	* Add 'Search for File ...' to 'Actions' menu (Mark)
	* Double click running in gnome-run (Mark)
	* Fix crash when editing direntries (Mark)
	* Fix using g_source_remove for signals (Mark)
	* Get gnome-panel-screenshot to save to homedir (Anders)
	* Fix various applet moving keynav problems (Padraig)
	* Don't crash if help GError not set (Mark)
	* Kill empty 'Miscellaneous' frame from prefs (Mark)
	* Fix crash when dragging menus (Mark)
	* Fix button not working in drawers (Mark)
	* Kill panel window layer option (Mark)
	* Fix launcher editing crash (Mark)
	* Make foobar window list consistent with tasklist (Mark)
	* Make applet launcher popup menu consistent with applets (George)
	* Fix various menu issues by porting to gnome-vfs (George)
	* Panel accessibility work (Jayaraj Rajappan)
	* Fix hiding foobar menuitem if a foobar exists (George)
	* Favour the bottom of the screen when adding a panel (George)
	* Remove some old gtk bug workarounds (George)
	* Implement size hints for applets (Alex)
	* Changed CDE menu name and icon (Stephen)
	* Kill panel.hints (Mark)
	* Don't have empty lines in tooltips (Christophe Fergeau)
	* Fix gnome-run crash (George)

Panel Applet Library

	* Add size hints support (Alex)
	* Fix keynav bug (Padraig)

Applets

	* Fix default buttons and mnemonics in fish dialogs (Rajkumar Sivasamy)
	* Remove notebook for fish preferences (Gediminas)
	* Fix inital fish size (George)
	* Wanda style consistency fixes (Mark)
	* Add padding around clock applet (Mark)
	* Add seconds handling to clock (Gediminas)
	* Add handle grip to tasklist (Havoc)
	* Provide the panel with size hints for tasklist (Alex)
	* AtkRelation patch for clock preferences (Pasupathi Duraisamy)
	* Fix initial orient of tasklist grip (Mark)
	
Misc

	* Fix xmldocs.make (Mark)

Translations

	* Abel Cheung, Changwoo Ryu, Christian Rose, Christophe Merlet,
	  Gustavo Maciel Dias Vieira, Hasbullah Bin Pit, Ole Laursen,
	  Stanislav Visnovsky, Vincent van Adrighem and Zbigniew Chyla.

==============
Version 1.5.16
==============

Panel

	* Kill applets from load list if panel destroyed (George)
	* Improve new launcher file creation (George)
	* Use POPT_AUTOHELP (George)
	* Set up launcher drag uri correctly, #76403 (Mark)
	* Fix panel crash when we can't find panel for applet (Mark)
	* Redo lock button menuitems wording (Mark)
	* Make the remove from panel dialog OK_CANCEL (Mark)
	* Remove keybindings from capplet and merge pages (Jonathon)
	* Use clock applet for default panel setup (Mark)
	* Kill swallowed applications (Mark)
	* Kill auto-update-menus option, #75150 (Mark)
	* Fix floating widget movement, #76393 (Mark)
	* Add a mixer applet to panel by default (Mark)
	* Kill applet drag if mouse grab fails (Mark)
	* Fix floating panel properties spinbuttons (Mark)

Panel Applet Library

	* Warn if applets are using hyphens in gconf keys (Mark)

Applets

	* Ported fish from GnomePropertyBox (Aruna P R)
	* Fishy accessibility work (Rajkumar Sivasamy)
	* Use 'Preferences' instead of 'Properties for applets (Mark)
	* Set default action in clock preferences (Pasupathi Duraisamy)
	* Don't crash pager and tasklist, #74145 (Mark)
	* Lots of mailcheck work, #59271, #52924, #28987 (Benedikt)
	* Install mailcheck soundlist correctly (Benedikt)

Translations

	* Changwoo Ryu, Hasbullah Bin Pit, Johan Dahlin,
	  Kjartan Maraas, Stanislav Visnovsky, Tõivo Leedjärv
	  and Zbigniew Chyla.

==============
Version 1.5.15
==============

Panel

	* Use underscore instead of hypen for gconf keys (Mark)
	* Display applets desctiptions as tooltips in menu (Benedikt Roth)
	* Fix crash when updating global config (Mark)
	* Fix leaking of property sack and ui component (Shivram U)
	* Don't use '#' in backround moniker item (Shivram U)
	* Use 'Applications' instead of 'Programs' in main menu (Mark)
	* Hook up the OK button in gnome-panel-screenshot (Mark)
	* Fix floating widget marshallers (Mark)
	* Move the pager to bottom right by default (Mark)
	* Use glib marshallers wherever possible (Mark)
	* Fix button not working after move bug (Mark)
	* Kill panel submenu from launcher popup menu (Mark)
	* Make the run dialog use gconf (Mark)
	* Kill prelight as focus indication (Mark)
	* Fix crash when removing an applet with a save queued (Mark)
	* Use 'Run Program...' instead of 'Run...' (Mark)
	* Use correct gconf key for menus_have_icons (Mark)
	* Make menu items without an image the same size as others (Mark)
	* Fix bugs where applet would disapear of panel (Mark)
	* Make switched keyboard moving same as with mouse (Mark)
	* Only display create menu panel option if one doesn't exist (Mark)

Panel Applet Library

	* Don't use '#' in backround moniker item (Shivram U)

Applets

	* Use underscore instead of hypen for gconf keys (Mark)
	* Fix uninitialised warning in Wanda (Mark)
	* Clock accessibility patch (Pasupathi, Gediminas)
	* Fix clock not updating (Gediminas)
	* Always show date in tooltip for clock (Gediminas)
	* Use locale information for 12/24 hour clock (Gediminas)
	* Use proper docs name for tasklist (Mark)
	* Move tasklist menu info to seperate xml file (Johan Dahlin)

Misc

	* Move from libglade-convert to using glade2 files (Mark)

Translations

	* Benedikt Roth, Changwoo Ryu, Hasbullah Bin Pit, Ole Laursen,
	  Pauli Virtanen, Takayuki KUSANO and Zbigniew Chyla.

==============
Version 1.5.14
==============

Panel

	* Correctly check if a uri is writeable (George, Michael)
	* Some desktop item editor and launchers work (George)
	* Improve applet error handling (Michael)
	* Change executable name to gnome-panel (Glynn)
	* Menu usability work (Glynn)
	* Fix various global properties bugs (Glynn)
	* Drastically reduce number of mallocs in gconf usage (Mark)
	* Correctly register with session manager (Mark)

Panel Applet Library

	* Don't install the test applet (Mark)
	* Do the multi-display registration (Michael)
	* Improve applet error handling (Michael)

Applets

	* Much gen_util applet fixage (Benedikt Roth)
	* Display correct Workspace Switchers docs (John Fleck)

Misc

	* link explicitly against X if pango doesn't (Shivram U)

Translations

	* Christian Meyer, Christian Rose, Hasbullah Bin Pit, Kjartan Maraas,
	Roy-Magne Mo, Stanislav Visnovsky, Szabolcs Ban, Valek Filippov,
	Wang Jian, Wangli and Zbigniew Chyla

==============
Version 1.5.13
==============

Panel

	* New program for editing .desktop files (George)
	* Queue applet position saves to make things smooth (Mark)
	* Fix panel remove crash (Gediminas)
	* Use 'Close' instead of 'Ok' for panel properites (Gediminas)

Panel Applet Library

	* Kill bogus assertion (Mark)

Applets

	* Various pager fixes (Havoc)
	* Use Close button instead of Done for tasklist/pager (Gediminas)
	* Clock tooltip bugfix (Gediminas)
	* Window List and Workspace Switcher docs (John Fleck)

Misc

	* Spec file re-write (Greg Leblanc, Chris Chabot)

Translations

	* Changwoo Ryu, Christian Meyer, Christian Rose, Duarte
	  Loreto, Hasbullah Bin Pit, Ole Laursen, Pauli Virtanen,
	  Stanislav Visnovsky, Takayuki KUSANO, Valek Filippov and
	  Zbigniew Chyla.

==============
Version 1.5.12
==============

Panel

	* Load the applet a the cursor location (George)
	* Fix a panel resize bug (George)
	* Fix menu won't pop down bug (Mark)
	* Save the foobar clock format (Mark)
	* Make launcher props revert button work (Arvind S N)
	* Applet frame moniker fix (George)
	* Save applet position on move (George)
	* Conert Pos object from GtkObject to GObject (George)
	* Use correct timeout methods all over (Diego González)
	* Fix some laucher properties problems (Mark)
	* Fix memory leaks (George)
	* Fix swapped params signal bug (George)
	* Correct a type (Soeren Sandmann)
	* Tidy up keynav code (Padraig)

Panel Applet Library

	* Fix applet focus chaining bug (Padraig)

Applets

	* Port the fish to TextView (George)
	* Various more fishy work (George)
	* Clock format saving fix (Gediminas)
	* Remove gconf listeners when tasklist and pager is destroyed (Mark)

Misc

	* Require an intltool version that actually exists (Mark)

Translations

	* Christian Meyer, Zbigniew Chyla, Hasbullah Bin Pit,
	Stanislav Visnovsky, Fatih Demir, Ole Laursen, Pauli Virtanen,
	Takayuki KUSANO, Christian Rose, Tõivo Leedjärv,
	Kjartan Maraas and Christopher R. Gabriel.
	
==============
Version 1.5.11
==============

Panel

	* re-work gconf usage (Mark)
	* foobar clock fix (George)
	* speed up run dialog load up (George)
	* add applets to where the menu was popped up from (George)
	* hidebutton sensitivity fix (George)
	* split out applet popup xml to be translated (Mark)
	* speed up fentry sorting (George)
	* misc fixes (George)
	* global config gconf fixes (Mark)
	* hook up panel help menu item (Mark)
	* tooltip blinking fix (Mark, Shivram U)
	* kill 32x32 icons in menus (Mark)

Panel Applet Library

	* initialise applet's translation domains correctly (Mark)

Applets

	* make clock properties work (Gediminas)
	* mark applet category names for translation (Kjartan)
	* porting/deprectated method removal (Mark, Kevin
	* gconf sanity checking (Mark)
	* tasklist strings fixes (Kjartan)
	* fix pager crashes (George)
	* make clock use UTF8 (Gediminas)

Misc

	* Xinerama build fix (George)
	* kill irrelevant manpages (Mark)
	* distcheck fix (Jocob)

Translations

	* Zbigniew Chyla, Ole Laursen, Christian Rose, Christopher R.
	Gabriel, Kjartan Maraas and Hasbullah Bin Pit.

==============
Version 1.5.10
==============

Panel

	* Gnome run usability fixes (Gediminas)
	* Docs updates (John Fleck)
	* Icon loader fixes (Seth)
	* Applet frame leak fix (Michael)
	* Drawers keynav work (Padraig)
	* Menus work (Seth)
	* Launcher bug fix (Shivram U)

Panel Applet Library

	* fix property sack leak (Mark)
	* misc cleanups (Michael)

Applets

	* Lots of docs work (John Fleck, Pat Costello)
	* Add 'never', 'always' and 'auto' grouping prefs to pager (Alex)
	* Split out applet gui xml (Kjartan)
	* Removal of gtk_widget_(push|pop)_visual calls (Kjartan)
	* Hook up help displaying for applets (Mark)
	* Build applets with --avoid-version -module (Mark)
	* More random string/name changes (Seth)
	* 

Translations

	* Takayuki KUSANO, Tõivo Leedjärv, Kjartan Maraas and Christophe Merlet.

=============
Version 1.5.9
=============

	* split from gnome-panel from gnome-core (Mark)

=============
Version 1.5.8
=============

Panel
	* Plug an atrocious amount of leaks (Mark)
	* Load applets in an idle handler (Mark)
	* Use the correct repository ID for applets (Mark)
	* Use the all the applet moniker items (Mark)
	* Lots more keynav work (Padraig)
	* Menu properties saving to gconf (Mark)
	* Solaris mis-alignment bugfix (Mark)
	* Use bonobo-activation per-display registration (Mark)
	* Menu Panel clock translation fixage (Takayuki KUSANO)
	* Event stretching cleanup (Mark)
	* struts hints fixing (Havoc)
	* Applet saving fixes (Mark)
	* Fix applet popup menu (Richard Hult)
	* Run dialog box fixes (Mark, George)
	* .desktop file charset conversion fix (Gediminas Paulauskas)
	* Lots of menu work (George)
	* remove cruft from Panel idl (Mark)
	* fix build (Jacob)

Panel Applet Library

	* generic applet flags api (Mark)
	* use GConfClient to kill gconf warnings (Mark, Gediminas)
	* allow PanelApplet to be derived from (Mark)
	* item handler for initial size, orient and background (Mark)
	* applet developer's testing utility (Mark)
	* panel_applet_get_background implementation (George, Mark)
	* plug leak (Mark)
	* applet focus (Padraig)
	* shift+F10 applet menu popup (Padraig)
	* kill getExpandFlags idl (Mark)
	* build fix (Jacob)

Applets
	* tasklist and pager prefs dialog button fix (Jorn Baayen)
	* updates for libpanel-applet changes (Mark)
	* initial applets size and orient fixage (George)

Docs
	* tasklist, pager, mailcheck and clock docs (John Fleck)
	* man pages (Christian Marillat, Kjartan)

Misc
	* remove gnome-terminal from build (Mark)
	* .desktop files fixing (Mark)
	* distcheck fixes (Mark)
	* use intltool to translate .desktop files (Gediminas)
	* plug libgnome-desktop leaks (Mark)
	* gsm build fix (Jacob)
	* logout dialog box usability fix (Gediminas)
	* gnome-login-check dns simplification (Mark)
	* include config.h in translatable files (Kjartan)

Translations
	* Gediminas Paulauskas, Duarte Loreto, Kjartan Maraas, Ole Laursen,
	  Pauli Virtanen, Hasbullah Bin Pit, Takayuki KUSANO, Changwoo Ryu
	  and Duarte Loreto.

=============
Version 1.5.7
=============

Applets
        * pager docoumentation setup (John Fleck)
        * applet .directory files removal (Mark)
        * fish about dialog bugfix (Mark)
        * usability re-naming (Seth)
        * desktop file culling and fixing (Seth)


Panel
        * launcher saving bugfixes (Mark)
        * Lots of excellant panel keynav work (Padraig)         
        * make glade/intltool work together (Darin, Mark)
        * make run dialog global key work again (George)
        * authors list update (George)
        * re-enable applet dnd (George)
        * fix build breakage (Glynn)

Misc          
        * ditem error handling improvement (George)
        * gsm 'double delete' bugfix (Kjartan)    

=============
Version 1.5.6
=============

	* rationalise gconf source autoconf check (Mark)
	* workaround deprecated gtk+ enums usage (Mark)

=============
Version 1.5.5
=============

gnome-core/applets -
	* Make time/date centered for Clock applet [Richard]
	* Usability applet renaming [Seth]
	* Misc build fixes [Glynn]

gnome-core/gnome-desktop -
	* Misc fixes [George, Stephen]

gnome-core/icons -
	* 7 new icons! Can you *see* the love? [Seth, Jakub]

gnome-core/libpanel_applet -
	* Misc fixes [Mark]
	* Build fixes [Glynn]           

gnome-core/panel -
	* ButtonWidget now inherits from GtkButton [Padraig]
	* Implement support for popup menus using 'Shift+F10' [Padraig]
	* Remove last trace of tiles like ever [George]
	* Draw focus frame around launchers [George]
	* Implement retrun focus from a child widget using
	  'Ctrl+Tab' [Padraig]
	* Port status and swallow applets to use libwnck [George]     
	* Give panel prelight colour when panel has focus [Padraig]
	* Usability rewording and new icons [Seth]
	* Save the world with sensible context menus [Seth]
	* Fix up default panel schemas [Glynn, Seth]
	* Remove caveat dialog [George]                 
	* Give focus to launcher instead of hidebuttons first [Padraig]                 
	* Lower button displacement [Anders]
	* Fix panel boundaries [George]                 
	* Synchronize panel hints with GNOME 1.4 [Roy-Magne Mo]
	* Implement keyboard move functionality of           
	  ButtonWidget [Padraig]
	* De-sensitize basep widget when hidden [George]
	* Misc fixes [Anders, George, Glynn, Padraig]        
	* Cleanage of severe cruft [George, Padraig]
	* Much panel fear [George]            

gnome-core/docs -
	* We now have documentation! [John]
	* Build fixes [Mark]

gnome-core/po -     
	* Translations [Christian Rose, Hasbullah Bin Pit,  
	  Kjartan Maraas, Marius Andreiana, Peteris Krisjanis,
	  Roy-Magne Mo, Stanislav Visnovsky, Takayuki Kusano]
	* Misc fixes [Glynn]

gnome-core/misc -
	* Build fixes [Glynn]

gnome-core/gnome-terminal -
	* Misc fixes [Owen]
	* Build fixes [Darin]
	* Typographical error [Kjartan]

=============
Version 1.5.4
=============

* Panel:
        + lots of gconf work
                + Session handling proposal (Alex, Glynn, George, others?)
                + profiles (Glynn)
                + default panels/applets (Glynn)
                + panels saving/loading (Glynn)     
                + applets/menus etc. saving/loading (Mark)
                + convience methods (Glynn, Mark)
        + kill gnome-run button applet (Glynn)
        + libart -> gdk-pixbuf for button rendering (Alex)
        + porting properties capplet (Stephen)         
        + new ditem api usage (George)
        + launchers/vfolders work (George, Seth)
        + kill favorites menu (George)           
        + use gtk image menu items (George) 
        + port to libwnck (George)    
        + menu fixage (Anders)
        + removal of deprecated function/widgets (George)
        + Menu work (George)                
        + winhints updates (George, Havoc, Alex, Mark)
        + foobar pixmap scaling (Chris Phelps)
        + foobar clock nicifying (Dennis M. Cranston, George)
        + cruft removal (Mark, George, Glynn)
        + CORBA namespace fixage (Mark)
        + make applet background colors 16 bit (Alex)
        + dialog box fixage (Gediminas Paulauskas)
        + panel side use of applet item handler (Mark)
        + solaris distribution menu (Stephen)
        + screen shooter updates (Anders)   
        + applet stabilty fixes (Anders)
        + gegl invaders ... *cough* (George)
        + panel-widget and button-widget cleanup (Alex)
        + hidebutton keyborad navigation (Padraig O'Briain)
        + applet pixmap background implemenation (Mark)
        + gtk accelerator parsing updates (Alex)

* Panel Applet Library

        + shlib applet macro (Mark)      
        + move to GNOME_Vertigo CORBA namespace (Mark)
        + kill session management (Mark)          
        + make applet background colors 16 bit (Alex)
        + item handler implementation (Mark)
        + runtime schema<->key association for applets prefs (Mark)
        + gconf convienence functions (Mark)
        + gclosurization (George)
        + removal of gnome_program_init (George)
        + applet pixmap bacgrounds (Mark)
        + expose panel_applet_gconf_get_full_key (Alex)

* Applets

        + update for panel-applet api changes (Mark)
        + fish preferences/schema/gconf work (Mark)       
        + clock utf-8 fixage (Richard Hult)      
        + clock + tasklist background (Alex)  
        + mailcheck port (Kevin Valdersloot)              
        + tasklist + pager properties/gconf work (Alex)

* Build:
        + intl dir removal (Gediminas Paulauskas)
        + libwnck dependancy (George, Glynn)
        + libpng check (Anders, Glynn)
        + file renaming (Mark)
        + clean up Glynn's drool (Darin)                 
        + kill -I$(includedir) (Frank Belew)

* Icons
        + time/date icons (Dennis M. Cranston)               
        + hand removal from panel icon (Seth)

* ditem library

        + standard compliance (George)                
        + new api (George)
        + i18n fixage (Gediminas Paulauskas)
        + kde icons (George)             
        + g_spawn fixage (George, Glynn)                    
        + distcheck fixes (Mark, Glynn)                         

* Misc
        + gnome-terminal fixage (Owen)          
        + .directory files work (Seth)
        + gsm gconf work (Richard Hestilow)

* Other Contributors               

        + Miles Lane, Robert Mibus.     

=============
Version 1.5.3
=============

gnome-core/applets -              
	+ New tasklist using libwnck [Alex]
	+ Updates for new API [Mark]
	+ Build fixes [Mark]

gnome-core/gnome-desktop -
	+ GnomeVFS fixes [Alex]
	+ Add pc file [Owen]
	+ Encoding fix [Seth]

gnome-core/gsm -               
	+ Prefer Metacity to Enlightenment [Havoc]
	+ Save world yet again with .gnome2 fixes [Malcolm]
	+ Fix order of initialization [Malcolm]
	+ Use PangoFontDesc with splash screen [Glynn]

gnome-core/panel -
	+ Add getExpandFlags method to IDL [Alex]
	+ Add saveYourself method to IDL [Mark]
	+ Remove/Replaced all AppletShell IDL methods [Mark]

=============
Version 1.5.2
=============

        + new pager applet using libwnck (Alex)
        + .desktop file updates and additions (Seth)          
        + gnome-hint is now a GtkDialog (Anders)         
        + session manager gtk fixes (Owen)               
        + gtk_idle_add -> g_idle_add stackframes saving (Mark)  
        + applet button press propogation bug fix (Alex)                
        + continue switching to new applet design (Mark)
        + schema file rename (Glynn)
        + POTFILES redo (Mark)

=============
Version 1.5.1
=============

	Initial port to GNOME 2.0.

